2008-04-18  Karl Berry  <karl@tug.org>

	* Makefile.in (tie): no need for $(native).

2008-04-16  Karl Berry  <karl@tug.org>

	* Makefile.in,
	* web2c/makecpool.c,
	* ...: use the one makecpool provided by Taco for all programs.

2008-04-11  Karl Berry  <karl@tug.org>

	* xetexdir/xetex.h (Byte): #define to my_Byte and then #undef to avoid typedef
	conflict between TECkit_Common.h and zlib; sigh.

2008-03-30  Karl Berry  <karl@tug.org>

	* Makefile.in (web2c): pass . for native tooldir argument.
	* web2c/convert: accept tooldir argument a la luatex.
	* web2c/texmf.defines (loadpoolstrings): define here.
	* web2c/loadpool.defines: remove.
	* luatexdir/luatex.defines,
	* mpdir/mp.defines,
	* omegadir/omega.defines,
	* alephdir/aleph.defines (loadpoolstrings): rm.

2008-03-25  Karl Berry  <karl@tug.org>

	 * Makefile.in,
	 * tmf-pool.h,
	 * mf-binpool.ch,
	 * tex-mkcpool.c,
	 * mf-mkcpool.c,
	 * etexdir/etex.mk,
	 * etexdir/etex-binpool.ch,
	 * tex-binpool.ch,
	 * web2c/convert,
	 * web2c/loadpool.defines: integrate pool file in binary for
	 tex, mf, and etex.  From Akira.

	* tftopl.web: revised version 3.2 from Knuth.

2008-03-24  Karl Berry  <karl@tug.org>

	* tex.ch: use print_c_string to print the new prompt_file_name
	help message, so it ends up in the log.
	* cpascal.h (printcstring): #define it.

2008-03-23  Karl Berry  <karl@tug.org>

	* tex.web,
	* tex.ch: update for Knuth version 3.1415926.

	* tex.ch (prompt_file_name): output prompt_file_name_help_msg
	instead of a string pool string.
	* cpascal.h: define it (conditionally for Windows).

2008-03-22  Karl Berry  <karl@tug.org>

	* tftopl.web: initial tftopl.web update from knuth

2008-03-02  Karl Berry  <karl@tug.org>

	* Makefile.in (engines): include mpost literally.  Bug report from
	Alexis Ballier, 29 Feb 2008 19:27:23, via
	https://bugs.gentoo.org/show_bug.cgi?id=201187.

	(default all): remove dumps, it's just troublemaking these days?

2008-02-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.in: replace PACKAGE_... by WEB2C_PACKAGE_... in
	c-auto.h, to avoid conflicts with other packages.

	* configure.in: use AH_TOP, AH_BOTTOM, and AC_DEFINE's third
	argument to provide autoheader templates ...
	* withenable.ac: use AC_DEFINE's third argument to provide
	autoheader templates ...
	* acconfig.h: ... removed.

2008-02-22  Peter Breitenlohner  <peb@mppmu.mpg.de>

	* configure.in: remove AC_DECL_YYTEXT to avoid autoconf warning.

2008-02-14  Karl Berry  <karl@tug.org>

	* tex.ch (max_font_max): increase to 5000.
	Taco mail to tex-live, 13 Feb 2008 10:00:35.
	
	* tex.ch (make_name_string): further change from
	Jonathan, tex-implementors  12 Feb 2008 14:33:56.

2008-02-11  Karl Berry  <karl@tug.org>

	* tex.ch (make_name_string): avoid clobbering globals via
	    This is TeX ...
	    **abc%
	    *de
	From Akira and Jonathan Kew, tex-implementors 02 Feb 2008 20:42:18
	et al.

2008-01-29  Peter Breitenlohner  <peb@mppmu.mpg.de>

	Convert from autoconf-2.13 to autoconf-2.59+:
	* Makefile.in, doc/Makefile.in, mpdir/Makefile.in:
	Add @configure_input@ lines.
	* aclocal.m4 (new): Generated (aclocal -I ../m4).
	* configure: Regenerated (autoconf).

2008-01-18  Karl Berry  <karl@tug.org>

	* cpascal.h (recorder_record_input, recorder_record_output): need
	const_string as arg to avoid warnings compiling *extra.c.
	* texmfmp.c (user_progname): make const_string a la dump_name,
	since we assign them.

2008-01-02  Jonathan Kew  <jonathan_kew@sil.org>

	* tex.ch (expand_depth, et al.): when calling expand, don't
	recurse enough to clobber the os stack.  Default value 10000.

2007-12-24  Karl Berry  <karl@tug.org>

	* doc/web2c.texi (gftodvi invocation): talk a bit more about slant
	fonts, pursuant to DEK's message to tex-k of 10 Jul 2005 18:38:11.

2007-12-19  Martin Schröder <martin@oneiros.de>

	* tex.ch (ssup_max_strings): increase to 2097151
		 (sup_main_memory): increase to 256000000

2007-12-19  Karl Berry  <karl@tug.org>

	* tangle.ch (max_bytes): increase to 65535.

	* config.h (LONGINTEGER_TYPE): switch to off_t.
	
	(Both of these from Martin S.)

2007-10-23  Karl Berry  <karl@tug.org>

	* config.h (LONGINTEGER_TYPE): #define, depending on the C version.
	(longinteger): typedef.

2007-10-01  Karl Berry  <karl@tug.org>

	* cpascal.h (floor): #undef, since MaxOSX #defines it.
	From Peter Dyballa, metapost list, 27 Sep 2007 15:25:03.

2007-09-18  Karl Berry  <karl@tug.org>

	* tex.ch (29.530): Wording of "Type <return>" msg.

2007-09-16  Karl Berry  <karl@tug.org>

	* c-auto.in (EDITOR): doc fix.

2007-09-12  Karl Berry  <karl@tug.org>

	* c-auto.in (EDITOR) [WIN32]: need "", and emacs preferred.
	From Akira.

2007-09-09  Karl Berry  <karl@tug.org>

	* c-auto.in (EDITOR): 'quote' the filename.
	Reported by Frank K, 17 Jul 2007 17:00:41, debian bug 433455.

2007-08-24  Karl Berry  <karl@tug.org>

	* doc/web2c.texi (Initial MetaPost): change pragma link.

2007-07-15  Karl Berry  <karl@tug.org>

	* tex.ch,
	* alephdir/com16bit-rc2.ch,
	* omegadir/com16bit.ch: fixes from Akira so "tex %" followed
	by RET is stable.  Also sync aleph/omega constants with tex.
	Mail of 14 Jul 2007 09:35:02.

2007-03-30  Karl Berry  <karl@tug.org>

	* tex.ch (sup_buf_size): increase to 30,000,000 per Hans mail to
	tex-live, 30 Mar 2007 16:52:09.

2007-01-10  Karl Berry  <karl@tug.org>

	* Makefile.in (programs): include $(pdftosrc), which has always
	been built, but missing from the install.

2007-01-01  Karl Berry  <karl@tug.org>

	* config.h (inline) [__cplusplus]: #undef inline under C++, since
	inline is a keyword.  It should never be #define'd, but
	c-auto.in->h can do so.  Found by vvv on AIX.

2006-12-30  Karl Berry  <karl@tug.org>

	* configure.in: bump version to 7.5.6.

2006-12-27  Karl Berry  <karl@tug.org>

	* fmtutil.in: the binary name is pdftex now.

2006-12-10  Karl Berry  <karl@tug.org>

	* omegaware/odvicopy.ch (int_8): rename the type to int_8_odvicopy,
	and @d int_8 itself to that, so that we don't end up with int8 in
	the C file.  AIX inttypes.h declares that.  (Reported by vvv.)

2006-09-05  Karl Berry  <karl@tug.org>

	* bibtex.ch (BUF_SIZE): increase to 20000 per Lee Samuel Finn, via
	3 Sep 2006 10:32:53 +0200 mail from Gerben.

2006-07-10  Karl Berry  <karl@tug.org>

	* tex.ch (sup_font_mem_size): double again, to 4000000.
	(actually, it seems we could set all the sup_* to the absolute
	maximums from TeX's architecture, since texmf.cnf determines what
	is allocated.  A patch for that would be welcome. :)

2006-06-20  Jonathan Kew  <jonathan_kew@sil.org>

	* texmfmem.h, texmfmp.h, texmfmp-help.h, lib/texmfmp.c: Added
	conditional fragments needed for building XeTeX.

2005-09-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch [53.1370]: Since we generate a string in all cases, we
	need to erase it in all cases.  Reported by Han The Thanh
	<hanthethanh@gmail.com>, diagnosed by Akira Kakuto
	<kakuto@fsci.fuk.kindai.ac.jp>.

2005-08-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* bibtex.ch: Make the buffer and related arrays grow dynamically.
	Fixes a bug reported by Kevin Cahill <cahill@unm.edu>.

2005-08-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: An \immediate\write18 on the '**' prompt would crash
	TeX, because the log file isn't open yet.  Reported by Jerzy
	B. Ludwichowski <Jerzy.Ludwichowski@uni.torun.pl>.  Since we
	always log something for \write18, so lets also log the command
	when \write18 is disabled, instead of merely showing that
	something was attempted.

2005-08-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Fix missing double-quote.

	* texmfmp-help.h [Aleph,eTeX,pdfeTeX]: Document -etex switch.

	* doc/web2c.texi: Correct missing entries in a table.

2005-07-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: libkpathsea is entirely in LGPL.

	* vftovp.ch: Remove misplaced semicolon.

	* texmfmp.h: Disable IPC when compiling with __DJGPP__.  (Should
	really be done in configure script.)

	* texmfmp.h: Remove references to pdfxtex.  Add
	get_seconds_and_micros prototype.

2005-07-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* weave.ch: Increase max_bytes to 65530.  We're bumping to the
	16-bit limits here.

	* tex.ch: Significantly increase the ssup_trie_size.

	* metapost.mk: Fix build rules/dependencies for mpware.

	* Makefile.in: Fix build rules for mpware.

	* vftovp.ch: Report the name of tfm files that we cannot find or
	find to be unusable.  Reported by Patrick Gundlach.

2005-06-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Remove one pair of brackets from
	--with-editor-CMD help text.

2005-06-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/Makefile.in: Replace ac_include with kpse_include.  From
	Peter Breitenlohner.

	* withenable.ac: Fully quote arguments of AC_AG_WITH.  From Peter
	Breitenlohner.

	* configure.in: Syntax changes to match autoconf2.5x.  From Peter
	Breitenlohner.  To version 7.5.5.

	* Makefile.in: Change ac_include to kpse_include.  From Peter
	Breitenlohner.

2005-06-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.web: Update for MetaPost 0.901.

	* mp.ch: Update for MetaPost 0.901.

	* cpascal.h: Add xreallocarray().  Requested by Hartmut Henkel
	<hartmut_henkel@gmx.de>.

2005-06-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* metapost.mk, dvitomp.mk, Makefile.in: Break out the metapost and
	dvitomp related makefile rules into separate makefile fragments.

	* doc/web2c.texi: Update description of newer.

2005-04-12  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mf.ch [38.788]: Use |get_job_name| so the --jobname switch can
	be used to replace "mfput".
	[38.793]: Interface of |get_job_name| changed.
	* mp.ch [35.765]: Use |get_job_name| so the --jobname switch can
	be used to replace "mpout".
	[35.770]: Interface of |get_job_name| changed.
	* tex.ch [29.534]: Use |get_job_name| so the --jobname switch can
	be used to replace "texput".
	[29.537]: Interface to |get_job_name| changed.
	This is part of a group of changes that fixes pdftex bug 302.
	http://sarovar.org/tracker/?func=detail&atid=493&aid=302&group_id=106
	
2005-02-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (aleph-dist): Remove generated file, make sure
	aleph.version file exists.

2005-02-05  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (uninstall, uninstall-exec, uninstall-data): Dummy
	target added so make uninstall doesn't stop here.

2005-01-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/Makefile.in: Change POSTINSTALL to POST_INSTALL.

	* tiedir/tie.1: Man page corrections from Eric S. Raymond
	<esr@thyrsus.com>.

2005-01-08  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Correct check whether otangle is needed. From
	Kenta MURATA <muraken20@yahoo.co.jp>.

	* withenable.ac: Update references to e-Omega to Aleph.  From
	Kenta MURATA <muraken20@yahoo.co.jp>.

2004-12-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Version 7.5.4.

	* doc/web2c.texi: Version 7.5.4.

	* tex.ch: Shuffle the \eof18 code around a bit.

2004-12-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch [16.211,46.1049]: I18N fix for |print_mode|, adding
	|print_in_mode| function to account for differences in declination
	etc.  After Wlodzimierz Bzyl <matwb@univ.gda.pl>.

	* mf.ch [28.585]: Sufficiently pathological code can overflow the
	serial_no counter: add a check for this.  From Thorsten Dahlheimer
	<tdahlheim@gmx.net>.

	* mp.ch [24.539]: Sufficiently pathological code can overflow the
	serial_no counter: add a check for this.  From Thorsten Dahlheimer
	<tdahlheim@gmx.net>.

	* tex.ch: Implement \ifeof18 to test whether \write18 is enabled.
	A variant of the code submitted by Heiko Oberdiek
	<oberdiek@uni-freiburg.de>.

2004-12-20  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Don't define IPC in c-auto.h if --enable-ipc
	wasn't given.

	* Makefile.in: configure depends on withenable.ac.

2004-12-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Old versions of flex don't support -l, but don't
	support --version either, so use the latter to test whether the
	former should be used.  From Thomas.

	* withenable.ac: Add --with-mf-x-toolkit option to replace
	--with-x-toolkit.  The latter couldn't be shared between mf and
	xdvi any more.

	* Makefile.in (tex-check, bibtex-check, dvicopy-check,
	dvitomp-check, mpost-check): Add TEXMFCNF=../kpathsea to the
	environment so the check works even if installation is not yet
	complete.  From Peter Breitenlohner <peb@mppmu.mpg.de>.

	* Makefile.in (install-data): Don't install cwebdir/cweb.1; this
	page now lives under .../man.

	* Makefile.in (tangle.p): Depend on tangleboot, not $(TANGLEBOOT).
	This means we build tangleboot even when cross-compiling.  The
	reason is that some versions of make get confused if we depend on
	./tangleboot but only have rules with tangleboot as the target.
	(ctangle.c,cweb.c): As above for $(CTANGLEBOOT).
	Problem reported for Digital UNIX 4.0E make by Bernhard Simon
	<simon@zid.tuwien.ac.at>.

2004-11-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (afmts): alambda -> lamed.  Restrict the use of FF
	to comments, as some make implementations cannot deal with it
	otherwise.

2004-09-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Changes made by Karl Berry.

2004-08-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dvitomp.ch: A more complete implementation of the color stack.
	Slight modification of code provided by Eddie Kohler
	<kohler@cs.ucla.edu>.

2004-08-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Document -output-directory.

	* doc/install.texi: Correct cross-references for building formats.

	* cpascal.h (output_directory): Added global variable.

	* triptrap/texmf.cnf: Correct settings for main_memory.

	* texmfmp-help.h: Add -output-directory to the help texts.

	* dvitomp.ch: Allow for a variable number of spaces between the
	'color push' special name and its argument.  From Eddie Kohler
	<kohler@cs.ucla.edu>.

2004-08-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Create etexdir in build tree if we're compiling
	e-TeX.

2004-08-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.ch, mf.ch, tex.ch: |main_memory| is a size, while |mem_top|
	is an index, so we need to subtract 1 when deriving |mem_top| from
	|main_memory|.  In a similar vein, we need to add 1 when
	allocating the |mem| array.  This may seem like nitpicking, but
	matters for the trip and trap tests.

2004-08-26  Peter Breitenlohner <peb@mppmu.mpg.de>

	* Makefile.in (patgen-check): Provide non-trivial test data.

	* tests/dict, tests/patgen.in, tests/patterns, tests/translate:
	Input data for patgen-check.

	* tests/patout, tests/pattmp.4: New files.
	Output from patgen-check.

2004-08-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* patgen.ch: Typo fixed by Peter Breitenlohner <peb@mppmu.mpg.de>.

	* patgen.web: Typo fixed by Peter Breitenlohner
	<peb@mppmu.mpg.de>.  (New version 2.3, August 2004).

	* Makefile.in (etex-dist,pdftex-dist): Account for etex.version
	and pdftex.version as generated files.

2004-08-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch [23.328]: Ensure that |source_filename_stack|[|in_open|]
	and |full_source_filename_stack|[|in_open|] are initialized.

	* tex.ch: Revise the file:line:error code to produce the correct
	filename in the presence of \scantokens (an e-TeX extension).  If
	we're not reading from a file at all, fall back on the TeX-style
	messages.  This change introduces |print_file_line| to keep the
	amount of code in the |print_err| macro under control.

2004-08-23  Karl Berry <karl@tug.org>.

	* doc/web2c.texi: An extensive update.

2004-08-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* config.h: Clean the define of TEXDLL up.  From Jan Nieuwenhuizen
	<janneke@gnu.org>.

2004-08-05  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch [29.530] prompt_file_name: don't allow the use of the
	empty string for a file name.  After Taco Hoekwater
	<taco@elvenkind.com>.

	* mf.ch [38.786] prompt_file_name: don't allow the use of the
	empty string for a file name.

	* mp.ch [35.763] prompt_file_name: don't allow the use of the
	empty string for a file name.

2004-08-01  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (post-dist-$(distname)): Ensure that
	texk/web2c/tests/xampl.bib is actually in the distributed tarball.
	(bibtex-check): BIBINPUTS should only need $(srcdir)/tests.

2004-07-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Undo changes from --option to -option.  This
	generated too many differences with the TeX-live sources at this
	time.

2004-07-23  Peter Breitenlohner <peb@mppmu.mpg.de>

	* tex.ch: Reorganize handling of banner string in order to
	reduce interference between eTeX, pdfTeX, and web2c change
	files.

2004-07-23  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Use singe dash for -ini, -progname etc.  Use
	explicit -ini and -progname when running the trip test, because
	the argv[0] name becomes lt-tex when using shared libraries, and
	we have settings in triptrap/texmf.cnf that are sensitive to this.

	* Makefile.in (bibtex-check): Add BIBINPUTS or check can fail.

2004-07-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Reorganize handling of integer parameters in order to
	reduce interference between eTeX, pdfTeX, and web2c change files.
	From Peter Breitenlohner <peb@mppmu.mpg.de>.

	* fmtutil.in: Update from Thomas.

2004-07-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mf.ch [42.912]: Remove this simplification of the web code,
	which is no longer a valid assumption now that we're back to the
	old print system.

	* mp.ch: A smaller set of changes than for mf.ch, as in version
	0.64 the |print|, |print_char|, |print_visible_char| system
	previously implemented in the mp.ch change file was merged into
	mp.web.  Remove a reference to |slow_print| that was overlooked
	earlier.

	* mf.ch: Extensive changes to the print routines, to mirror what
	was done for tex.ch (q.v.).

	* tex.ch: Extensive changes to fix a problem with the encTeX
	merge.  Original TeX used |slow_print|, |print|, and |print_char|
	for printing.  This had been changed to |print|, |print_char|, and
	|print_visible_char|, where the new |print_char| did the expansion
	of unprintable characters to "escaped sequences" on the fly.
	encTeX, it turns out, is too tightly interwoven with the old way
	of doing things, leading to some strange breakage.  So we've
	largely reverted the code.  In particular, we now store the
	"escaped sequences" for non-ASCII characters again as strings, and
	later decide on-the-fly whether to use those or just pass through.
	This simplifies the change file, and narrows the distance to the
	encTeX code.

	* texmfmp.h (setupcharset): Removed.
	(readtcxfile): Added.  Unlike setupcharset, this function doesn't
	initialize the xchr/xord/xprn arrays, it just updates them from a
	tcx file.  The name of the must be in the global
	translate_filename.

	* config.h: Add second argument to call of usagehelp.  This is the
	email address for bug reports.  If NULL, the default address for
	web2c is used.

	* bibtex.ch: Add second argument to call of usagehelp.

	* dvicopy.ch: Add second argument to call of usagehelp.

	* dvitomp.ch: Add second argument to call of usagehelp.

	* dvitype.ch: Add second argument to call of usagehelp.

	* gftodvi.ch: Add second argument to call of usagehelp.

	* gftopk.ch: Add second argument to call of usagehelp.

	* gftype.ch: Add second argument to call of usagehelp.

	* mft.ch: Add second argument to call of usagehelp.

	* patgen.ch: Add second argument to call of usagehelp.

	* pktogf.ch: Add second argument to call of usagehelp.

	* pktype.ch: Add second argument to call of usagehelp.

	* pltotf.ch: Add second argument to call of usagehelp.

	* pooltype.ch: Add second argument to call of usagehelp.

	* tangle.ch: Add second argument to call of usagehelp.

	* tftopl.ch: Add second argument to call of usagehelp.

	* vptovf.ch: Add second argument to call of usagehelp.

	* vftovp.ch: Add second argument to call of usagehelp.

	* weave.ch: Add second argument to call of usagehelp.

	* cwebdir/comm-w2c.ch: Add second argument to call of usagehelp.

2004-07-12  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp-help.h: Correct help strings of pdf*tex family.  From
	Akira Kakuto <kakuto@fsci.fuk.kindai.ac.jp>.

2004-07-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Move the creation of the format-related links to
	format-related install rules; this seems to be a better place for
	them, as the links are pointless without the corresponding
	formats.  Make the install-*-pool rules depend on the pool file in
	question.  Remove TEXMF=$(texmf) from the dumpenv; the
	TEXMFCNF=../kpathsea should get us a texmf.cnf with suitable
	absolute paths.

	* tex.ch: Correct date in encTeX_banner.

2004-07-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: No m4 quoting needed in the KPSE_CROSS_BUILD_VAR
	calls.  The default of $BUILDLDFLAGS must be $BUILDXLDFLAGS.

	* Makefile.in (web2c/fixwrites,web2c/spitup,web2c/web2c): These
	also depend on web2c/kps.c.
	[TANGLEBOOT,CTANGLEBOOT,TANGLE,CTANGLE,OTANGLE,TIE]: Add these
	variabled so the build can use programs other than what is built.
	Used when cross-compiling.

	* configure.in: Add KPSE_CROSS_BUILD_VAR and KPSE_CROSS_PATH_PROG
	invocations to set up cross-compiling.  To cross-compile, you need
	to have tangle, ctangle, otangle, and tie available on the build
	machine.

	* weave.ch: Set |max_names| to 10220, so we can still (barely)
	handle pdfetex.  Clearly a larger reworking is on the horizon.

	* tex.ch: Change |mubyte_incs| into a boolean.

2004-07-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Update to encTeX from Petr Olsak.  These fix three bugs.
	These bugs are seen only in encTeX mode when \mubytein=1 and in
	very rare cases.  Petr's explanation follows:
	
	1) If the control sequence is converted by \mubyte table but it is
	not shrunk then the non-converted alternative of control sequence
	is really used. It can be possible only if one-byte to one-byte
	conversion is used and declared by \mubyte primitive. More common
	is to use \mubyte for multi-byte to one-byte conversion. In such
	situation, there is no problem because control sequence is
	schrunk. Thanks to Wlodzimierz Bzyl for bugreport.
	
	   \def\aXb{xx}
	   \mubyte X Y\endmubyte
	   \mubytein=1
	   \aYb   % writes "undefined control sequence \aXb" because
	          % error message is converted but real control sequence
	          % is not converted and \aYb is undefined.
	
	2) If multi-byte to one-byte conversion is done during scanning of
	control sequence name with the result: one-letter control
	sequence, then this control sequence is not connected with
	"native" one-letter control sequence but the new "multi-letter
	control sequence" is allocated with only one letter in real.
	
	   \def\X{xx} % one-letter control sequence is defined
	   \mubyte X YZ\endmubyte
	   \mubytein=1
	   \YZ   % writes "undefined control sequence \X" because \YZ is
	         % converted to \X but allocated as multi-letter control
	         % sequence, but one-letter control sequence is defined
	
	3) If \catcode`\^^@=11 or 7 and if control sequence is terminated
	by generated control sequence (from \mubyte conversion) then the
	result of reading is unpredictable.
	
	   \def\XXX{xx}
	   \mubyte \XXX YZ\endmubyte
	   \mubytein=1 \relaxYZ % it is OK: \relax followed by \XXX
	   \par\catcode`\^^@=11
	   \relaxYZ   % bad reading: \relaxYZ control sequence not defined

2004-06-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Updates to make conversion to HTML easier, from
	Karl Berry.

2004-06-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/install.texi: Remove reference to --enable-auto-core.  That
	part of the code should be considered terminally broken.

2004-06-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: If the end-of-line character was disabled, we'd end up
	dropping the last characters of filenames.  Fixed by checking for
	end-of-line only if we've just seen a space, which could be the
	end-of-line space.  Reported by Werner Lemberg <wl@gnu.org>.

2004-06-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.ch: Moving the re-parsing of |name_of_file| back to
	|start_input|.  The string administration gets confused if this is
	done in |make_file_name|.

	* tex.ch: Typo in comment.  Remove some redundant material out of
	the change file.  Replace ' ' with " " in a number of places --
	this is the difference between the external coding and the
	internal ASCII-based coding of characters.  Since the external
	coding is ASCII on all platforms we currently compile on, this is
	a place where mistakes in the web2c sources can linger.

	* mf.ch: More changes to support spaces in filenames.  In
	particular, keep quotes around |cur_name|, |cur_ext|, and
	|cur_area| iff these contain spaces.  This incurs complications
	because we re-parse |name_of_file| into these components after
	opening a file.  The file-printing routine is changed to ensure
	that we print quotes if needed, but do not print any quotes
	contained in the parameters themselves.

	* mp.ch: More changes to support spaces in filenames.  In
	particular, keep quotes around |cur_name|, |cur_ext|, and
	|cur_area| iff these contain spaces.  This incurs complications
	because we re-parse |name_of_file| into these components after
	opening a file.  The file-printing routine is changed to ensure
	that we print quotes if needed, but do not print any quotes
	contained in the parameters themselves.

2004-06-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.ch: Larger |max_in_open|, |param_size|, |max_write_files|.

	* tex.ch: More changes to support spaces in filenames.  In
	particular, keep quotes around |cur_name|, |cur_ext|, and
	|cur_area| iff these contain spaces.  This incurs complications
	because we re-parse |name_of_file| into these components after
	opening a file.  The file-printing routine is changed to ensure
	that we print quotes if needed, but do not print any quotes
	contained in the parameters themselves.

2004-06-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.ch: A slight change to ensure double quotes do not appear in
	error messages when a filename has to be quoted.

	* mf.ch: A slight change to ensure double quotes do not appear in
	error messages when a filename has to be quoted.

	* tex.ch: When dealing with a filename with unbalanced quotes,
	still stop scanning when the buffer ends.  Also a slight
	modification to prevent double quotes from appearing in error
	messages.

2004-06-01  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Delete some MLTeX code that was duplicated accidentally.

2004-05-31  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mf.ch, mp.ch: xprn must be ASCII_code -- we story only 0 or 1
	there, and 'boolean' is a full 4-byte entity.  Worse, dummy_xprn
	was already an ASCII_code, so in the presence of a TCX file we
	didn't correctly undump the base/mem.

2004-05-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* cpascal.h: Remove -oem code.

2004-05-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.ch: In mpost, we need to use str_stop to find the end of a
	string.  Reported by Wlodzimierz Bzyl <matwb@univ.gda.pl>.

2004-05-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch [5.58]: Remove code implementing the locale-dependent
	printing.  The most generous evaluation is that this was an
	experiment that failed.  The desired effect of having printable
	eight-bit characters is handled through different mechanisms.

	* Makefile.in: fmtutil-related changes from Thomas.  May not be
	completely correct yet.

	* fmtutil.in: New version from TeX-live.

	* texmfmp-help.h: Correct helptexts of pdf*tex for format
	extensions.

2004-05-12  Olaf Weber  <olaf@infovore.xs4all.nl>

	* weave.ch: Increase max_refs and max_names for pdf*TeX.
	Requested by Hartmut Henkel <hartmut_henkel@gmx.de>.

2004-05-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (ctie.c): Name of the change file changed from
	ctie.ch to ctie-k.ch.

	* web2c/ctiedir: update to latest source from ctan.

2004-05-09  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Add rules to compile, install, and distribute ctie.

	* Add ctie to distribution, it lives in web2c/ctiedir.

	* Makefile.in (post-dist-$(distname)): Remove cweb.c when creating
	a distribution.  Must be done explicitly because cweb is not a
	program itself.
	(ctangleboot.c, cwebboot.c): Make these rules more robust in the
	presence of timestamp problems.  You could get a empty files and a
	failed build otherwise.

2004-05-08  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (install-mf-links, install-mpost-links,
	install-tex-links): Do not create initex, virtex, inimf, virmf,
	inimpost, virmpost links on installation.  These are all way more
	trouble than they're worth.

	* mp.ch: Use TEXMF_POOL_NAME and TEXMF_ENGINE_NAME, and replace
	hard-coded mf.pool with pool_name in messages.

	* mf.ch: Use TEXMF_POOL_NAME and TEXMF_ENGINE_NAME, and replace
	hard-coded mf.pool with pool_name in messages.

	* tex.ch: Change TEX_POOL_NAME and TEX_ENGINE_NAME into
	TEXMF_POOL_NAME and TEXMF_ENGINE_NAME.

	* texmfmp.h: Change TEXPOOLNAME and TEXENGINENAME into
	TEXMFPOOLNAME and TEXMFENGINENAME.

	* doc/web2c.texi: Document -halt-on-error.

	* texmfmp-help.h: Document -halt-on-error.

	* Makefile.in: Correct dependencies on $(basedir), $(memdir),
	instead of $(fmtdir).  This matters now that they differ.

	* Makefile.in: Include md5 dir in libs-dist target.

	* Makefile.in: Remove $(all_formats); it has become obsolete.
	Simplify clean pattern now that only one format extension is left.
	* Makefile.in: We use .fmt as the extension for all formats.  This
	means that latex.fmt gets built by e-TeX (as requested by the
	LaTeX2e group).  So remove that target from the rules for TeX.

	* texmfmp-help.h: Change the various -*fmt options to actually
	spell -fmt.

	* tex.ch: Implement halt-on-error, and quoted filenames.

	* mf.ch: Implement halt-on-error, and quoted filenames.

	* mp.ch: Implement halt-on-error, and quoted filenames.

2004-05-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Remove eomega-related code.  Add aleph-dist target.

	* configure.in: Remove e-Omega code.  Enable pdflib for all
	members of the pdfTeX family.

	* texmfmp-help.h: Add -8bit to help text.

	* doc/web2c.texi: Document interaction between -8bit and TCX.

	* doc/web2c.texi: Document -8bit option.

	* mp.ch: Add a magic number to the dump, add engine name to dump,
	dump xord, xchr, xprn, so a TCX file during INI is persistent.

	* mf.ch: Add a magic number to the dump, add engine name to dump,
	dump xord, xchr, xprn, so a TCX file during INI is persistent.

	* tex.ch: Always dump the xord, xchr, and xprn arrays, so loading
	a TCX file in INI mode will change these defaults for all users of
	the format.  Implement an 8bit option that switches all characters
	to printable by default.  Reorganize the code a bit.

2004-04-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch [5.71]: An error in the encTeX merge (not encTeX itself)
	made TeX ignore commands given at the error "?" prompt.  Reported
	by Akira Kakuto <kakuto@fsci.fuk.kindai.ac.jp>.

2004-04-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Modify error messages involving tex.pool, so they use
	pool_name instead of the hard-coded name.  Implement checking for
	the name of the engine, which is now stored in the format file.

	* texmfmp.h: Add proper definitons of TEXENGINENAME for each
	engine.

2004-04-08  Olaf Weber  <olaf@infovore.xs4all.nl>

	* bibtex.ch [10]: Add 'hack0' to initialize jmp9998. This had to
	be moved up because otherwise we could end up doing the longjmp
	before the setjmp.  Reported by Sven Luther
	<luther@dpt-info.u-strasbg.fr>.

2004-03-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Change type of parse_first_line_p,
	file_line_error_style_p, and shell_escape_p from boolean to
	c_int_type.  They're used as booleans in the Pascal code, but
	tri-state in the C code.

	* texmfmp-help.h: Document -no-shell-escape, -no-parse-first-line,
	-no-file-line-error.

	* doc/web2c.texi: Document -no-shell-escape, -no-file-line-error,
	-no-parse-first-line.

2004-03-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp-help.h: Bring help text up-to-date.

	* tex.ch: Simplify some of the encTeX-related code.

	* configure.in: Add test for Aleph.

	* Makefile.in: Reorganization to mode pdftexlib-related code to
	its own makefile fragment.  Also rewrite the rules for the engines
	so it becomes easier to omit specific engines from the default
	compilation.

2004-03-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* cpascal.h: Add definition of floor() for dvitomp.  After Hartmut
	Henkel <hartmut_henkel@gmx.de>.

	* dvitomp.ch [49,50]: For the code to work, Hobby notes that we
	need |round|(|x|-0.5) to be equal to $\lfloor x\rfloor$.  For
	Pascal's |round| function this is emphatically not true.  After
	Hartmut Henkel <hartmut_henkel@gmx.de>.

	* dvitomp.ch: Support for color specials, like those generated by
	the colordvi package.  From Eddie Kohler <kohler@cs.ucla.edu>.

2004-03-23  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Clarify use of special_printing in comment.

2004-03-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dvitomp.ch [57]: Off-by-one error in virtual font handling.
	From Hartmut Henkel <hartmut_henkel@gmx.de>.

	* tex.ch: Correct comment so the file weaves properly.

2004-03-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: encTeX merge.  Code from Petr Olsak, with modifications
	to match the rest of web2c better.

2004-03-18  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in [testenv]: somehow the LC_ALL=C got dropped.

2004-03-17  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Double sup_font_mem_size to 2000000.

	* triptrap/texmf.cnf: Add mem_bot.tex and mem_bot.initex, set
	main_memory.{ini,}tex to 3000.

	* tex.ch: Make mem_bot configurable (0 and 1 only allowed values).
	Used for the trip test.

2004-03-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Modifications for Aleph.

	* texmfmp.h: Mods for Aleph.

	* texmfmem.h: Add Aleph.

	* texmfmp-help.h [Aleph]: ALEPHHELP.

2004-02-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tangle.ch: Treat pool files as binary files, not text files
	(matters on some platforms).

	* pooltype.ch: Treat pool files as binary files, not text files
	(matters on some platforms).

	* mp.ch [43.1195]: Use kpse_fontmap_format to find psfonts.map.

	* tex.ch: Rename is_printable to xprn.

	* mp.ch: Rename is_printable to xprn.

	* mf.ch: Rename is_printable to xprn.

	* withenable.ac: Add --without-pdfxtex.

	* texmfmp.h (undumpint): Treat WIN32 as if REGFIX is set.

	* texmfmp.h: Add define for kpsefontmapformat.

	* texmfmp.h: Add support for pdfxTeX.

	* fmtutil.in: Sync with TeXlive.

	* configure.in: Add support for pdfxTeX.

	* configure.in: If LEX is (autodetected) flex, add -l option.  We
	need this for omegafonts.

	* help.h [MFT]: Allow several -style options.

	* mft.ch: Implement multiple style files (multiple -s options) for
	mft.

	* patgen.ch: Increase trie_size, triec_size.  Do not remove the
	close_in, close_out operations.

	* tex.ch [6.82]: Do not force scroll_mode for file:line:error
	style messages.

	* cwebdir/comm-w2c.ch: Correct documentation of CWEBINPUTS.
	Initialise kpathsea_debug.

2004-01-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Initialize source_filename_stack[0],
	full_source_filename_stack[0] -- these can be read under some
	circumstances.  Found by Krank Küster <frank@kuesterei.ch>.

	* tex.ch: Correct printing of |src_specials| when weaving.

2003-10-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Work around flex 2.5.x issue (affecting pl.l in
	the Omega code) by adding -l flag if we're using flex.  From
	Thomas.

2003-02-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version 7.5.2.

	* configure.in: Version 7.5.2.

	* Makefile.in: Remove vestiges of --with-etex=tex option.
	(mf-clean): There is no $(mfw_o).
	(install-data): install-dumps is conditional on --disable-fmtutil.

	* configure.in (--enable-fmtutil): Implementation.
	(--without-etex): Simplify --with-etex to an on/off switch.
	(--with-mf-nowin): Simplify --with-mfw to an on/off switch for a
	binary that is guaranteed to contain no windowing support.

	* fmtutil.in: Replace occurrences of @TEXBIN@ with tex.

	* withenable.ac (--without-etex): Replaces complex --with-etex
	rule.
	(--with-mf-nowin): Replaces complex --with-mfw rule.
	(--enable-fmtutil): Just the help text.

2003-02-17  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version 7.5.1.

	* configure.in: Version 7.5.1.

	* Makefile.in (gftodvi-clean): Remove gftodvi.h.
	(gftopk-clean): Remove gftopk.h.
	(programs): Add $(pdftosrc).

	* fmtutil.in: Remove mfw rule (sync with teTeX/TeX live).

	* withenable.ac: New option: --enable-fmtutil.

	* doc/Makefile.in: Need to add kpathsea.mk, as we now use libtool
	in the clean rule, and it isnt' found otherwise.

2003-02-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* triptrap/tripin.log: Update from Knuth for TeX 3.141592.

	* triptrap/trip.typ: Update from Knuth for TeX 3.141592.

	* triptrap/trip.tex: Update from Knuth for TeX 3.141592.

	* triptrap/trip.log: Update from Knuth for TeX 3.141592.

	* triptrap/trip.fot: Update from Knuth for TeX 3.141592.

	* triptrap/mftrapin.log: Update from Knuth for MF 2.71828.

	* triptrap/trap.typ: Update from Knuth for MF 2.71828.

	* triptrap/mftrap.log: Update from Knuth for MF 2.71828.

	* triptrap/mftrap.fot: Update from Knuth for MF 2.71828.

	* weave.web: WEAVE 4.4 from Knuth - same version number, minor
	change.

	* tangle.web: TANGLE 4.5 from Knuth: prevents modno-comments from
	being split across lines.

	* vftovp.web: VFtoVP 1.3 from Knuth: made out_as_fix tell the
	truth in overflow cases.

	* mf.web: MF 2.71828 from Knuth: suppressed autorounding in
	dangerous cases.

	* tex.web: TeX 3.141592 from Knuth: fixed \xleaders, glueset,
	weird alignments.

	* tex.ch: Update banner for TeX 3.141592.

	* Makefile.in (vptovf-clean): Correct typo.
	(tangleboot.p): Copy from srcdir if it isn't in builddir, otherwise
	builds outside the source dir are broken.

2003-02-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version 7.5.0.

	* configure.in: Version 7.5.0.

	* Makefile.in: From klibtool to libtool.  Based on patches from
	Albert Chin-A-Young <china@thewrittenword.com>.

	* Makefile.in: Various changes to make e-TeX the engine under
	LaTeX2e.
	(dvicopy-check): Add VFFONTS definition.
	(programs): mpost was mentioned twice.
	(web-dist): Remove eomega.web file, as it is a generated one.

	* mft.ch [8]: Increase max_bytes and max_names.

2003-02-07  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version 7.4.6.

	* configure.in: Version 7.4.6.  e-Omega support.

	* withenable.ac: e-Omega support.

	* texmfmp.h: e-Omega support.

	* texmfmp-help.h: e-Omega support.

	* texmfmem.h: e-Omega support.

	* config.h: NO_FMTBASE_SHARE -> NO_DUMP_SHARE.  Was overlooked for
	a long time.  Found by Nix <nix@esperi.demon.co.uk>.

	* Makefile.in: Rewritten to a more "modular" structure: rules
	related to one target are now mostly found together.  Rules for
	e-TeX, pdfTeX and so on are now mostly in the subsidiary
	makefiles.

2003-01-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version 7.4.5.

	* configure.in (AC_CHECK_FUNCS): Add mkstemp, mktemp.
	Version 7.4.5.

2003-01-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Indicate that --with-mfw=yes is currently the
	default.

	* fmtutil.in: Add comment on how to change the engine for LaTeX to
	e-TeX.  From Thomas.

2003-01-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch [5.58/59]: Check the is_printable array when writing to
	files, but check isprint(3) when printing to the terminal or the
	log file.

	* Makefile.in: Add pdftosrc to compiled programs.

	* cwebdir/comm-w2c.ch: Use DEV_NULL instead of hard-coding
	/dev/null.  Reported by Fabrice Popineau.

2003-01-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Version 7.4.4.

	* doc/web2c.texi: Version 7.4.4.

2003-01-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (testenv): Use LC_ALL=C, not LANG=C, as only the
	former will actually force the locale to C.

2003-01-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Increase ssup_max_strings, sup_main_memory,
	sup_pool_size, so the large consumers can eat their fill.

	* Makefile.in (install-links): Omega formats end in .oft now.
	Spotted by Peter Breitenlohner <peb@mppmu.mpg.de>.

2003-01-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version 7.4.3.

	* configure.in: Version 7.4.3.

2003-01-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* cwebdir/cweav-w2c.ch: Remove 'k' from banner.

	* cwebdir/ctang-w2c.ch: Remove 'k' from banner, we're already
	declaring we're part of web2c, and this is more consistent with
	the other programs.

	* cwebdir/comm-w2c.ch: Add --help and --version option, after code
	supplied by Julian Gilbey.

	* help.h [CWEB]: Add CWEAVEHELP and CTANGLEHELP.

	* Makefile.in [testenv]: Add LANG=C to trip environment for
	consistent results.

2002-12-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* cwebdir/comm-w2c.ch: Remove code that adds ".web", kpathsea will
	handle this.  Ensure that when kpse_find_file returns a filename,
	it is used for #line directives and such.

2002-12-23  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Version 7.4.2.

	* doc/web2c.texi: Version 7.4.2.

	* doc/Makefile.in (install-data): Test for web2c.info explicitly
	in current directory, because some versions of make prepend the
	source dir path otherwise.  From Thomas Esser
	<te@dbs.uni-hannover.de>.

	* Makefile.in (clean): Add 'mf' to the targets always removed.
	(mf): Explicit target needed if --with-mfw=yes was given.
	Thanks to Dragan Milicic <dragan@math.utah.edu>.

2002-12-20  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Version 7.4.1.

	* doc/web2c.texi: Version 7.4.1.

2002-12-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* cwebdir/cweav-w2c.ch (reduce, squash): While creating the
	prototypes I got the order of the arguments wrong.

2002-12-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version 7.4.0.

	* configure.in: Version 7.4.0.

	* Makefile.in: Changes for mf/mf-nowin handling.  From Thomas.

	* Makefile.in: Remove references to the share/* files.

	* share/*: Remove files from this subdirectory.  They are the kind
	of files that should be distributed in the texmf tree.

	* cwebdir/cweav-w2c.ch: Add prototype information.

	* cwebdir/ctang-w2c.ch: Add prototype information.

	* cwebdir/comm-w2c.ch: Add prototype information.

2002-11-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.ch [46.1307]: A previous change dropped the call of
	fix_date_and_time in non-ini mode, so we always got the date of
	the creation of the mem file.  Repoerted by Hartmut Henkel
	<hartmut_henkel@gmx.de>.

	* bibtex.ch [106]: Correct logic of comparison.

	* bibtex.ch [106]: Make sure name_length is at least as long as
	the length of the extension before checking for the extension.

	* bibtex.ch [106]: Check for aux extension '.aux' not 'aux'.  When
	'.aux' is already present, take that into account when generating
	the derived filenames.  Reported by Emmanuel Jeandel
	<ejeandel@ens-lyon.fr>.

2002-11-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mf.ch [3.36]: write_ln instead of write for '! End of file on
	the terminal... why?' message.  From Hartmut Henkel
	<hartmut_henkel@gmx.de>.

	* mp.ch [3.36]: write_ln instead of write for '! End of file on
	the terminal... why?' message.  From Hartmut Henkel
	<hartmut_henkel@gmx.de>.

2002-11-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* cwebdir/comm-w2c.ch: Add copyright + license (public domain).

	* cwebdir/ctang-w2c.ch: Add copyright + license (public domain).

	* cwebdir/cweav-w2c.ch: Add copyright + license (public domain).

	* doc/web2c.texi: To 7.3.11.

	* cwebdir/cweav-w2c.ch: Increase max_file_name_length from 60 to
	1024.

	* cwebdir/ctang-w2c.ch: Increase max_file_name_length from 60 to
	1024.

	* cwebdir/comm-w2c.ch: Increase max_file_name_length from 60 to
	1024.

	* configure.in: To 7.3.11.

	* bibtex.ch [32,33]: Characters in the range [128..255] would be
	dropped by some of BibTeX's internal functions, like purify$.
	Allow them to pass through.

	* Makefile.in: Remove libs/xpdf/aconf.h when creating a
	distribution for pdftex.

2002-11-12  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (install-links): Misspelled pdffmts; found by Joern
	Clausen <joern@techfak.uni-bielefeld.de>.

	* doc/web2c.texi: Correct expansion of GPL.

	* Makefile.in: Use $(man1dir) for manual pages.

2002-11-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Version 7.3.10.

	* cwebdir/ctang-w2c.ch: Cleanup comments.

	* cwebdir/comm-w2c.ch: Cleanup comments.

	* cwebdir/cweav-w2c.ch: Cleanup comments.

	* Makefile.in: Renaming of tie.ch to tie-w2c.ch.  Install the
	ctangle and cweave manual pages.  Like the tie manual page, these
	really should be updated for web2c.

	* tie.ch -> tie-w2c.ch: Renaming to get a more consistent naming
	convention.

	* tiedir/tie.c: Reverting to the original from tie-2.4, as the way
	in which tie.c is generated has changed: now we run ctangle during
	the build.

	* cwebdir/{ctang,comm,cweav}-w2c.ch: Changefiles to have CWEB use
	kpathsea.  First implementation by Wlodek Bzyl, with modifications
	by Olaf Weber.

	* cwebdir: Adding the sources of CWEB here.

	* Makefile.in: Changes to support the addition of CWEB.  Also use
	the opportunity to remove shared_env, which is a dead variable.

	* Makefile.in (install-data): Install fmtutil.cnf.

	* fmtutil.in: New file.  Used by teTeX, but not (at present!) by a
	"bare" web2c installation, if such a thing exists anymore.

	* share/typeface.map: Update to 2002-10-12.

	* share/special.map: Add 'vn' for Vietnamese CM.

	* doc/web2c.texi: Document the -parse-first-line option.

	* texmfmp-help.h: Document the -parse-first-line option.

	* tex.ch: Commented out: add code to 29.523 to set the
	kpse_program_name to the name of the format found.  This can be
	both a good and a bad idea: its sets the format name properly in
	case we do something like 'tex &latex file.tex' (when we want the
	latex search paths) but is almost certainly wrong if we have
	'latex &mylatex file.tex' (when we also want the latex search
	paths).

	* mp.ch: Commented out: add code to 35.755 that would set the
	kpse_program_name to the name of the format found.

	* mf.ch: Commented out: add change to 38.788 that would set the
	kpse program name to the name of the format found.

	* cpascal.h: Add kpseresetprogramname to the defined symbols.

2002-10-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp-help.h: Document -oft option (which was renamed to match
	the extension name).

	* doc/web2c.texi: Version 7.3.9.

	* configure.in: Version 7.3.9.

	* Makefile.in: Changes to get the Omega dump file extension from
	fmt to oft.

2002-10-20  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Use the -jobname option when dumping formats,
	bases, mems.

	* share/supplier.map: Update to 2002-3-3.

	* share/typeface.map: Update to 2002-4-4.

	* doc/web2c.texi: Document -jobname option.  Correct description
	of -fmt, -efmt, -base, -mem options, as they no longer set the
	name to of the dumpfile written in ini mode.

	* texmfmp-help.h: Document -jobname option in help texts.

	* mf.ch [38.793]: Add support for --jobname option.

	* mp.ch [35.770]: Add support for --jobname option.

	* tex.ch [29.537]: Add support for the --jobname option.

	* tangle.ch [50,53,58,63,116,...]: Make unambig_length a variable,
	with default def_unambig_length.  Implement the optional
	case-smashing and underline-retention.

	* doc/web2c.texi: Document the new options of tangle.

	* help.h [TANGLEHELP]: Document the new options.

2002-10-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version to 7.3.8.

	* NEWS: Updates for 7.3.8.

	* doc/web2c.texi: Typo.

	* tex.ch: Settle on text for the not-TeX banner -- just add a 'k'
	to the name, so we get TeXk, e-TeXk, pdfTeXk, and so on.

2002-10-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch [3.32]: Add parse_first_line_p variable.
	[5.31]: Print not-TeX banner if parse_first_line_p is true.
	[29.536]: Write	not-TeX banner to log file when parse_first_line_p
	is true; also when file_line_error_style_p is true (was omitted
	earlier).

	* mp.ch [1.13]: Add parse_first_line_p variable.

	* mf.ch [1.13]: Add parse_first_line_p variable.

	* doc/web2c.texi: Add warning about non-conformity of source
	specials.

	* tex.ch [5.16]: TeX would claim that source specials are enabled
	when file:line:error styles were enabled.

	* configure.in: TeXlive merge: changes to the cxx_runtime_hack
	code.

	* config.h [WIN32]: TeXlive merge.

	* Makefile.in: Inhibit parallel makes, as these cause trouble with
	the way the rules are (currently) written.  Remove references to
	libtiff.  TeXlive merge.

2002-07-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Update notes on the --src option.

	* tex.ch [47.1091]: Back out the change that moved the generation
	of src_specials.  It in turn led to markedly different results in
	"normal" input that is considerably more common than the
	constructions that prompted the change.  The upshot is that at
	present I know of _no_ non-intrusive way to implement source
	specials, and enabling them may break your documents in unexpected
	ways.  Found by the ever vigilant Akira Kakuto
	<kakuto@fsci.fuk.kindai.ac.jp>, for which my thanks.

2002-06-09  Olaf Weber  <olaf@infovore.xs4all.nl>

	* bibtex.ch [324]: Add comments clarifying the change and its
	limitation.

	* bibtex.ch [324]: When breaking output lines, try to avoid
	splitting a \% combination.  Reported by Agthorr
	<agthorr@barsoom.org>.

2002-06-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Insert a newline after the "file:line:error enabled"
	console message.

	* tex.ch: Implement banner change for source specials.  Also
	implement the printing of additional lines if source specials,
	\write18, or file:line:error style messages are enabled.  Change
	the source specials to use a "frozen" \special token so that
	redefinition of \special doesn't affect the working of this
	option.  Delay the generation of everypar source specials until
	after the \everypar processing has been done, because they could
	be easily "captured" otherwise (reported by Petr Olsak
	<olsak@math.feld.cvut.cz>).

	* doc/web2c.texi: Note that enabling source specials can have
	unexped effects.

2002-04-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Replace the use of a '#.#' pattern to comment out
	options with the use of '#! '.  Requested by Gerben Wierda.

	* configure.in: Add implementation of --with-cxx-runtime-hack: it
	allows the GNU C++ libraries to be statically linked, which makes
	binaries marginally more transportable between hosts.

	* Makefile.in (pdftex,pdfetex): Add @CXXLDEXTRA@ to support the
	--with-cxx-runtime-hack option.

	* withenable.ac: Add --with-cxx-runtime-hack option. (Thomas
	Esser).

2002-03-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dvitomp.ch [5]: Increase virtual_space to accomodate Korean
	users.  Suggested by Kong Hoon Lee <konghoon@dreamwiz.com>.

2001-12-17  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Increase trie_op_size (and match with neg_trie_op_size)
	to accomodate larger hyphenation tables.  Value suggested by
	Thomas Esser <te@informatik.uni-hannover.de>.

2001-11-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Version 7.3.7.

	* configure.in: Version 7.3.7.

	* configure.in: Add AC_C_INLINE, to deal with the fact that pdfTeX
	likes to use inline functions.

2001-11-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: ipc_on must be c_int_type, not integer, because it is
	used in the option code.

	* Makefile.in (pdftex-dist): Add xpdf sources to this tarball.
	(libs-dist): New target for additional libraries used by pdftex.
	(bibtex-check): Use the just-created texmf.cnf, not an already
	installed one.

2001-11-20  Olaf Weber  <olaf@infovore.xs4all.nl>

	* share/variant.map: Update.

	* share/typeface.map: Update.

	* share/supplier.map: Update.

	* share/adobe.map: Update.

2001-11-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Changes to keep C++ compilers from choking.

	* mp.ch: Changes to keep C++ compilers from choking.

	* bibtex.ch: Changes to keep C++ compilers from choking.

2001-11-18  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Version 7.3.6.

	* tiedir/tie.c: Regenerated for tie.w and tie.ch.

	* doc/web2c.texi: Update version.  Document --recorder option.

	* vftovp.ch: Changes to keep C++ compilers from choking.

	* texmfmp-help.h: Document --recorder option.

	* tex.ch: Changes to keep C++ compilers from choking.  Add support
	for the filename recorder.

	* mp.ch: Changes to keep C++ compilers from choking.  Add support
	for the filename recorder.

	* mf.ch: Changes to keep C++ compilers from choking.  Add support
	for the filename recorder.

	* gftodvi.ch: Changes to keep C++ compilers from choking.

	* dvitype.ch: Changes to keep C++ compilers from choking.

	* dvitomp.ch: Changes to keep C++ compilers from choking.

	* dvicopy.ch: Changes to keep C++ compilers from choking.

	* cpascal.h: Additions for the filename recorder.

	* bibtex.ch: Changes to keep C++ compilers from choking.

	* NEWS:

	* Makefile.in (tie): Link tie with lib.

2001-11-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Check for headers sys/time.h, sys/timeb.h, and
	functions gettimeofday, ftime.

	* tangle.ch: Increase limits for constants and expressions to
	allow tangle to build otangle.

	* Makefile.in: Drop otangleboot target; otangle will be built by
	tangle, not by itself.

2001-11-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Update date, add documentation for
	-file-line-error-style and -src-specials.

	* texmfmp-help.h: Update help for -file-line-error-style and
	-src-specials.

	* configure.in: Version 7.3.5.

	* tex.ch: Change the calls of xmalloc_array to account for the new
	interface.

	* mp.ch: Change the calls of xmalloc_array to account for the new
	interface.

	* mf.ch: Change the calls of xmalloc_array to account for the new
	interface.

	* cpascal.h (stringcast): Added to help the Omega people push
	their sources through a C++ compiler.

	* cpascal.h (xmallocarray): Moved from texmfmp.h, as Omega wants
	to use it in more places.  Note that the interface changed!

	* texmfmp.h (xmallocarray): Moved to cpascal.h for the Omega
	merge.

	* Makefile.in (prereq-check): Explicitly require a 'progname'
	argument to set the program name, instead of allowing such an
	option to be part of the 'files' argument.

2001-11-01  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (tangleboot.p): Test whether ./tangle exists -- this
	rule can be triggered if tangleboot.p's timestamp is too old.

2001-10-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: To 7.3.4.
	
	* doc/web2c.texi: xref correction.

	* tex.ch: Increase trie size.  Add support for source specials.

	* tangle.ch [8]: Increase max_names, max_tests to 10000.

	* configure.in: Check for libm added.  If it is there, we do
	unconditionally link it, which is probably wrong.

	* Makefile.in [makeargs]: Add LDFLAGS.

2001-10-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* cpascal.h: Add defines for kpsesetprogramname and kpsempformat.

	* help.h [MFT]: Add -metapost description.

	* mft.ch: Support for METAPOST files.  Based on changes supplied
	by Wlodek Bzyl <matwb@univ.gda.pl>.

	* texmfmp-help.h: Add IPC help text to etex, pdftex, pdfetex.

	* mp.ch: Make path_size a configuration option.

2001-10-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* weave.ch: Modify usage/usage_help invocation.  Use kpathsea to
	find web and change files.

	* vftovp.ch: Modify usage/usage_help invocation.

	* vptovf.ch: Modify usage/usage_help invocation.

	* tftopl.ch: Modify usage/usage_help invocation.

	* texmfmp-help.h: Remove double end-of-comment.

	* tex.ch: Modifications for file:line:error style messages.

	* tangle.ch: Modify usage/usage_help invocation.  Find web and
	change files using kpathsea.

	* pooltype.ch: Modify usage/usage_help invocation.

	* pltotf.ch: Modify usage/usage_help invocation.

	* pktype.ch: Modify usage/usage_help invocation.

	* pktogf.ch: Modify usage/usage_help invocation.

	* patgen.ch: Modify usage/usage_help invocation.

	* mp.ch: Modifications for file:line:error style messages.

	* mft.ch: Modify usage/usage_help invocation.

	* mf.ch: Modifications for file:line:error style messages.

	* gftype.ch: Modify usage/usage_help invocation.

	* gftopk.ch: Modify usage/usage_help invocation.

	* gftodvi.ch: Modify usage/usage_help invocation.

	* dvitype.ch: Modify usage/usage_help invocation.

	* dvitomp.ch: Modify usage/usage_help invocation.

	* dvicopy.ch [5]: Increase max_fonts.
	[7]: Rename integer types to names that do not collide with the new
	C99 names.
	[system-dependent]: Modiy usage/usage_help invocation.

	* cpascal.h (readln): Remove macro, add function prototype.
	(kpsewebformat): Added.

	* config.h (usage,usage_help): Change/add prototypes.

	* bibtex.ch: Changes to usage/usage_help invocation.

	* Makefile.in: install-programs [OMEGA]: add install-links for
	omegadir sub-make.

2001-10-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mf.ch [48.1200]: mf.web was changed to use 4-diget years, so
	that change could be removed here.

	* tex.ch [50.1328]: Master tex.web was changed to print 4-digit
	years, so that change is removed here.

2001-09-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tangle.ch: Add "parametric2" macros, which are macros where the
	argument is delimited by [] instead of ().

2001-04-23  Olaf Weber  <olaf@infovore.xs4all.nl>

	* cpascal.h (readln): Accept both CR and LF as end-of-line
	characters.

2000-08-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Replace the ugly ""$(var) construct with something
	more robust.  Thanks Thomas.

	* config.h: Make sure we get the right c-auto.h.  From Han The
	Tanh.

	* Makefile.in: Changes to support omega 1.15.  Earlier versions
	are implicitly no longer supported because of these.

	* configure.in: Changes to support omega 1.15.

2000-08-05  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Bump version, year.

	* configure.in: Update for 7.3.3.

	* NEWS: Update for 7.3.3.

	* mf.ch: Read buf_size from texmf.cnf, just like TeX and MP do.

2000-04-25  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/ref.tex: Update reference codes for the bib files I'm using.

	* mp.ch [35.782]: Use the kpse_mp_format for "readfrom" files,
	instead of no path at all.

	* vftovp.ch [25]: Both nl and lig_size are in words, so the
	multiplication is not needed.  Found by "C.M. Connelly"
	<c@eskimo.com> and Melissa O'Neill <oneill@cs.sfu.ca>.

	* tftopl.ch [20]: Both nl and lig_size are in words, so the
	multiplication is not needed.  Found by "C.M. Connelly"
	<c@eskimo.com> and Melissa O'Neill <oneill@cs.sfu.ca>.

2000-04-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tangle.ch: Increase zz.

	* doc/web2c.texi: Document the win32-specific -oem option.  From
	Fabrice.

	* cpascal.h [OEM]: Additions for oem.c, from Fabrice.

2000-04-19  Olaf Weber  <olaf@infovore.xs4all.nl>

	* patgen.ch: Correct off-by-one in filename generation of
	pattmp.x.

2000-04-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dvitype.ch: Fix parsing of --output-level option to match
	documentation.  Spotted by DEK.

2000-04-03  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dvicopy.ch: Increase max_widths, max_packets, max_bytes.

	* configure.in: If fmtutil.in is found, create fmtutil.cnf.

	* cpascal.h (readln): Explicit int to get rid of warning.

	* Makefile.in: Changes for pdfTeX, from Han The Thanh
	<thanh@informatics.muni.cz>.

	* configure.in: Some of the "special hacks" that allow for
	cross-compilation have been moved to acspecific.m4.  From Han The
	Thanh <thanh@informatics.muni.cz>.

2000-04-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Correction: -translation-file -> translate-file.
	Spotted by Etienne Riga <etienne.riga@skynet.be>.

2000-03-22  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.ch: Parametrize the size of the line buffer.  From Fabrice
	Popineau <Fabrice.Popineau@supelec.fr>

2000-03-21  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Allow spaces in the path leading up to the texmf tree.
	(But not in the tree itself.)  From Stefan Haller <stk@snafu.de>.

	* mp.ch: Allow spaces in the path leading up to the texmf tree.
	(But not in the tree itself.)  After Stefan Haller <stk@snafu.de>.

	* mf.ch: Allow spaces in the path leading up to the texmf tree.
	(But not in the tree itself.)  From Stefan Haller <stk@snafu.de>.

2000-03-02  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.ch: i18n fix modeled on that for TeX.

	* mf.ch: i18n fixes modeled on those for TeX.

2000-03-01  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Several changes for i18n, from Wlodzimierz Bzyl
	<matwb@monika.univ.gda.pl>.

1999-09-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* patgen.ch: Correct filename generation to generate the extension
 	of pattmp.x.  Reported by Werner Lemberg <wl@gnu.org>.

1999-06-28  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dvitomp.ch: A checksum failure should result in a warning, but
 	not in a non-zero return code.  This was done correctly in one
 	location, wrong in another.  Reported by Berthold Höllmann.

1999-05-30  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Update version to 7.3.1.

	* NEWS: Update for 7.3.1.

	* doc/web2c.texi: Update version info.

	* share/bitstrea.map, share/special.map, share/texfonts.map,
	share/typeface.map, share/urw.map: Updates provided by Thomas.

	* share/linot-cd.map: linotype-cd.map, new fontmap file.

	* share/cp8bit.tcx, share/kam-cs.tcx, share/kam-t1.tcx: New files
	(received through Thomas Esser).

1999-05-29  Olaf Weber  <olaf@infovore.xs4all.nl>

	* New set of share/*tcx files from Staszek Wawrykiewicz
 	<StaW@gust.org.pl>.

	* tex.ch: Bump sup_buf_size to 300000.  Several other constants
 	should probably be increased as well.

	* Makefile.in: Several changes to get pdftex compilation to work
 	better.

	* AUTHORS: Update to reflect current maintainer situation.

	* README: Added my email address.

1999-03-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* tex.ch: Increase sup_nest_size, sup_param_size, sup_stack_size.

	* configure.in: Bump WEB2CVERSION to 7.3.

1999-03-23  Olaf Weber  <olaf@infovore.xs4all.nl>

	* withenable.ac: Remove AM_MAINTAINER_MODE,
 	--with-mktextex-default option.

	* acconfig.h: Remove definition of MAKE_TEX_TEX_BY_DEFAULT.

	* configure.in: Include kpathsea/withenable.ac for the definition
 	of texmfmain in the Makefile.

1999-03-15  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Updates for tcx files, with many thanks to
 	"Staszek Wawrykiewicz" <StaW@gust.org.pl>.

	* withenable.ac: Add AM_MAINTAINER_MODE.

	* help.h: Update help strings for tcx files.

	* acconfig.h: New file, with the web2c-specific configuration
 	parts.

	* configure.in: Additions to make the configuration process work.

	* config.h: Now include c-auto.h now that kpathsea/config.h
 	doesn't do this anymore.

1999-02-18  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in (pdftex-dist): Don't include pdftex's *.o files.

1999-02-16  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmem.h: Changes to support Omega.  From John Plaice.

1999-02-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.h [!Omega]: Code changes to enable writing the tcx file
 	name to terminal and log.
	[pdfTeX,pdfeTeX]: Remove inclusion (moved to coerce.h).

	* tex.ch: Write the name of the tcx file (if any) to terminal and
 	log.

	* mp.ch: Write the name of the tcx file (if any) to terminal and
 	log.

	* mf.ch: Write the name of the tcx file (if any) to terminal and
 	log.

	* Makefile.in: Compiler pdftex before pdfetex.  Fixes to
 	distribution-creating code.

1999-02-06  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.h (calledit,blankrectangle,paintrow): These are now
 	declared in the web2c/coerce.h file.

	* configure.in: Only configure xpdf dir if pdftex is selected.

	* Makefile.in: Add rules for pdfetex.efmt and pdfelatex.efmt.
	Correct typos.  From Thomas and Sebastian.

1999-02-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mft.ch: Fix for weaving from Simon Cozens <simon@brecon.co.uk>.

	* config.h [!WIN32]: Remove define of __cdecl.

	* bibtex.ch: Corrections from Oren Patashnik
 	<opbibtex@cs.stanford.edu>.  Fix for weaving from Simon Cozens
	<simon@brecon.co.uk>.

	* Makefile.in: Changes for packaging to account for the extra texk
 	directory level.  Different handling of formats to be able to cope
 	when the list is empty, as it is for teTeX.

1999-01-27  Olaf Weber  <olaf@infovore.xs4all.nl>

	* doc/web2c.texi: Correct typography of pdfTeX.

	* texmfmp.h (getrandomseed): Add declaration.

	* mp.ch (46.1307): Make init_randoms call get_random_seed.  After
 	Fabrice.

	* help.h: %&ini never worked, correct help strings.

	* cpascal.h [WIN32]: Add pragma to quiet compiler.  From Fabrice.
	(aopenin): Open always in binary mode.  From Fabrice.
	(mainbody): Add TEXDLL, by Fabrice.

	* config.h: Change inclusion guard from CONFIG_H to
 	WEB2C_CONFIG_H.
	[WIN32]: Add definition of TEXDLL.  From Fabrice.

	* pktype.web: Updated version from Knuth, which had somehow been
 	overlooked for quite a while.

1999-01-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* share/typeface.map: Update from Karl.

	* share/special.map: Update from Karl.

1999-01-24  Olaf Weber  <olaf@infovore.xs4all.nl>

	* share/*.tcx: New set of tcx files from Staszek Wawrykiewicz
	<StaW@gust.org.pl>.

	* withenable.ac: New option: --with-pdfetex.

	* texmfmp.h: Support for pdfeTeX from Thomas Esser.  pdftex.pool
 	is no longer a special case.

	* tex.ch: Mention pdfeTeX in opening comment.

	* help.h: Help string for pdfeTeX.  From Thomas Esser.

	* configure.in: Add support for pdfeTeX, from Thomas Esser.

	* Makefile.in: Add support for pdfeTeX, from Thomas Esser.

	* withenable.ac: Include the --with-mfw option.

	* dvicopy.ch: Ensure that the --max-pages and --page-start options
 	actually work.

	* configure.in: Introduce --with-mfw option, to be able to
 	generate window-capable MF as a separate executable called mfw.

	* Makefile.in: Support for --with-mfw option.

1999-01-14  Olaf Weber  <olaf@infovore.xs4all.nl>

	* texmfmp.h: Prototypes from open_in_name_ok and open_out_name_ok.

	* mp.ch, tex.ch, mf.ch: Replace open_name_ok with open_in_name_ok
 	and open_out_name_ok where appropriate.

	* share/texfonts.map: Change softkey-???? to skey???.

	* share/*.map: Update for fontname 2.2.

	* share/*.tcx: New files: tables for tcx support.

1999-01-13  Olaf Weber  <olaf@infovore.xs4all.nl>

	* vftovp.ch: Since we may print the VPL on stdout, put all
 	terminal output on stderr.  Add a newline if the VPL ends with the
 	BAD TFM OR VF comment.

	* tftopl.ch: Since we may print the PL to stdout, all terminal
 	output should go to stderr.

	* texmfmp.h: setupcharset is now used by all but Omega.

	* tex.ch: Enable TCX files for TeX, clean up no-longer-current
 	comments.  Based on code provided by Wlodzimierz Bzyl
 	<matwb@monika.univ.gda.pl>.

	* mp.ch: Enable TCX files for MP.  Based on code provided by
 	Wlodzimierz Bzyl <matwb@monika.univ.gda.pl>.

	* mf.ch: Enable TCX files for MF.  Based on code provided by
 	Wlodzimierz Bzyl <matwb@monika.univ.gda.pl>.

	* cpascal.h: Remove NONASCII define.  It was unconditional
 	already, and this cleans up some code.

	* Makefile.in: Install tcx files, fix --output-comment test to
 	account for change of email address.

1999-01-10  Olaf Weber  <olaf@infovore.xs4all.nl>

	* share/special.map: Update for new lh fonts.

	* doc/Makefile.in: Change of ../make/*.make to ../make/*.mk.

	* withenable.ac: Remove checks for zlib and pnglib, improve
 	handling of --with-* options for MF.

	* mp.ch [44.1238]: Prepare for tcx code by safeguarding PS output.

	* configure.in: Special code to handle cross-compilation with
 	djgpp.  Better handling of --with-x options.  Changes for
 	reorganization of non-kpathsea library sources.  C++ compiler
 	check for PDFTeX.

	* bibtex.ch: Many fixes, as suggested by Oren Patashnik.

	* Makefile.in: Change of ../make/*.make to ../make/*.mk.  PDFTeX
 	related corrections from Thomas.

	* dvitomp.ch [32]: Bugfix: local_only is indexed by internal
 	font numbers.

1999-01-05  Olaf Weber  <olaf@infovore.xs4all.nl>

	* dvtype.web: Update from Knuth.

	* dvitype.ch: Minor change necessary to accomodate update.

	* gftopk.web: Update from Knuth.

1998-12-04  Olaf Weber  <olaf@infovore.xs4all.nl>

	* vptovf.ch: Bugfix for 128 no longer required after update of
 	vptovf.web.

	* tex.ch: Add strings_free configuration variable & checks.  This
 	ensures the string pool is resized if necessary after load.  Not
 	doing this caused core dumps in some cases.  Bug reported by
 	Tobias Burnus <burnus@gmx.de>.

	* configure.in: Configure in xpdf subdir for pdftex.

	* Makefile.in: Add support for changes to to pdftex.

1998-10-11  Olaf Weber  <olaf@infovore.xs4all.nl>

	* README.HPUX: Removed because the changes to tex.ch made it
 	unnecessary.

	* tex.ch [1.12], [8.110], [51.1332]: Change definition of
 	min_halfword and initialization of mem_bot to make the code more
 	portable.  Remove a test that would now prevent extra_mem_bot
 	being used.

1998-07-26  Olaf Weber  <olaf@infovore.xs4all.nl>

	* bibtex.ch: Changes to get all information in the logfile when
 	the -terse option is used.  With many thanks to Oren Patashnik
 	<opbibtex@cs.stanford.edu> for his assistance.

	* vptovf.ch: Enlarged some constants, as suggested by Wayne
 	G. Sullivan <wgs@maths.ucd.ie>.

	* vftovp.ch: Enlarged some constants, as suggested by Wayne
 	G. Sullivan <wgs@maths.ucd.ie>.

	* tftopl.ch: Enlarged some constants, as suggested by Wayne
 	G. Sullivan <wgs@maths.ucd.ie>.

	* pltotf.ch: Enlarged some constants, as suggested by Wayne
 	G. Sullivan <wgs@maths.ucd.ie>.

	* mf.ch: Use open_name_ok to check names of files opened for
 	reading.

	* mp.ch: Rename open_out_name_ok to open_name_ok, and use also to
 	check names of files opened for reading.

	* tex.ch: Rename open_out_name_ok to open_name_ok, use it also to
 	check the names of files opened for reading.

	* texmfmp.h: Rename openoutnameok to opennameok.

	* tex.ch (49.1275): Include cur_name adjusting code from changes
 	to (29.537).

Sun May 31 17:12:14 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in: Corrected pdftex.a to libpdf.a, ozlib to zlib.
  	Change echoed message to refer to texklib.tar.gz instead of
 	texmflib.tar.gz.

	* cpascal.h: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* tangle.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* mf.ch: Rename toint to intcast, because SCO usurped the former.
  	Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* mp.ch: Rename toint to intcast, because SCO usurped the former.
  	Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* pltotf.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* tex.ch: Rename toint to intcast, because SCO usurped the former.
  	Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.
  	Correct the print_csnames function so that it doesn't print
 	entries in the hash table twice.  Thanks to Berthold Horn for
	pointing this out.

	* gftodvi.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* dvitype.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* dvitomp.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* dvicopy.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* tftopl.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.

	* vftovp.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.
	Enlarge some contstants.  Suggested by Wayne G. Sullivan
	<wgs@maths.ucd.ie>.
	
	* vptovf.ch: Rename toint to intcast, because SCO usurped the
 	former.  Spotted by Jonathan Chen <jonc@pinnacle.co.nz>.
	Correct a bug that led to invalid vf files being created in some
	circumstances.  From Wayne G. Sullivan <wgs@maths.ucd.ie>.

Fri Apr 24 21:36:09 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* Makefile.in, configure.in: Minor fixes in build rules of libpng,
	zlib.  From Thomas Esser.

Tue Mar 24 19:20:13 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* mp.web: New upstream source from John Hobby: version 0.641.

Tue Mar  3 14:16:57 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in (WEB2CVERSION): version 7.2.

Wed Feb 25 20:20:26 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Used `test ... -o test ...' which is always wrong,
 	changed `-o' to `||'.  Spotted by Andreas Schott <ays@rzg.mpg.de>.

Fri Feb 20 17:14:33 1998  Olaf Weber  <olaf@infovore.xs4all.nl>

	* configure.in: Tests moved over from withenable.ac.

	* withenable.ac: Boilerplating, and move some tests to
 	configure.in, to make it possible to distinguish between default
 	settings and user choices.

	* doc/install.texi: Update with --with-epsfwin switch.

Tue Feb 10 21:15:06 1998  Olaf Weber  <infovore@xs4all.nl>

	* withenable.ac: Add --with-epsfwin option.  From Mathias
 	Herberts.

	* doc/web2c.texi: Document epsf driver.

Fri Feb  6 17:56:53 1998  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (pdftex.fmt, pdflatex.fmt): Do not require an .ini
 	file to exist.

Tue Feb  3 17:06:40 1998  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (mltex.fmt, mllatex.fmt): Don't use .ini files.

	* dvitomp.web: Incorporate a bug fix by John Hobby, as modified by
 	Peter Breitenlohner.

Sun Feb  1 15:50:06 1998  Olaf Weber  <infovore@xs4all.nl>

	* bibtex.ch: fptr -> f_ptr.

	* dvitomp.web: Correct version number and date in printed title.

	* mf.ch (49.1204): Remove trailing _ from inf_ and sup_ because
 	tangle doesn't like them.

	* mp.ch (46.1298): Remove trailing _ from inf_ and sup_ because
 	tangle doesn't like them.

	* mp.web: takescaled -> take_scaled.

	* patgen.ch: readln -> read_ln; writeln -> write_ln.

	* tangle.ch (8): Increase unambig_length to 32.
	(58): Remove the conversion to uppercase, to match 63.

	* tex.ch (51.1332): Remove trailing _ from inf_ and sup_ because
 	tangle doesn't like them.

	* share/special.map: Version 2.7, from Karl Berry.

Fri Jan 30 21:17:07 1998  Olaf Weber  <infovore@xs4all.nl>

	* share/special.map: Update from Sebastian Rahtz
 	<s.rahtz@elsevier.co.uk>.

Thu Jan 29 16:08:10 1998  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (tex-check): Use WEB2C instead of MKTEXSCRIPT.

	* mp.ch, dvitomp.ch: Update for version 0.64.

	* mp.web, dvitomp.web: Version 0.64, from John Hobby.

	* triptrap/mtrap.0 triptrap/mtrap.1 triptrap/mtrap.log
 	triptrap/mtrap.mp triptrap/trap.148 triptrap/trap.149
 	triptrap/trap.150 triptrap/ triptrap/ triptrap/ triptrap/trap.151
 	triptrap/trap.197 triptrap/trap.200 triptrap/trap.5
 	triptrap/trap.6: New files from John Hobby.

Wed Jan 28 20:44:40 1998  Olaf Weber  <infovore@xs4all.nl>

	* dvitomp.ch: Version number 0.632a.

	* dvitomp.web, dvitomp.ch: Version number set to 0.632a.  Note
 	that the modifications are a stopgap, until John Hoppy releases an
 	updated version.

	* tex.ch (50.1325): undump_upper_check_things was supplied with
 	the wrong upper limit.

	* share/special.map: New version from Thomas Esser.

Fri Jan 23 15:03:49 1998  Olaf Weber  <infovore@xs4all.nl>

	* dvitomp.ch, dvitomp.web: Various fixes from Peter
	Breitenlohner.

	* mf.ch (48.1200): Four-digit years.
	(49.1211): Make %& lines work reliably.

	* mp.ch (45.1249): Four-digit years.
	(46.1298): Make %& lines work reliably.

	* tex.ch (50.1328): Use four-digit years.
	(51.1337): Make %& lines work reliably.

	* texmfmem.h: Changes for Omega, to make its dumps
 	endian-independent.  After John Plaice.

Sat Jan 17 09:37:23 1998  Olaf Weber  <infovore@xs4all.nl>

	* wmftalk.h renamed to mftalk.h.  From Mathias Herberts
 	<Mathias.Herberts@irisa.fr>

	* withenable.ac: --with-mftalk defined NEXTWIN, not MFTALKWIN.
  	From Mathias Herberts <Mathias.Herberts@irisa.fr>

Wed Jan 14 21:23:56 1998  Olaf Weber  <infovore@xs4all.nl>

	* tex.ch: Added warning for the unwary on the advice of Peter
 	Breitenlohner.  Comment fixes from Peter.

Tue Jan 13 08:31:52 1998  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (dvitomp-check): Let DVItoMP look in ./tests for
 	ptmr.vf.

	* dvitomp.ch ([65] l.1152): Correct a bug in dvitomp.web, that
 	prevents the font name from being printed as part of the error
 	message.

	* Makefile.in (check-tex): Correction of typo, set TMPDIR to ..,
 	so that the PATH settings continue to work when the target is used
 	from the source directory.  From Eli Zaretskii.

Fri Jan  9 21:13:39 1998  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Many changes, related to putting omegaware files in
 	omegaware directory.
	(all, default): Make manual pages.

Sun Jan  4 16:00:54 1998  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Change for manual pages.

Thu Jan  1 15:52:39 1998  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Add an all-dist target (maintainer only) and change
 	the names of the etex, omega, and pdftex tarballs.

Tue Dec 30 17:49:51 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (etex.efmt, elatex.efmt): Expand contents of
 	{etex,elatex}.ini files.
	(check-pooltype): In e-TeX compatibility mode there's no tex.pool, but
	an etex.pool.  Both after Peter Breitenlohner.

	* Makefile.in: Add man directory to targets.  Correct PATH setting
 	for the nonesuch test in check-tex.

	* configure.in: Added man/Makefile to AC_OUTPUT.

Thu Dec 18 20:37:48 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (check-tex): Make the nonesuch test work when we
 	haven't installed the scripts yet.

	* doc/web2c.texi: Correction of -maketex -> -mktex, and a few
 	others.

	* help.h: Change spelling of -maketex option to -mktex.

Tue Dec 16 19:11:05 1997  Olaf Weber  <infovore@xs4all.nl>

	* PROJECTS: Add info on overflow bug.

	* help.h: Reformatted text for IPC-related switches.

Sat Dec 13 23:03:46 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.h [TeX]: Add definitions for flushdvi.

	* tex.ch ([32.640] l.12690): Somewhat cleaner code for the IPC
 	fflushes.

Fri Dec 12 10:25:43 1997  Olaf Weber  <infovore@xs4all.nl>

	* help.h: Correct some messages for the change of MakeTeX to
 	mktex.

	* tex.ch ([32.640] l.12690): Add fflush(dvi_file) in two places of
	the IPC code; the buffering caused problems.  After Gregor
	Hoffleit & Richard Hutchinson.

	* weave.ch: Increase max_bytes, so that we can weave Omega.

	* doc/web2c.texi: Updated for changes to shell_enabled and
 	openout_any variables.

Wed Dec  3 17:38:53 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (install-fmts): The choice is between @TEX@ and
 	@CTEX@, not @TEX@ and @ETEX@.

Tue Dec  2 12:57:17 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (extraclean): Be more thorough.

	* Makefile.in (mf.base, mpost.mem): Use --base=mf, --mem=mpost
 	option.

Mon Dec  1 19:07:00 1997  Olaf Weber  <infovore@xs4all.nl>

	* doc/web2c.texi: Update for -interaction option.

	* mfmpw32.c: New file from Fabrice Popineau.

	* help.h: Updated for the --interaction option.

	* mf.ch (6.68, 6.69, 48.1199): Add support for --interaction
 	option.

	* mp.ch (6.83, 6.84, 45.1293): Support for --interaction option.

	* tex.ch (6.73, 6,74, 50.1327): Support for the --interaction
 	option.

	* Makefile.in (install-links): Links are cheap on UNIX, so install
 	links for all kinds of *ini* and *vir*.

Sun Nov 30 13:32:25 1997  Olaf Weber  <infovore@xs4all.nl>

	* withenable.ac: Change --with-maketextex to --with-mktextex as a
 	consequence of the great renaming.

Sat Nov 29 13:07:49 1997  Olaf Weber  <infovore@xs4all.nl>

	* tex.ch (29.530): Assume empty suffix means TeX input file.
	(29.537): Don't strip ".tex" suffix, don't give ".tex" suffix to
	prompt_file_name.
	(29.537) [Init]: New rules for determining dump file name.

	* mp.ch (35.770) [init]: Implement new rule for determining name
	of dump file.

	* mf.ch (38.793) [init]: Implement new rules to determine name of
	dump file.

	* Makefile.in (*.{fmt,emft,base,mem}): Changes for new name
 	generation rules for formats.

	* Makefile.in (*-check): Changes for checking outside the source
 	dir.
	(*-dist): Add versions of the added packages to the names of their
	tarballs.

	* configure.in: Create stamp-auto.  From Peter Breitenlohner.

Tue Nov 25 18:29:47 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Conditionalize tex-check, include etex-check.
	From Peter Breitenlohner.

Mon Nov 24 17:26:40 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Changes to let make check work outside the source
 	tree.

	* configure.in: Create a tests subdirectory if necessary.

Sat Nov 22 19:27:47 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Change ?w2c-$(version).tar.gz names to
 	?web2c-$(version).tar.gz in the etex-dist, omega-dist, pdftex-dist
 	targets.

	* README: Add references to etexdir/README, omegadir/README, and
 	pdftexdir/README.

	* doc/web2c.texi: Minor updates.

Fri Nov 21 15:22:53 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Add a tex2.c/tex2.o file to tex_c/tex_o.

Wed Nov 19 17:13:31 1997  Olaf Weber  <infovore@xs4all.nl>

	* share/skey1250.map, share/skey1555.map, share/texfonts.map: Name
	change of softkey-*.map to skey*.map.

	* Makefile.in: Definition of LN_S removed, it is included from
 	common.make.
  	Explicit rules for tangling e-TeX and PDFTeX. Corrected the rule
	for tangling Omega.
	(dist): Ensure the fontname *.map files are included.
	(gftopk-check, pktogf-check, pktype-check): cmr10.600pk is renamed to
	cmr10.pk.
	(depend): Make depend in $(otps) as well.

	* texmfmp.h [NeXT]: More compile-time endianness tests.

	* withenable.ac: Change formatting of help text to make it line up
 	better.

Sun Nov 16 11:41:08 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in (install-links): Add "" to prevent syntax errors.

Sat Nov 15 21:33:28 1997  Olaf Weber  <infovore@xs4all.nl>

	* withenable.ac: Add an --with-omega option, so that omega can be
 	selectively disabled if so desired.

	* texmfmp.h: Definition of Xchr removed.  Additions for Omega.
  	The added definitions for PDFTeX now come from an external file.

	* help.h: Help messages for e-TeX, PDFTeX, and Omega and friends.
  	Since these messages are highly web2c-specific, and unlikely to
 	change much, there seems to be little reason to move them to
 	external files.

	* cpascal.h: Put definition of Xchr in this file, because Omega
 	likes it.  Also other additions to support Omega.

	* configure.in: Add support for conditionally using Omega.

	* Makefile.in: Many changes to support building Omega.

Fri Nov 14 16:39:32 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Add very primitive kludge for the creation of
 	matching e-TeX and PDFTeX distributions.

	* Makefile.in (web-dist): Remove etex.web and pdftex.web for the
 	web-distribution.

	* Makefile.in (dist): Include tiedir in distribution.

	* Add tie-2.4 to the distribution.  It lives in web2c/tiedir.
	
	* texmfmp.h [eTeX]: TEXPOOLNAME changes; [PDFTeX]: define
 	PDFTEXPOOLNAME.

	* help.h: Include a help header for e-TeX and PDFTeX.

	* Makefile.in: Changes to accomodate e-TeX and PDFTeX.

	* configure.in: Change @ETEXTEX@ to @CTEX@.

	* withenable.ac: Add --with-pdftex, --with-etex,
 	--with-system-zlib, and --with-system-pnglib options.

	* configure.in: Add support for pdfTeX and e-TeX related options.

Thu Nov 13 23:49:10 1997  Olaf Weber  <infovore@xs4all.nl>

	* texmfmp.h: Include code to test for endianess when compiling.
  	When the BYTE_ORDER macros are available, this improves the
 	ability to cross-compile.

Mon Nov 10 13:15:21 1997  Olaf Weber  <infovore@xs4all.nl>

	* configure.in (WEB2CVERSION): Version 7.1.

Thu Nov  6 20:29:35 1997  Olaf Weber  <infovore@xs4all.nl>

	* triptrap/texmf.cnf: Bumped pool_size from 32000 to 40000.

	* mf.ch: Bump max_font_dimen from 50 to 60.

	* bibtex.ch: Bump buf_size and glob_str_size from 3000 to 5000.

Tue Nov  4 19:11:59 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Get rid of CVS dir.

Wed Oct 29 11:43:30 1997  Olaf Weber  <infovore@xs4all.nl>

	* withenable.ac: Correction: dump-noshare -> dump-share.

	* configure.in: Do not include ../kpathsea/xt.ac at the top,
 	because that puts the tests for X before the defaults that
 	withenable.ac sets up.
	* withenable.ac: Include ../kpathsea/xt.ac here.

	* withenable.ac: Add quotes to make --with-editor='vim +%d %s'
 	work, rather than require --with-editor='"vim +%d %s"'.

Tue Oct 28 21:35:37 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Use cp -p when creating a distribution.

Mon Oct 27 16:22:54 1997  Olaf Weber  <infovore@xs4all.nl>

	* withenable.ac: sinclude(../kpathsea/xt.ac) and
 	sinclude(kpathsea/xt.ac) are apparently superfluous.

Tue Oct 21 23:35:47 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Somewhat saner handling of triptrap dir when
 	creating a distribution.

Mon Oct 20 08:05:31 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Replace y.tab with y_tab.

	* doc/ref.bib: Preserve capitalisation in titles.

	* cpascal.h: Undef `read' if it is already defined, before
 	defining it.  Don't set console device to binary on WIN32.  From
	Fabrice Popineau.

	* config.h [WIN32]: Add WIN32WIN define.  From Fabrice Popineau.

Fri Oct 17 10:37:38 1997  Olaf Weber  <infovore@xs4all.nl>

	* cpascal.h [__DJGPP__]: Set stdin/stdout to binary, but not if
 	they are the console device.  From Eli Zaretskii
 	<eliz@is.elta.co.il>.

Thu Oct 16 20:39:27 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Add target depend:: to remake dependencies in
 	subdirectories.

	* Makefile.in (tex_c, tex_o): After the last changes to tex.ch, we
 	no longer have a tex2.c.

	* tex.ch: Replace 'xlparen' by '@=(@>' and 'xrparen' by '@=)@>'.
  	Compare ./web2c/cvttex.sed: Obsolete file.  Also, various changes
 	for e-TeX (small rearrangements, introduces Init..Tini, remove
	tabs and trailing blanks).  From Peter Breitenlohner
	<peb@mppmu.mpg.de>.

	* doc/web2c.texi: Remove documentation of -extend-jobname option.
	* help.h [TeX] Remove description of -extend-jobname option.
	* mp.ch: Get mpost to handle filenames with multiple dots better.
	* mf.ch: Get mf to handle filenames with multiple dots better.
	* tex.ch: Numerous changes to remove the extend-jobname stuff, and
 	replace it with a sane handling of filenames with more than one
 	dot.  See especially end_name and start_input.

Wed Oct 15 17:37:07 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in ($(proglib)): Added stamp-auto to the dependencies.

Sun Oct 12 11:50:58 1997  Olaf Weber  <infovore@xs4all.nl>

	* tex.ch [53.1374]: Check name of file before opening it, not
 	afterwards.
	* mp.ch [35.783]: Check name of file with open_out_name_ok before
 	trying to open it for writing instead of afterwards.

Fri Oct  3 11:10:15 1997  Olaf Weber  <infovore@xs4all.nl>

	* tangle.ch ([64] Delayed pool file opening.): Use
 	basename_change_suffix to obtain a reasonable name for the pool
 	file.

	* vptovf.ch (6 Open VPL file): Print version_string instead of
 	repeating the banner.

	* doc/web2c.texi: Correct description of -extend-jobname option.

	* help.h [TEXHELP]: Correct description of -extend-jobname option.
	* tex.ch (29.517): Changed logic to fix extend-jobname=never
 	problem.

Thu Oct  2 18:06:11 1997  Olaf Weber  <infovore@xs4all.nl>

	* doc/web2c.texi: Some minor corrections, suggested by "Tomasz
 	J. Cholewo" <tjchol01@mecca.spd.louisville.edu>.

	* tex.ch: A patch to allow printing of non-ascii characters. From
 	Bernd Raichle <raichle@informatik.uni-stuttgart.de>.

Wed Oct  1 23:29:54 1997  Olaf Weber  <infovore@xs4all.nl>

	* configure.in: Fix for faulty link window/x11.c.

Tue Sep 30 11:15:35 1997  Olaf Weber  <infovore@xs4all.nl>

	* Makefile.in: Corrected path to rename.

	* Makefile.in (version_files): removed.
	* configure.in: Added definitions of WEB2CVERSION.
	* Makefile.in: Let version = @WEB2CVERSION@.

	* doc/Makefile.in: Use the add-info-toc script for the top level.

	* tangle.ch: Increase max_toks from 50000 to 60000, max_names from
 	4000 to 6000
	(was 5000).

	* c-auto.h.in (YYTEXT_UCHAR): added to solve the unsigned char
 	yytext[] bug.  (From Thomas Esser <te@informatik.uni-hannover.de>)

Sat Apr 19 16:11:24 1997  Karl Berry  <karl@cs.umb.edu>

	* tex.ch: Add .latex and .ini as another special case.
	From: Henk Vosmeijer <vosmeijer@nfra.nl> and te.

Fri Mar 21 16:45:28 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (tex.fmt, latex.fmt, mf.base, mpost.mem): Include
		$(makeargs) when calling prereq-check so that any path
		changes (e.g., $(prefix)) get propagated.
	Bug from: jumper@lens.sri.com (Greg Jumper), among others.

Mon Feb 24 17:02:14 1997  Karl Berry  <karl@cs.umb.edu>

	* vptovf.ch (max_kerns, hash_size, max_lig_steps): Increase
	for psfonts.
	From: Sebastian Rahtz <s.rahtz@elsevier.co.uk>.

Thu Feb  6 11:27:23 1997  Karl Berry  <karl@cs.umb.edu>

	* Version 7.0.

	* tftopl.ch (tfm_size, lig_size, hash_size): Increase to match vptovf.
	From Richard.

	* vptovf.ch (max_kerns): Increase to 10007, a prime > 10000.
	From Richard.

	* tex.ch: Oops, .drv should be .drv, not .dtx!
	From Fabrice and Thomas.

	* Makefile.in (default): Depend on info.  From Tim.

Tue Feb  4 14:16:19 1997  Karl Berry  <karl@cs.umb.edu>

	* triptrap/mptrapin.log: Missed updating this.

Mon Feb  3 17:11:45 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (windowlink): Forgot to include $(x_tool_libs).

Sat Feb  1 17:17:19 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (x_ext_lib): New variable.
	(windowlink): Use it.
	
	* configure.in: Fix test for -lXext to include $X_EXTRA_LIBS
 	(needed on Solaris at least).  Introduce $x_tool_libs variable 
	for toolkit libraries -lXt -lXext, only leave -lX11 in $wlibs.
	From Ulrik.

	* tex.ch: Make main_memory changes more robust.
	Change ssup_max_strings and ssup_hyph_size to 65535.
	From Wayne.

Fri Jan 31 17:57:14 1997  Karl Berry  <karl@cs.umb.edu>

	* tex.ch: Make .drv a special case.

Mon Jan 27 22:34:18 1997  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* dvitomp.web, mp.web: New files (version 0.632) from John Hobby.
	* dvitomp.ch, mp.ch: Minor update to reflect changes in WEB files.

	* triptrap: Need to update master files for mptrap test.
	
Fri Jan 17 16:56:37 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (post-dist): Ungnuify doc/Makefile.in.

Wed Jan 15 22:40:11 1997  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* mp.ch: : Allow tabs as field seperators in psfonts.map.

Thu Jan 16 09:58:24 1997  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (socketlibs): New variable.
	(tex): Include it in the link.
	* withenable.ac (--enable-ipc): Check for -lsocket.
	Needed on Solaris, at least.
	From: Richard Walker <Richard.Walker@cs.anu.edu.au>.

	* tex.ch (ssup_trie_opcode, ssup_trie_size): Change to 65535.

Fri Jan  3 09:02:34 1997  Karl Berry  <karl@cs.umb.edu>

	* tex.ch (trie_op_size, neg_trie_op_size): Change to 1501.
	From Braams.

Sun Dec 15 16:50:39 1996  Karl Berry  <karl@cs.umb.edu>

	* tex.ch: ifdef-out the TCX file stuff.

Mon Dec  9 00:50:56 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* bibtex.ch, dvicopy.ch, dvitype.ch: Make messages consistent
	if called with no arguments.

Sun Dec  8 16:32:50 1996  Karl Berry  <karl@cs.umb.edu>

	* bibtex.ch (standard_input, standard_output): Make globals here.
	Initialize in main program.

	* cpascal.h (makebinaryfile) [WIN32]: Define.
	(resetbin, rewritebin): New macros.
	(FOPENRBINMODE): Define.
	(standardinput, standardoutput): Remove, these are in bibtex.ch now.

	* config.h (unlink) [!unlink]: Add condition.
	* dvicopy.ch, dvitomp.ch, dvitype.ch, gftodvi.ch, gftopk.ch,
	mp.ch, pktogf.ch, pltotf.ch, vftovp.ch, vptovf.ch: Distinguish
	between text and binary files, sigh.
	From Fabrice.

Fri Dec  6 17:44:15 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmem.h: Add conditionals and comments for Omega.
	* texmfmp.h ({ocp,ofm}openin): New macros.

Tue Dec  3 14:56:54 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.h (ipcpage) [IPC]: Give correct prototype.
	From: Gregor Hoffleit <flight@mathi.uni-heidelberg.de>.

Sun Dec  1 11:56:39 1996  Karl Berry  <karl@cs.umb.edu>

	* bibtex.ch (max_glob_strs): Increase to 20 for indxcite.

Tue Dec  3 13:44:28 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* Makefile.in (mostlyclean): Call $(MAKE) $@, not $(MAKE) $$target.

Tue Dec  3 01:45:33 1996  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* triptrap/texmf.cnf: Correct max_strings.mpost.
	
	* dvitomp.ch: Duplicate banner line for use in print_version.

Wed Nov 27 09:55:04 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (distclean): Don't remove tangleboot.p.
	(all_subdirs): Add doc, so it gets cleaned.

Tue Nov 26 11:57:25 1996  Karl Berry  <karl@cs.umb.edu>

	* configure.in: If --with-x-toolkit is set, set with_x.
	Also protect --with tests from (unusual) values starting with -.

	* Makefile.in (install_makeargs): Remove INSTALL_LIBTOOL_PROGRAM
	again, there's no way to pass it down since its value is
	subdirectory-relative.
	(mft-check): Use $(srcdir)/.. instead of ../$(srcdir).
	(mpost-check): Set MAKEMPX_BINDIR so we get the distribution's
	tex, newer, etc., not anything installed

Mon Nov 25 15:04:40 1996  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Only set with_x=no if it hasn't already been set.

Fri Nov 22 17:17:03 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (mpost-check): Run tests/mptest.
	* tests/mptest.mp: New file from Ulrik to test various bugs.

	* mp.ch: Fix from John Hobby to allow invalid big number inside
	btex..etex.  Will probably appear in the next mp.web.

Sun Nov 10 16:02:08 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (install-data): Install from doc, too.
	Install mp.pool, not mpost.pool.
        Call mkdirchain.
	From Ulrik.

	* configure.in: Do X testing here,
	* withenable.ac: Instead of here; sinclude ../kpathsea/xt.ac instead.

	* withenable.ac (maketextex-default): Test $withval, not $enableval.
	From: Gerd Neugebauer <gerd@mailhost.uni-koblenz.de>.

Thu Oct 31 19:27:56 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (texinfo.fmt): Simplify dump rule for recent Texinfo's.
	From: Stephen Gildea <gildea@intouchsys.com>.

Sun Oct 27 05:15:03 1996  Karl Berry  <karl@cs.umb.edu>

	* patgen.web: New version from peb to avoid division by zero.
        * patgen.ch: Remove my hack that did this.

Fri Oct 25 15:11:43 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Include doc stuff in distribution.

Thu Oct 24 12:56:47 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Rename the mp binary to mpost, because there is a
	Sun OpenWindows program by that name, plus a sort-of-freeware
	version thereof.  Sigh, sigh, sigh.  Reported by Thomas.

Wed Oct 23 17:19:29 1996  Karl Berry  <karl@cs.umb.edu>

	* help.h: Extra blank line in vftovp's help.

	* patgen.ch: Avoid division by zero when printing the efficiency.

Tue Oct 22 13:14:26 1996  Karl Berry  <karl@cs.umb.edu>

	* triptrap/texmf.cnf (MPXCOMMAND): Turn off with 0,
	not none, which feature I guess I removed from callmakempx
	at some point.

	* Makefile.in (default, all): Depend on formats, not
	$(fmts) $(bases) $(mems).  We weren't remaking the formats.
	
	* Makefile.in (trip, trap, mptrap): @echo to stderr, no use
        redirecting it to the file we tell them to look at.

	* mf.ch: Initialize char_class[255]; somehow the loop was changed
	to stop at 254?!

	* triptrap/texmf.cnf: Oops, can't have comments on the same line
        as variable definitions.

Sun Oct 20 18:00:16 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (mpware_sources): New variable.
	($(mpware)): New target, replacing mpware.
	(always): No longer needed.

Tue Oct 15 17:23:40 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (version_files): Add mpto.c and newer.c in mpware/.

Mon Oct 14 11:09:28 1996  Karl Berry  <karl@cs.umb.edu>

	* cpascal.h (makebinaryfile) [!WIN32]: Define as a no-op.
	* dvicopy.ch: Have to change stdin/stdout to be ``binary'' files.
	* config.h (DllImport) [_WIN32]: Define.
	* Changes for NT from: Fabrice POPINEAU <popineau@esemetz.ese-metz.fr>.

	* weave.ch (max_toks, max_texts),
	* tangle.ch (max_texts): Increase for tex2pdf.

Sun Oct 13 16:54:11 1996  Karl Berry  <karl@cs.umb.edu>

	* patgen.ch: Patch the new call to get_input.

	* dvicopy.web: Update (just a doc change) from peb.
	* patgen.web: Update to version 2.2 from peb.

	* tests: Rename directory from check/, for the sake of Gnits.

Tue Oct  8 16:10:31 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (lib_sources): Add printversion.c.
	(version_files): Add makempx.in.

Mon Oct  7 17:12:03 1996  Karl Berry  <karl@cs.umb.edu>

	* *.ch: Oops, turns out printversionandexit needs more arguments.
	* cpascal.h: Change decl.

Sun Oct  6 18:02:27 1996  Karl Berry  <karl@cs.umb.edu>

	* cpascal.h (kpathseaversionstring): Remove this.
	(printversionandexit): Declare this.
	*.ch: Call the latter with the program banner.

Sun Sep  8 19:14:09 1996  Karl Berry  <karl@cs.umb.edu>

	* mp.ch: Fix help message reference to MPtoTeX.

Sat Sep  7 17:34:36 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (default all): Make $(fmts) $(bases) $(mems) by default.

Fri Sep  6 15:03:35 1996  Karl Berry  <karl@cs.umb.edu>

	* configure.in: Call AC_PROG_RANLIB.

Wed Aug 14 16:31:42 1996  Karl Berry  <karl@cs.umb.edu>

	* tex.ch: Make .ins a ``known'' extension, too.

Sun Aug  4 15:51:41 1996  Karl Berry  <karl@cs.umb.edu>

	* cpascal.h (kpathseaversionstring): Need to restore _'s.

	* *.ch: print_ln (kpathsea_version_string) with --version.

Fri Jul 26 15:47:35 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in: Remove co.make.

Wed Jul 24 10:24:37 1996  Karl Berry  <karl@cs.umb.edu>

	* Makefile.in (dist_subdirs, all_subdirs): Remove man.

Sat Jun  8 13:15:40 1996  K. Berry  <kb@cs.umb.edu>

	* Makefile.in: Use $(kpathsea_link) instead of $(link_command).

Sat Jun  1 13:12:44 1996  Karl Berry  <karl@cs.umb.edu>

	* texmfmp.h (openoutnameok): Move outside of #ifdef TeX conditional.

Mon May 27 13:27:38 1996  Karl Berry  <karl@cs.umb.edu>

        * config.h: Use #if __STDC__, not #ifdef.

Sat May 25 15:30:52 1996  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Doc fix.

Fri May 24 11:12:07 1996  Karl Berry  <karl@cs.umb.edu>

        * help.h (TEXHELP): Document -extend-jobname.
        * tex.ch: Implement it.

        * dvitype.ch (name_size): Increase to 1000. We should dynamically
        allocate all these arrays, but it doesn't seem worth the trouble
        to delay the release even more.

Thu May 23 16:53:38 1996  Karl Berry  <karl@cs.umb.edu>

        * bibtex.ch: Dynamically (re)allocate the wiz_fn_space array
        wiz_functions, as Nelson has reached the limit.

Mon May 13 17:27:23 1996  Karl Berry  <karl@cs.umb.edu>

        * *.ch: Include program name in `need <however many> arguments' error.

Mon May  6 14:42:09 1996  Karl Berry  <karl@cs.umb.edu>

        * dvitype.ch: Doc fixes.

Fri May  3 17:34:29 1996  Karl Berry  <karl@cs.umb.edu>

        * withenable.ac: Use AC_ARG_WITH instead of AC_ARG_ENABLE for
        maketextex-default.
        Turn off MakeTeXTeX by default, as intended.
        Remove maketexmf-default -- that is in kpathsea now.

Thu May  2 14:14:38 1996  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (dist_subdirs): Add contrib, rename data to share.

        * kpathsea.make (c_auto_h_dir): Restore this.

Mon Apr 29 16:09:10 1996  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in ({tex,mp,mf}.pool): Add these targets along with the
        .p's, since they get made at the same time.  We never depend on them.

Sun Apr 28 15:06:15 1996  Karl Berry  <karl@cs.umb.edu>

        * configure.in (pb_AC_ASM_UNDERSCORE): Add call to new routine.
        From: Peter Breitenlohner <peb@MPPMU.MPG.DE>.

Sat Apr 27 17:11:00 1996  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Add changes from Wayne for dynamically allocated number
        of hyphenation exceptions.

Mon Apr 22 11:47:17 1996  Karl Berry  <karl@cs.umb.edu>

        * pktogf.ch: Correct call to kpse_open_file.

Sun Apr 21 17:27:02 1996  Karl Berry  <karl@cs.umb.edu>

        * help.h (MFHELP, TEXHELP): Document [-no]-maketex.

Wed Mar 13 15:43:00 1996  Karl Berry  <karl@cs.umb.edu>

        * configure.in (AC_OUTPUT): Add doc/Makefile.

Tue Mar 12 15:27:37 1996  Karl Berry  <karl@cs.umb.edu>

        * tex.ch (hyph_size): Increase to 1009.

Sun Mar 10 15:56:35 1996  Karl Berry  <karl@cs.umb.edu>

        * tex.ch (\openout): Don't log if the log file isn't open yet.

        * bibtex.ch (glob_str_size): Increase to buf_size. Suggested by Ulrik.
        Could dynamically allocate it (and global_strs, etc.), a la
        entry_strs, but time is fleeting.

Fri Feb 23 11:23:27 1996  Karl Berry  <karl@cs.umb.edu>

        * bibtex.ch: Doc fix.

Sun Feb 18 16:18:54 1996  Karl Berry  <karl@cs.umb.edu>

        * (most).ch: Change xopenfile calls to kpse_find_file.

Sat Feb 17 15:22:59 1996  Karl Berry  <karl@cs.umb.edu>

        * tex.ch (\openout): Log what we open, and disallow some filenames.
        * texmfmp.h (openoutnameok): Declare this.

Fri Feb 16 17:55:12 1996  Karl Berry  <karl@cs.umb.edu>

        * texmfmp.h (NONASCII): Define this.

Thu Feb 15 14:11:58 1996  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Set kpse_make_tex_discard_errors if interaction = batchmode.
        * mf.ch, mp.ch: Likewise.
        * Makefile.in (tex-check): Include check that this works.
        * texmfmp.h: Include <kpathsea/tex-make.h>.
        * cpascal.h (kpsemaketexdiscarderrors): New macro.
        
        * data: Rename to `share'.
        * Makefile.in: Uses changed.

Wed Feb 14 11:25:03 1996  Karl Berry  <karl@cs.umb.edu>

        * mf.ch, mp.ch: Incorporate patches for length of single-character
        unprintable strings, per message to tex-implementors.
        From: vieth@thphy.uni-duesseldorf.de (Ulrik Vieth).
        Date: Wed, 20 Dec 1995 13:43:52 +0100.

Sat Feb 10 15:17:45 1996  Karl Berry  <karl@cs.umb.edu>

        * mf.ch: Use halfp where possible (from Andreas Scherer).

        * tex.ch: Add copyright clarification (from bernd).

        * help.h ({TEX,MF,MP}HELP): -program is really -progname.

        * tex.ch, mf.ch, mp.ch: Remove word `default' in ``Can't find the
        default ___ foo.''

Fri Feb  9 15:46:31 1996  Karl Berry  <karl@cs.umb.edu>

        * withenable.ac: --with-maketexpk etc. moved to
        kpathsea/withenable.ac.

Sat Feb  3 15:45:15 1996  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (DEFS): Move to common.make.

Sun Dec 31 16:46:23 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (kpsefindmft): Add to underscore-less list.

Fri Dec 29 17:17:02 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: misc.make is now clean.make.

Tue Dec 26 15:04:10 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (program_files): Add *.ac.
        * withenable.ac: New file.

        * configure.in (maketex*): Fix doc strings.

Mon Dec 18 11:29:44 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (programs): New target.

Sun Dec 17 15:10:09 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Add support for dumping interesting parts of the .fmt
	file, to aid in debugging latex, etc.  Suggested by David Carlisle.

Tue Dec 12 15:57:15 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-links): Make dependency of install-exec,
        rather than install-data.
        (install-exec): Install the pool files as well.
        From Ulrik.

        * mf.ch, mp.ch: Module number corrections, etc., from Ulrik.

Mon Dec 11 12:59:16 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (tex-check): Add run of Bernd's mltextst.tex, and
        add that file to check/.

        * weave.ch: Remove bogus increment of optind that prevented
        recognition of the change file.

Sun Dec 10 14:58:38 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (post-dist): Include tangleboot.p.

        * mf.ch: Back to disallowing 8-bit characters.
        * mp.ch: Disallow in general, but allow when |tex_flushing|.
        From Ulrik.

        * Makefile.in (check/check.log): New target.
        (pre-dist): Depend on it.

        * mft.ch: Use kpse_find_mft.

        * Makefile.in (triptrap): Rename from mptriptrap. From Ulrik.

        * triptrap/texmf.cnf: Remove pool_size.mp, since it was being
        treated as 32000 anyway. From Ulrik.

        * cpascal.h: Doc fix, from a comment by Andreas S.

        * Makefile.in (install-man): New target, dependency of
        install-data. 
        (install-links): Don't install tex as a link, it's the binary.
	From: Joern Clausen <joern@techfak.uni-bielefeld.de> (among others).

Sat Dec  9 20:26:51 1995  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

      * cpascal.h (kpsemftformat): Add this for MFT style files.

Sun Dec  3 13:42:33 1995  Karl Berry  <karl@cs.umb.edu>

        * mp.ch: Make character 255 invalid here, too.
        Allow input filenames like `one.two.mp'.

        * tex.ch: .dtx is another special case for TeX input.

Fri Dec  1 16:15:32 1995  Karl Berry  <karl@cs.umb.edu>

        * mf.ch, mp.ch, mft.ch: Patches from Ulrik to allow 8-bit
        input. (Although bugs remain.)
        
Mon Nov 27 11:10:53 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-links): Install mltex as a link to virtex.

Sun Nov 26 13:40:01 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h (TEXHELP): Document -mltex.

Fri Nov 24 13:16:13 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-data): Avoid use of basename here.

Thu Nov 23 15:20:24 1995  Karl Berry  <karl@cs.umb.edu>

        * dvicopy.web, dvicopy.ch: Update for version 1.5.

Wed Nov 22 13:04:50 1995  Karl Berry  <karl@cs.umb.edu>

        * mft.ch: Treat tab and form feed like spaces on input.

        * {weave,tangle,mft,patgen,vptovf,pltotf}.ch: Increase input line
        length limit to 3000. From Ulrik.

Sun Nov 19 16:05:06 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (program_files): Remove tangleboot.p.
        (dist): Don't include various files in check/.
        (distclean): Remove tangleboot.
        (clean): Remove *.fmt, etc.
        From John I.

Sat Nov 18 17:05:37 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (distclean): Remove *extra.c. From Peter Dyballa.

        * tex.ch: String recycling changes from Bernd.

Fri Nov 17 13:22:31 1995  Karl Berry  <karl@cs.umb.edu>

        * mp.ch (open_write_file): Needs modification for Amiga. From
        Andreas S.

        * gftodvi.ch (start_gf): Initialize arg_buf_ptr. From Andreas S.

        * help.h (TEXHELP, MFHELP, MPHELP): Document new option -program.

        * tangle.ch, weave.ch: Correct logic for finding chg_name. From
        Ulrik and Andreas S.

        * cpascal.h (libcfree): Use this name instead of cfree, which
        historically exists on some systems.
        * tex.ch, mf.ch, mp.ch: Change the calls.

        * dvitomp.ch, gftodvi.ch: abs => fabs. From Ulrik.

Thu Nov 16 16:18:11 1995  Karl Berry  <karl@cs.umb.edu>

        * weave.ch, vptovf.ch, tangle.ch, pltotf.ch, patgen.ch: Call
        kpse_set_progname. From Gregor Hoffleit.

        * Makefile.in (install-exec): make install-exec in mpware.
        (clean): Remove junk from mptriptrap.
        (install-links, install-fmts, etc.): Various fixes.
        From Ulrik.

        * config.h (AMIGAWIN) [AMIGA]: Define this. From Andreas Scherer.

Sun Nov 12 16:05:44 1995  Karl Berry  <karl@cs.umb.edu>

        * gftype.ch (parse_arguments): Had <> -1 instead of = -1 when
        checking the getopt_return_val.

        * mf.ch, mp.ch (ab_vs_cd): Remove assembler possibility for this,
        since it's not an inner loop function. From Wayne.

        * mp.ch: Allow more comment characters in psfonts.map.
        Make all error messages use `psfonts.map' consistently. From Ulrik.

        * help.h (TEXHELP): -shell-escape instead of -noshell. Alphabetize
        all (excepting -help/-version).

        * tex.ch: Adding logging of system, disable by default, convert to
        external character set. Suggested by Bernd, Nelson, et al.

        * Makefile.in (dvitomp-check): Use ./dvitomp.

Mon Oct 30 17:04:19 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h (MPHELP): Corrections from John Hobby.

Sun Oct 22 16:47:23 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (mems, bases, fmts, formats, mptriptrap): New
        targets. Reported by Ulrik.
        (web2c, .ch.p, tangle.p): Use $(shared_env). From Simon.
        (tex.fmt, latex.fmt): Missing \ before \input. Reported by Tim.
        (install-links): Install vir* links as well as ini*. Reported by Tim.

Sat Oct  7 17:48:43 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-links): Also depend on install-mems. From Ulrik.

Fri Oct  6 16:26:13 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: Use ./<program> instead of just <program>, in the
        *-check targets and trip. From Wayne.

        * help.h ({TEX,MF,MP}HELP: Document %&ini.

Mon Oct  2 15:55:57 1995  Karl Berry  <karl@cs.umb.edu>

        * pooltype.ch: Call kpse_set_progname.

Sat Sep 30 15:06:57 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Add \write18 and -output-comment support.
        * help.h (TEX_HELP): Document the options.

Sat Sep 23 15:05:06 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in (strtol): Move this test to kpathsea, since we
        can only use it once.

Wed Sep 20 16:22:54 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Chop off an extension of .ltx, .texi, or .texinfo after
        all, when making the jobname.

Sun Sep 17 11:48:34 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Enable MakeTeXMF and MakeTeXTFM by default.

Sat Sep  9 16:26:01 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-data): Install the *.map files.
        (dist): Put the .tcx and .map files in a subdir `data'.

Thu Sep  7 12:43:02 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (lib_sources): Remove xopenfile.c.

Mon Sep  4 17:15:43 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (xopenfile): Moved to kpathsea.

Fri Sep  1 17:43:05 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Doc fix.
        * texmfmem.h: Doc fix.

Thu Aug 31 13:36:09 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (odd): Maybe x & 1 is better than x % 2.
	(half, halfp, roundscaled, roundfraction, floorscaled,
	floorunscaled): Define these.
	* mf.ch, mp.ch (ab_vs_cd) [ASM_SCALED_FRACTION]: ifdef this, and
	use the routines above.
        * configure.in: If Linux, set and substitute for @system_optimize@.

Wed Aug 30 16:30:56 1995  Karl Berry  <karl@cs.umb.edu>

        * texmfmem.h: Remove junkx and junky in LittleEndian case.
        Reported by Wayne.

        * config.h (NO_DUMP_SHARE): Renamed from NO_FMTBASE_SWAP.

Fri Aug 25 13:21:31 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (prereq-lose, tex.fmt, latex.fmt, mp.mem, etc.): New
        targets, mostly copied from the old Makefiles. Run kpsewhich to
        make sure the input files are there first.

Thu Aug 24 19:13:02 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h (TEXHELP, MPHELP, MFHELP): Mention the &DUMPFILE capability.

Tue Aug 22 11:44:08 1995  Karl Berry  <karl@cs.umb.edu>

        * kpathsea.make (c_auto_h_dir): Define this.

        * dvitype.ch: Don't call xfclose if we didn't open the tfm file.

Mon Aug 21 16:43:39 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (FOPENRMODE): Define this.
        * dvitype.ch (open_tfm_file): Don't call xopenfile, since we don't
        want to exit if no TFM file.

Fri Aug 18 09:21:14 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (program_files): Put .tcx files here.

Tue Aug  8 14:56:49 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (putbyte): Swallow semicolon.

Thu Aug  3 11:32:07 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (dist): Only remake triptrapdiffs if necessary.

Tue Aug  1 19:26:21 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Merge Wayne's dynamic font sizing changes.
        * texmfmem.h (B0, B1): Declare as short, instead of quarterword.

Mon Jul 31 17:46:11 1995  Karl Berry  <karl@cs.umb.edu>

        * mp.ch, mf.ch, tex.ch: Omit $ from setup_bound_var calls.

Sat Jul 29 13:13:31 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Generate mpware/Makefile.

        * texmfmp.h: Rename from texmf.h.

        * dvitomp.ch, dvitomp.web: New files.
        * Makefile.in: Add rules to make dvitomp.
        * help.h (DVITOMPHELP): Define this.

Fri Jul 28 11:10:46 1995  Karl Berry  <karl@cs.umb.edu>

        * mp.ch: Dynamically allocate/set str_pool, string_vacancies,
        etc., for the sake of the mptrap test.

        * Makefile.in (post-dist): Include *.sed. From Greg.

        * kpathsea.make (kpathsea_parent): Define as ../.., not using
        $(top_srcdir). From Greg.

        * mp.ch (copy_old_name): Null-terminate.
        
        * triptrap/texmf.cnf (MPXCOMMAND): Set to `none'.

Thu Jul 27 17:56:18 1995  Karl Berry  <karl@cs.umb.edu>

        * mp.ch (more_name): Rewrite to make last . the one that counts
        for the extension. And change jobname setting accordingly.

        * Makefile.in (all_subdirs): Add window.

Tue Jul 25 13:17:28 1995  Karl Berry  <karl@cs.umb.edu>

        * mp.ch: malloc old_file_name.

Mon Jul 24 17:45:42 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (mptrap): New target.
        (trap): Rename some trap.* files to avoid conflicts.

Sun Jul 23 11:43:51 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h (MPHELP): Define this.

Sat Jul 22 14:20:50 1995  Karl Berry  <karl@cs.umb.edu>

        * *.ch: Reformat changes to get rid of extra % lines, etc.

        * Makefile.in (mp, mfpextra.c): New target.
        (mp_o, mp_c): New variables.
	* texmfmem.h: Include MP in #ifdef's and comments.

Fri Jul 21 15:31:17 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.h (undumpuppercheckthings): New macro.
        * tex.ch (hyf_next, font_name, font_area): Use it. These base
        types are unsigned, so comparing to 0 is redundant.

        * mf.ch: Dynamicize main memory, a la TeX. Now with a memory size
        of 3001, we pass the trap test. Whew.

Thu Jul 20 13:48:40 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.h (put[24]bytes): Define these again.
        * mf.ch: Use them instead of the default for tfm_two and tfm_four.vb

        * mf.ch: Dynamically set error_line, half_error_line,
        max_print_line, gf_buf, gf_buf_size. This is for the trap test.

Wed Jul 19 11:31:00 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch (dvi_buf_size): Rename all occurrences of dvibuf_size.

Tue Jul 18 14:09:15 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (install-links): Install links for inimf and initex.

        * configure.in: Check for -lposix giving us sigemptyset.
        From: bernt@weinberg.pop.bio.aau.dk (Bernt Guldbrandtsen).

Mon Jul 17 13:08:32 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in: Change default to not include X support.

        * Makefile.in (mf): Add dependency on $(windowlib), and link with
        $(windowlink).
        $(windowlib): New variable, target, etc.
        * window: New directory for the window support.

        * configure.in: Use NO_DUMP_SHARE rather than NO_FMTBASE_SHARE, in
        preparation for Metapost.

Sun Jul 16 14:19:04 1995  Karl Berry  <karl@cs.umb.edu>

        * configure.in (ipc, auto-dump): AC_ARG_ENABLE these.

Sat Jul 15 16:04:13 1995  Karl Berry  <karl@cs.umb.edu>

        * acconfig.h: Make this a symlink to ../kpathsea/acconfig.h, as
        with everything else.
        * configure.in: Start adding all the --with's and --enable's.

        * tex.ch: Patches from Wayne to allow extending the hash table via
        a hash_extra value.

Fri Jul 14 14:36:47 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Regenerate the first 256 strings if the user changed
        which characters are printable.

Thu Jul 13 14:09:19 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h (TEXHELP): Document -translate-file.
        * texmf.h (setupcharset): Declare this.
        * tex.ch (is_printable): Declare this new array.

Sat Jul  8 13:54:13 1995  Karl Berry  <karl@cs.umb.edu>

        * bibtex.ch (stat, tats): Enable these by default.

        * cpascal.h (BIB_XRETALLOC): Slight front end to XRETALLOC for
       BibTeX's dynamic arrays.

Wed Jul  5 17:47:03 1995  Karl Berry  <karl@cs.umb.edu>

        * bibtex.ch: Begin merging changes for dynamic array allocation.
        From Nelson.

Thu Jun 29 19:06:31 1995  Karl Berry  <karl@cs.umb.edu>

	* tex.ch (font_bc, font_ec): Do not check these unsigned char
	values against the range [0,255] when undumping.
	
        * tex.ch: Use fputs instead of wterm for string variables
        name_of_file, TEX_format_default.
        * mf.ch: Likewise.

        * help.h (TEX_IPC_HELP): Split this out from TEXHELP.

Wed Jun 21 15:35:09 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h (MFHELP, TEXHELP): Document -base and -fmt respectively.

        * tex.ch: Restore checking of various arrays when undumping.
        * texmf.h (undumpcheckedthings): Macro to do the checking.

Tue Jun 20 19:53:38 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h (TEXHELP) [IPC]: Document -ipc and -ipc-start.

Fri Jun 16 11:45:48 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Add IPC changes.
        From: Shamim Mohamed <shamim@howland.isu.edu>
        From: Tomas G. Rokicki <rokicki@CS.Stanford.EDU>

Tue Jun 13 11:30:57 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch (max_font_max): Increase to 1000, why not.
        * mf.ch (tfm_out, tfm_two, tfm_four, tfm_qqqq): Leave default
        definitions.

        * kpathsea.make (kpathsea_parent): Use $(top_srcdir). From Greg.

Sat Jun 10 19:25:10 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.h: Include c-pathch.h.

        * tex.ch: Add changes to allow > 256 fonts.
        * texmfmem.h (fmemoryword): New type.
        From: wgs@maths.ucd.ie (Wayne G. Sullivan) and
        From: Bernd Raichle <raichle@azu.informatik.uni-stuttgart.de>.

Thu Jun  8 20:11:43 1995  Karl Berry  <karl@cs.umb.edu>

        * mf.ch: Use IS_AREA_SEP here, too.

Sun Jun  4 13:56:08 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h (unlink) [UNLINK_MISSING && HAVE_REMOVE]: Define as remove.

        * mft.ch: No longer need special case in input_ln, eof itself
        checks now.
        * {tangle,weave}.ch: Avoid /dev/null by just leaving the variable
        name NULL.

        * tex.ch (area_delimiter): Do : stuff for Amiga. From Andreas Scherer.

        * texmf.h (initscreen, updatescreen, blankrectangle, paintrow):
        Add prototypes for these.

        * Makefile.in (post-dist): Work on this.

Sat Jun  3 11:45:32 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Redo setup_bound_var to allow _'s in the names the user sees.

        * bibtex.ch (ent_str_size): Double to 200. From Nelson.

        * texmf.h (setupboundvariable): Declare this.

Fri Jun  2 17:37:36 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch: Merge in Wayne's dynamic array diffs.
        (hash_size, hash_prime): Increase to 10000 and 8501 for no
        particular reason.

        * texmf.h (xmallocarray): Add one to element size.

Thu Jun  1 11:45:11 1995  Karl Berry  <karl@cs.umb.edu>

	* tex.ch, mf.ch: If input file is foo.tex, output goes to foo.dvi,
	not foo.tex.dvi!  Fix from May 28 change.
	
        * tex.ch (trie_size): Increase to 50000 to support U[KS] English,
        French, and German.
        From: Richard Walker <Richard.Walker@cs.anu.edu.au>.
        (nest_size): Increase to 100.
        From: lamport@src.dec.com.

        * {tex,mf,bibtex,gftodvi}.ch (name_of_file): Declare as a pointer
        to text_char, not char, so 8-bit filenames get echoed in correctly
        in ^^ notation.  From: thorinn@diku.dk (Lars Mathiesen).

Sun May 28 17:45:33 1995  Karl Berry  <karl@cs.umb.edu>

        * tex.ch, mf.ch: If input file is a.b.{tex,mf}, jobname is a.b, so
        we write to a.b.log. From rs@purple.in-ulm.de (Ralph Schleicher).

        * vptovf.ch: Increase sizes of constants (Sebastian).

Sat May 27 17:15:46 1995  Karl Berry  <karl@cs.umb.edu>

        * dvi{type,copy}.ch: Add options to replace the dialogue.

Fri May 26 17:34:06 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h (strtol) [!HAVE_STRTOL]: Declare this.
        * configure.in (strtol): AC_CHECK_FUNCS for it.
        
        * cpascal.h (addressofint): Rename to just addressof.
        * *.ch: Change calls.

Wed May 24 19:37:25 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h, *.ch: Finish -help and -version for all but dvitype.

Sat May 20 13:02:04 1995  Karl Berry  <karl@cs.umb.edu>

        * *.ch: Use new usage(1, 'progname'). 

        * cpascal.h (basenamechangesuffix): Take three args now.
        *.ch: Change calls.

Fri May 19 19:29:06 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (findsuffix): Another in the underscore list.
        
        * help.h (GFTOPK): Define help string.
        * gftopk.ch: Add -help and -version support.

Tue May 16 15:47:02 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (removesuffix): Add this to the underscore list.

        * help.h (MFT, PATGEN, VFTOVP): Define help string.
        * {vftovp,patgen,mft}.ch: Add -help and -version support.

Sun May 14 11:14:46 1995  Karl Berry  <karl@fosse>

        * texmf.h (bytefile, wordfile): Do not define here.
        * mf.ch, tex.ch (alpha_file, byte_file, word_file): Keep these
        declarations.

Tue May  9 15:47:55 1995  Karl Berry  <karl@cs.umb.edu>

        * help.h (PKTYPE, GFTYPE, TFTOPL, PKTOGF): Define *HELP strings.
        * {pktogf,tftopl,gftype,pktype}.ch: Add -help and -version support.

Mon May  8 12:05:05 1995  Karl Berry  <karl@cs.umb.edu>

        * pooltype.ch: Append `pool' if necessary.

Sat May  6 11:24:01 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (lib_sources): Add usage.c.
        * config.h (usage): Declare it.

Fri May  5 17:48:13 1995  Karl Berry  <karl@cs.umb.edu>

        * pooltype.ch: Write the usage function in C now, passing in the
        help string.

Thu May  4 19:41:05 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h: Include help.h.
        * help.h: New file for help messages.

Fri Apr 28 13:45:08 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h: Include kpathsea/tex-file.h here.
        * *.ch: Don't bother including it in only the relevant change files.
        
        * cpascal.h (alphafile, fileptr): Don't bother defining these.
        * bibtex.ch (alpha_file): Define as text.

Tue Apr 25 13:43:13 1995  Karl Berry  <karl@cs.umb.edu>

        * *.ch: Don't bother changing program statements or removing
        compiler directives now.

        * *.ch: Use ^char instead of c_string where possible.

        * Makefile.in: Clean up clean rules, etc.

        * Update all .web files from 21 March 1995 Knuth archive.  (bibtex,
        dvicopy, and pktogf are not included.)  New versions for dvitype (3.5),
        mf (2.718), pltotf (3.5), tangle (4.4), tex (3.14159), and
        vptovf (1.4).

Sun Apr 23 10:54:58 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (mfextra.c, texextra.c): Don't just link, substitute
        for which one we are.

Sat Apr 22 13:22:09 1995  Karl Berry  <karl@cs.umb.edu>

        * mf.ch (format_ident): Don't set to INIMF unless we are.

        * texmf.h (kpsetexpoolformat): Define this.
        (write_out): Let's try always using fwrite.  Shouldn't it be more
        efficient than write(2)?
        (xmallocarray): New routine for the hyphenation tries.

        * tex.ch: Avoid special case for first bad_pool; instead, change
        a_close to not complain about already-closed files.
        * tex.ch: Use kpathsea routines and constants.
        
        * mf.ch: Copy pool file in correctly.

Fri Apr 21 11:16:12 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h: Include progname.h.
        (putbyte): Check return status.

        * Makefile.in (web2c_programs): Remove regfix.

        * cpascal.h, texmf.h: Add prototypes.

        * mf.ch (debug, gubed): Use the cpp symbol MF_DEBUG, instead of
        DEBUG, which kpathsea uses.  Use kpathsea routines and constants.

Tue Apr 18 11:03:55 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (cfree): Define this.

        * texmf.h (dump_path): Define as the kpse_*_fmt, not the old path name.

Mon Apr 17 10:00:04 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in: Add rules for Metafont and TeX.

Fri Apr 14 15:30:34 1995  Karl Berry  <karl@cs.umb.edu>

        * dvicopy.ch, dvitype.ch, gftopk.ch: Use xfseek and xftell instead
        of checked_fseek.
        * cpascal.h (checked_fseek): Remove this.

        * cpascal.h (open_input, open_output, aclose): Declare with prototypes.

Tue Apr 11 13:15:51 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (bibtex.c): Depend on bibtex.cvtsed.

Mon Apr 10 17:07:52 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (standardinput, standardoutput): Do not conditionalize
        these on BibTeX.

Tue Apr  4 15:22:08 1995  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (web2c/web2c): Dependency is now on web2c/main.c,
        not web2c/web2c.c.

        * cpascal.h (kpse{bib,bst}format): Add these.

        * bibtex.ch: Don't use file_name_size as an array size.

Sun Mar 19 17:53:01 1995  Karl Berry  <karl@cs.umb.edu>

        * gftodvi.ch: Add -help, -version, change help message.

Sat Mar 18 17:24:47 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (input): #define as stdin.
        (kpsefindvf): Also use this for dvicopy.

Fri Mar 10 10:52:09 1995  Karl Berry  <karl@cs.umb.edu>

        * *.ch (arg_options): Don't bother defining this, we never use it
        any more.

Thu Mar  9 15:50:12 1995  Karl Berry  <karl@cs.umb.edu>

        * acconfig.h: Warn that this is not the right thing to edit to fix
        configuration problems.

Tue Feb 21 13:41:25 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (output): Define as stdout.
        * *.ch: Don't bother to redefine `output' as `stdout'.

Mon Feb 20 15:24:31 1995  Karl Berry  <karl@cs.umb.edu>

        * *.ch: Rationalize argument parsing and usage messages.

        * cpascal.h (kpsefind{mf,tex}): Define these.

Sun Feb  5 15:26:28 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (basenamechangesuffix): Declare this.

Tue Jan 10 11:43:27 1995  Karl Berry  <karl@cs.umb.edu>

        * texmf.h (glueratio): Move to here from config.h.
        * config.h (ourpaths.h): No longer needed.
        (link, getname, etc.): Move to cpascal.h.

        * cpascal.h (nil): Define to be NULL.
        * pktogf.ch: Use nil instead of NULL.

Sat Jan  7 16:31:15 1995  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (kpseinitprog): Add this.

Tue Jan  3 15:19:52 1995  Karl Berry  <karl@cs.umb.edu>

        * config.h: getopt.h is in kpathsea now.

Mon Dec 19 13:22:04 1994  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (kpsefindfile): Add this -- more _ synonyms.
        (kpse{pk,vf}format): And this.

Sun Dec 18 16:33:29 1994  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (flush): May as well define `break' as fflush in the
        change files, and remove this.
        * *.ch: Redefine `break' as `fflush' instead of `flush'.

Sat Dec 17 13:40:19 1994  Karl Berry  <karl@cs.umb.edu>

        * vptovf.ch: Use cmdline instead of argv, rename gargv to argv,
        make the filenames be C strings, and extend them if necessary.

        * config.h (chartostring): Declare it.
        (setpaths): Remove this.
        * cpascal.h: Doc fix.

        * tangle.ch (Parse arguments): Use char_to_string instead of
        make_suffix_char.
        * weave.ch (Define the option...): Use char_to_string for -x.

Thu Nov 24 13:34:16 1994  Karl Berry  <karl@cs.umb.edu>

        * vptovf.ch (hash_size, max_kerns): Increase per Sebastian.

Tue Nov 15 11:47:35 1994  Karl Berry  <karl@cs.umb.edu>

        * cpascal.h (kpsesetprogname): Define to
        kpse_set_progname. Gosh, this is annoying.

Mon Nov 14 13:28:04 1994  Karl Berry  <karl@cs.umb.edu>

        * {patgen,pooltype,pltotf,tftopl}.ch: Rewrite for argv changes, etc.

        * cpascal.h (vstrcpy, vstrcat): Toss these. Change callers.

        * *.ch: Rename c_char_pointer to c_string.

        * config.h (argv): Rename to cmdline, and make a function.
        * main.c (cmdline): Renamed from argv.
        (gargv): Rename to argv.
        (makesuffixchar): Declare.

Sun Nov 13 16:19:27 1994  Karl Berry  <karl@cs.umb.edu>

        * configure.in, Makefile.in: Update for Autoconf 2.0.

Sun Nov  6 15:57:17 1994  Karl Berry  <karl@cs.umb.edu>

        * acconfig.h: Incorporate c-auto.h.top (and remove that file), for
        Autoconf 2.0.

Fri Oct 28 11:13:56 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (tangle.c, tftopl.c): Depend on $(web2c_aux)
        $(web2c_programs).

        * tangle.ch: Redo argument parsing using getopt, extend_filename, etc.

        * cpascal.h (extendfilename): Add this to _ list.

Thu Oct 27 17:58:50 1994  Karl Berry  <karl@cs.umb.edu>

        * tftopl.ch (tfm_name, pl_name): Declare as C strings; call
        kpse_find_tfm.

        * cpascal.h (reset, rewrite): Call plain xfopen, not xfopen_pas.

Mon Oct 10 16:23:13 1994  Karl Berry  <karl@cs.umb.edu>

        * Makefile.in (web2c_makeargs): Don't pass LEX et al.
        (lib_makeargs): Don't pass RANLIB and LN.

Sun Sep 25 16:49:30 1994  Karl Berry  <karl@cs.umb.edu>

        * configure.in (AC_OUTPUT): Generate man/Makefile, changes for new
        source directories.
        * Makefile.in: Everything changes.

Fri May 27 12:37:36 1994  Karl Berry  (karl@cs.umb.edu)

        * c-auto.h.top: (XVIEWWIN, X10WIN): Take these out.

        * tex.man, mf.man: Take out references to USE_MAKETEX*.

Tue Apr 26 14:05:22 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in: Use AC_FIND_XTRA, for Autoconf 1.9.

Mon Apr 18 13:22:21 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * configure.in, Makefile.in: Changes for the new configure.

Sun Apr 17 16:16:28 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * Makefile.in (top_srcdir): Define this for configure to substitute.

Sat Mar 12 10:19:04 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-exec): Install relative vir* links, instead
        of absolute. From Simon.

Wed Feb 23 06:54:49 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (manpages): Pass infodir down. From Ken Yap.

Wed Feb  2 11:00:09 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.1.

Tue Feb  1 11:21:23 1994  Karl Berry  (karl@cs.umb.edu)

        * configure.in (wlibs) [X11WIN]: Run AC_HAVE_LIBRARY for Xext, and
        include it if we have it.

        * Makefile.in (do-kpathsea): Depend on *.c and *.h from
        $(kpathsea_srcdir), not $(kpathsea_dir).

        * configure.in [SUNWIN]: Link sun.c to sun-sunview.c in this case.

Sat Jan 22 14:24:51 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.0.

Fri Jan 14 16:02:35 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install-fmts): The var is `fmtdir', not `formatdir'.

Sat Dec 18 13:37:17 1993  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (makeargs): Pass DEFS.

Wed Dec 15 06:29:49 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (*formats*): Rename to fmts.
	(formats): New target to do both bases and formats.

Sun Dec 12 19:13:44 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (manpages): Don't bother to pass cmsources.

Sun Nov 14 02:31:54 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (web2c): do-kpathsea before do-lib.

	* Makefile.in (manpages, installargs): texfontdir => fontdir.

	* Makefile.in (version): No separate texmf_version and
	web2c_version any more.

Thu Nov 11 11:11:05 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (xincludedir, xlibdir, wlibs): Rename.

Sun Nov  7 14:15:14 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (makeargs, etc.): Don't pass srcdir down.  From
	harlan@cms-stl.com.

	* configure.in (AC_LONG_64_BITS): Invoke this.

Sat Nov  6 13:29:57 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (HP2626WIN, etc.): Don't check for the WIN symbols
	that we don't need.

Thu Oct 28 14:28:55 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Call AC_FIND_X and AC_FIND_XTRA.

Sun Oct  3 13:56:24 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Rewrite to include common.ac.

Sat Oct  2 17:50:30 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): Don't reassign PATH, just invoke
	mkdirchain explicitly.

	* Makefile.in: Begin rewrite.

Sun Aug 22 19:15:05 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): mkdirchain is in the top level.

Tue Aug  3 12:56:31 1993  Karl Berry  (karl@cs.umb.edu)

	* aclocal.m4 (AC_X11_LOCATION): Rewrite tests to use for loops.

Sat Jul 31 11:36:03 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Remove AC_PREFIX.

Fri Jul 30 12:42:55 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in [hayley]: Make this ifdef, update dist target, etc.

Wed Jul 21 19:47:00 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (configclean): New target.

Sat Jul  3 00:36:33 1993  Paul Eggert  (eggert@twinsun.com)

	* aclocal.m4: If -L/usr/openwin/lib is used, then prefer
	-I/usr/openwin/include.  Fix typo: uname's output was being discarded.
	These patches are for Solaris 2.2.

Tue May 25 10:08:43 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (AC_HAVE_HEADERS): Test for `pwd.h'.

Sat May 22 11:22:21 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (web{,2c}-dist): Run gzip -9.

Tue May 18 14:06:04 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): mkdirchain on install dirs, and put
	mkdirchain in the dist.

Sun May  9 10:38:46 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (extraclean): Remove *.i *.s.  Changes for kpathsea.

Sat Apr 24 16:42:42 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (makeargs): Add $(MAKEARGS).

Sat Apr 10 14:58:32 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Do AC_XENIR_DIR after AC_DIR_HEADER.

Fri Apr  2 06:42:08 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (texinputdir, mfinputdir): Change default paths to
        .../inputs.

Mon Mar 29 08:55:12 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (*WIN): Put $wlibs after the necessary libraries,
	instead of before.

Thu Mar 25 16:00:11 1993  Karl Berry  (karl@cs.umb.edu)

	* aclocal.m4 (AC_ISC_WLIBS): Merge into AC_X11_LOCATION; also
	check for -ldnet (from Martyn.Johnson@cl.cam.ac.uk).
	* configure.in (AC_ISC_WLIBS): Remove.

Sun Feb 28 11:02:19 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (XVIEWWIN): Use -lX11.

Mon Feb 22 17:41:46 1993  Karl Berry  (karl@apollo.cs.umb.edu)

	* Version 5.851d.

	* Makefile.in (install-exec): Run install-exec in subprograms, not
	install.
        (install-data): Do install-data in subdirs.

Sun Feb 21 08:27:14 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (SMALLBibTeX): Forgot $ in test, hence always set
	up for small BibTeX.
        
        * configure.in (AC_PROG_CC, AC_PROG_CPP): Call explicitly, instead
          of relying on AC_GCC_TRADITIONAL.  Apparently require/provide
          aren't reliable.

	* Makefile.in (dist): Remove lib/paths.h from the distribution.

Sun Feb 14 11:29:23 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (lib/paths.h): Only use texformats once.

Tue Feb  9 14:22:05 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (topfiles): Add I*.
        * INSTALL: New file from README.

Sun Feb  7 20:09:01 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (web2c-dist): make tangleboot instead of depending
	on do-tangle.

Fri Jan 29 11:27:38 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (common-trip): New target.
        (tr[ai]p): Use it.

Thu Jan 28 07:27:24 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (web2c-dist): Make tangleboot.c.

Tue Jan 26 16:48:36 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Remove texware and mfware.

	* Makefile.in (triptrapdirs): Change to {dvi,font}util; merge the
	contents of texware and mfware with the other directories.

Mon Jan 25 11:36:37 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-{formats,bases}): Depend on
	{formats,bases}, not do-&.

	* Makefile.in (trip, trap): New targets.
        (triptrap): Depend on them.
        (run-trip, run-trap): Likewise.

Sun Jan 24 12:06:28 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Add AC_CONST.

	* Makefile.in (web2c-dist): Rename the lex and yacc output so it
	doesn't get used.

	* Makefile.in (run-trap): Depend on triptrap.

	* configure.in: Do AC_DECLARE_YYTEXT last, to work around a bug in
	Autoconf 1.3.

Sat Jan  9 15:22:37 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (configure, config.status): cd $(srcdir) first.

Fri Jan  1 14:23:47 1993  Karl Berry  (karl@cs.umb.edu)

	* configure.in (AC_USG, AC_MEMORY_H): Delete.
        (AC_HAVE_HEADERS): Call for string.h and memory.h.

Wed Dec 23 07:00:53 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (topfiles): Don't use the .W2C suffix.
        (web2c-dist): Don't rename ChangeLog.
        * *.W2C: Remove suffix.

Sun Dec 13 14:04:31 1992  Karl Berry  (karl@cs.umb.edu)

	* configure.in: Check for window systems via c-auto.h.in.

	* configure.in: Don't bother to copy the distributed tex, mf,
	bibtex change files; the Makefiles will do it.

	* Makefile.in (c-sources): New target.

Sat Dec 12 14:08:35 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (distdir): Unpack into web2c-*.

	* configure.in: Use sed instead of patch to make the small change
	files.

	* configure.in: Create Makefiles in subdirectories.

Thu Dec 10 10:35:18 1992  Karl Berry  (karl@cs.umb.edu)

	* GNUmakefile.in (GNUmakefile): Add $(srcdir) to dependency, and
	use $(SHELL) instead of sh.
        (config.status): Use $(SHELL).

Sun Oct 25 05:58:21 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (web2c-dist): Dist the .gdbinit files.

Sun Oct 18 13:44:48 1992  Karl Berry  (karl@cs.umb.edu)

	* configure.in (AC_INIT): Use MACHINES.W2C instead of tex/tex.web
	for the unique file.  (melvin@math.psu.edu)

Sat Oct 17 17:47:00 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (run-tr[ai]p): Pass $(makeargs), so $(LN) is
	propagated.  (From metcalf@catfish.LCS.MIT.EDU.)

Thu Oct 15 08:35:14 1992  Karl Berry  (karl@cs.umb.edu)

	* configure: Ran Autoconf 1.2.

Thu Oct  1 17:02:24 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (stamp-{bases,formats}): pass $(makeargs) down.

Thu Sep 24 10:55:07 1992  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (install*): use $(LN) instead of `ln', so symlinks
          are used if they are supported.

        * configure.in: link with -lolgx if we are using xview.
          (mroth@afit.af.mil)

        * Makefile.in (dist): remove tangleboot.o.

Sun Sep 20 12:53:09 1992  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (config.status): use sh to run configure --no-create.

        * Makefile.in (realclean): OK, don't remove configure.

Thu Sep 17 08:42:41 1992  Karl Berry  (karl@hayley)

        * Makefile.in (exec_prefix): new variable.
        (bindir): use it.

        * Makefile.in (install*): mkdir prefix directories.

Mon Sep 14 18:00:57 1992  Karl Berry  (karl@hayley)

        * Makefile.in (config.status): new target.
        (Makefile): depend on config.status.

Sat Sep 12 16:00:24 1992  Karl Berry  (karl@hayley)

        * README.W2C: briefly discuss Autoconf.

Thu Sep 10 08:59:26 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): include COPYING* from our master directory,
          not the source directory.

        * Makefile.in (realclean): remove configure.

Tue Sep  8 16:50:06 1992  Karl Berry  (karl@hayley)

        * configure.in: test for more Unix variants.

Fri Sep  4 08:58:06 1992  Karl Berry  (karl@hayley)

        * Makefile.in (extraclean): new target.

Thu Aug 27 08:57:15 1992  Karl Berry  (karl@hayley)

        * configure: regenerated from Autoconf 1.1.

Wed Aug 12 16:33:30 1992  Karl Berry  (karl@hayley)

        * README.W2C: aldebaran has a different name now.

Sat Aug  8 10:12:23 1992  Karl Berry  (karl@hayley)

        * makefile.in (configure, Makefile): new targets.

Sat Aug  1 08:08:49 1992  Karl Berry  (karl@hayley)

        * configure.in: grep for `#define', not just `define'.

Fri Jul 31 17:03:11 1992  Karl Berry  (karl@hayley)

        * Makefile.in (dist): include our aclocal.m4.

        * configure.in: missed one of the grep -s's.

        * Makefile.in (LIBS): include $(extralibs).

Sat Jul 25 14:46:59 1992  Karl Berry  (karl@hayley)

        * configure.in: test if patch is available, and if not, issue a
          warning.

        * configure.in: redirect grep output, instead of relying on -s.

Wed Jul 22 09:14:20 1992  Karl Berry  (karl@hayley)

        * configure.in: update for Autoconf 1.0.

Mon Jul 13 08:37:18 1992  Karl Berry  (karl@hayley)

        * Makefile.in (formats): don't do etex by default.

Fri Jul  3 11:44:22 1992  Karl Berry  (karl@hayley)

        * MACHINES.W2C: update from bernd.

        * configure.in: check for XVIEWWIN.

Thu Jul  2 15:24:41 1992  Karl Berry  (karl@hayley)

        * Makefile.in (cflags): remove.
        (coptimize): change to CFLAGS.

        * Run Autoconf 0.119.

Thu Jun 25 07:51:10 1992  Karl Berry  (karl@hayley)

        * configure.in: called AC_PROG_CPP twice.

Tue Jun 23 09:14:32 1992  Karl Berry  (karl@hayley)

        * Makefile.in (manext): default to `1', not `l'.

Sun Jun 14 11:08:41 1992  Karl Berry  (karl@hayley)

        * Makefile.in (web2c-dist): show the sizes of tangleboot.*.

Thu Jun 11 08:59:40 1992  Karl Berry  (karl@hayley)

        * Makefile.in (.NOEXPORT): new target, since Autoconf doesn't add
          it automatically any more.

Thu Jun  4 08:25:25 1992  Karl Berry  (karl@hayley)

        * configure.in (AC_HEADER_FILE): rename to AC_CONFIG_HEADER, for
          Autoconf 0.115.

Fri May 29 16:38:27 1992  Karl Berry  (karl@hayley)

        * Makefile.in (installargs): include $(makeargs), in case the
          person didn't `make all' first.

Sat May 16 10:09:14 1992  Karl Berry  (karl@hayley)

        * configure.in: PROG_CPP must come before GCC_TRADITIONAL.

Fri May 15 09:47:03 1992  Karl Berry  (karl@hayley)

        * configure.in: add AC_GCC_TRADITIONAL and AC_PROG_CPP.

        * configure.in: AC_HEADER_MISSING is now AC_HEADER_CHECK.

Thu May 14 19:20:57 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Wed May 13 08:54:33 1992  Karl Berry  (karl@hayley)

        * Makefile.in (VPATH): change for new Autoconf.

Tue Apr 28 10:17:23 1992  Karl Berry  (karl@hayley)

        * configure.in: Autoconf's prefix is now AC_, not M_.

Sat Apr 25 09:04:59 1992  Karl Berry  (karl@hayley)

        * README.W2C: various fixes.

        * AUTHORS.W2C: new file, shortening README.

Thu Apr 23 06:38:46 1992  Karl Berry  (karl@hayley)

        * Makefile.in: fix clean targets for latest GNU stds.
        (bases): pass localmodes.
        (makeargs): pass MFLAGS.
        Above from Andreas.

        * README.W2C, configure.in: Refer to site.h.in.
        * Makefile.in (web2c-dist): distribute it.
        (prefix): set to /usr/local.

        * Makefile.in (.NOEXPORT): remove, as configure automatically adds
          it now.

        * Makefile.in (installargs): mfpool was going to the wrong place.

Wed Apr 22 08:41:18 1992  Karl Berry  (karl@hayley)

        * configure.in: M_SIGTYPE is now M_RETSIGTYPE.

        * configure.in: use M_LN_S.
        * Makefile.in (LN): set to @LN_S@.

        * MACHINES.W2C (DEC 5000/250, Ultrix 4.2a): from Elizabeth.

        * Makefile.in (formats): remove \ at end of comment line, as
          Ultrix make can't handle it.

Mon Apr 20 06:32:10 1992  Karl Berry  (karl@hayley)

        * Makefile.in (check): an alias for `run-triptrap'.

Sun Apr 19 11:54:41 1992  Karl Berry  (karl@hayley)

        * Makefile.in (distclean): add as another alias for `realclean'.

Fri Apr 17 08:52:06 1992  Karl Berry  (karl@hayley)

        * Version 5.851b.

Tue Apr 14 17:26:32 1992  Karl Berry  (karl@hayley)

        * Makefile.in (web/tangleboot.c): just make tangleboot.c.

        * Makefile.in (clean-triptrap): just remove tex/tex.p and mf/mf.p,
          as we don't want to remove the change files configure constructed.

Mon Apr 13 09:00:39 1992  Karl Berry  (karl@hayley)

        * configure.in: do M_PREFIX before M_FLEX, so we can guess
          $(prefix)/lib/libfl.a for the flex library.

Fri Apr 10 17:02:56 1992  Karl Berry  (karl@hayley)

        * Makefile.in (web2c-dist): remove */c*.ch in what get distributed.

        * configure.in: don't mess up if small vs. bib TeX/MF/BibTeX
          changes from configure to configure.

        * Makefile.in (infodir): remove this, as we don't have Texinfo
          documentation (yet).

        * README.W2C: correct numbering.

        * MACHINES.W2C: add entry for Sun 3/SunOS 4.0.3 from Elizabeth.

Wed Apr  8 15:47:02 1992  Karl Berry  (karl@hayley)

        * README.VMS: new file.

Fri Apr  3 11:56:13 1992  Karl Berry  (karl@hayley)

        * configure.in, Makefile.in: guess $(prefix) automatically.

Fri Apr  3 09:54:21 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Thu Apr  2 17:19:09 1992  Karl Berry  (karl at claude.cs.umb.edu)

        * Makefile.in: make stamp-web2c depend on stamp-lib, etc.

Thu Apr  2 13:51:45 1992  Karl Berry  (karl at ra.cs.umb.edu)

        * Makefile.in (tangleboot.pas): change to tangleboot.c.

Mon Mar 30 08:01:35 1992  Karl Berry  (karl at hayley)

        * Makefile.in: use $(MAKE), not make.

Sun Mar 22 09:26:20 1992  Karl Berry  (karl at hayley)

        * configure.in: don't make a link to lib/site.h, it's already there.

        * Makefile.in (mfargs): new variable.
        (programs): pass $(mfargs) if we are doing mf.
        (web2c): remove this.

Sat Mar 21 09:08:31 1992  Karl Berry  (karl at hayley)

        * Makefile.in (web-dist, web2c-dist): redo.

        * configure.in: test for site.h in lib/.

        * site.h (TEXPOOLNAME): new macro for installers to redefine.

        * Makefile.in (*manpages): don't pass SITEDIR; pass srcdir instead.

Fri Mar 20 15:53:21 1992  Karl Berry  (karl at hayley)

        * configure.in: do M_X11_LOCATION.

        * README.W2C: document these changes.
        * Makefile.in (install-programs): rename from install.  Make
          `install' install everything.  Also, go into subdirectories to
          do the installation.
        (install-manpages): don't pass INSTALL_PROGRAM.
        (dist): do both web2c-dist and web-dist.
        (mostlyclean): new clean target.

Sat Mar  7 10:18:41 1992  Karl Berry  (karl at hayley)

        * configure.in: change config-auto.h to c-auto.h.

Fri Feb 14 07:56:42 1992  Karl Berry  (karl at hayley)

        * configure.in (wlibs): put the -l's here directly, instead of
          setting to a make variable.
        * Makefile.in (*lib): remove the variables.

Tue Feb 11 09:56:01 1992  Karl Berry  (karl at hayley)

        * configure.in: test for memcpy et al. in <memory.h> only.

        * configure.in: test for <limits.h> missing.

        * configure.in (extrawlibs): remove this, just assign to wlibs.

        * Makefile.in (copt): never mind, use CC.

Sun Feb  9 09:54:27 1992  Karl Berry  (karl at hayley)

        * Makefile.in (copt): new variable, for ISC's -posix.

        * Makefile.in (realclean): remove Makefile and config.status.

Sat Feb  1 16:03:05 1992  Karl Berry  (karl at hayley)

        * site.h-dist: remove subdirectory stuff.  Add GFFONTS and PKFONTS.

Fri Jan 24 09:11:29 1992  Karl Berry  (karl at hayley)

        * configure.in: do M_CHAR_UNSIGNED, and test for endianness here.
        * config: gets removed.
        * site.h: gets copied from config.
        * Makefile.in (cflags): don't include -I$(configdir).
        (configdir): remove.

Wed Jan 15 11:33:54 1992  Karl Berry  (karl at hayley)

        * Makefile.in (libsources): do not include xchdir.c and xgetcwd.c,
          as they're no longer needed.
        * configure.in: don't test for getwd missing anymore.

Tue Jan 14 08:47:38 1992  Karl Berry  (karl at hayley)

        * Makefile.in (makeargs): pass wlibs.

Sun Jan 12 07:35:37 1992  Karl Berry  (karl at hayley)

        * Makefile.in (CFLAGS): define and pass down `cflags', instead, as
          TeX and BibTeX need to add additional -D's.

        * Makefile.in (.NOEXPORT): include this target to stop arg list
          problems with GNU make.

        * Makefile.in (clean-triptrap): call `make realclean', not
          `veryclean'.

Sat Jan 11 11:59:27 1992  Karl Berry  (karl at hayley)

        * rename `common' to `lib'.

        * configure.in: new file to automatically generate the configure
          script with autoconf.

Wed Jan  8 07:44:02 1992  Karl Berry  (karl at hayley)

        * configure (extrawlibs): include -lnsl_s, as ISC's X11R4 stuff
          needs it.

Tue Jan  7 11:24:54 1992  Karl Berry  (karl at hayley)

        * Makefile.in (install targets): use INSTALL_PROGRAM and
          INSTALL_DATA appropriately; pass to subdirs.

        * start ChangeLogs in subdirectories.

Fri Jan  3 13:20:09 1992  Karl Berry  (karl at hayley)

        * texware/pltotf.ch (main block): exit 0.  No, rescind that; the
          error code was from something else, as we already exit (0) in
          common/main.c (main).

Sun Sep  1 13:26:11 1991  Karl Berry  (karl at hayley)

        * fontutil/vftovp.ch (Read the preamble, Read and store a font):
          don't output anything unless -verbose is set.

        * fontutil/vftovp.ch (Set init...): initialize vpl_name to optind
          + 2, not + 1; initialize the others to be optind and optind + 1.

Thu Aug 29 17:46:31 1991  Karl Berry  (karl at hayley)

        * Makefile.in (INSTALL_PROGRAM): new variable.
        (INSTALL): rename from `install'.
        (INSTALL_DATA): rename from `INSTALLDATA'; change uses.
        (prefix, libdir): new variables.
        (bindir, mandir, texlibdir, mflibdir): use prefix.

Sat Aug 24 06:37:52 1991  Karl Berry  (karl at hayley)

        * tex/Makefile (formats): add `amslatex.fmt'.
        (amslatex.fmt): new target.
        * Makefile.in (formats): likewise.
        * README (Format files): describe it.  Also add ``canonical
          sources'' for the formats.

Fri Aug 23 09:11:50 1991  Karl Berry  (karl at hayley)

        * Makefile-dist: rename to Makefile.in.
        * configure (makefiledist): likewise.

Mon Aug 12 08:14:18 1991  Karl Berry  (karl at fosse)

        * bibtex/bibtex.ch (pool_size): decrease to 512K from 5.12M.

        * Makefile (install-formats, install-bases): don't do `-mkdir' in
          the middle of the rule.

        * common/common.defines (bytepointer): rename to pointertobyte,
          since dvicopy defines a `bytepointer'.
        * common/extra.h (bytepointer): likewise.
        * texware/tftopl.ch: change uses.

        * mf/Makefile (makeargs): update.

Sun Aug 11 08:33:44 1991  Karl Berry  (karl at fosse)

        * common/common.h [STRING_MISSING]: don't include <strings.h> if
          `index' is already defined.

        * common/texmf.c: include <ctype.h>.

        * common/getopt.c [_AIX]: indent the `#pragma alloca', since
          otherwise we get `undefined control' from hc.

        * configure (systemtypes): fix sed commands to remove the final .h.

Sat Aug 10 12:23:24 1991  Karl Berry  (karl at hayley)

        * web2c/web2c.yacc (fixup_var_list): add the temp symbol used for
          arrays with negative lower bounds to the symbol table.

        * web2c/web2c.c (yytext): don't declare this, since we do in
          web2c.h.

        * texware/tftopl.ch (Read the whole input file): malloc the tfm
          array if the file size is larger than the static size.
        * common/common.defines (xmalloc, xrealloc, bytepointer,
          casttobytepointer): declare these.
        * common/extra.h (bytepointer, casttobytepointer): define these.

Mon Jul 22 06:01:41 1991  Karl Berry  (karl at hayley)

        * config/s-{esv3,ultrix4.2}.h: new files.
        * configure: update for those systems.

Fri Jul 19 08:32:18 1991  Karl Berry  (karl at hayley)

        * configure (statusfile): define to be $configdir/statusfile;
          always test if the s- file exists.

Sat Jul 13 10:49:01 1991  Karl Berry  (karl at hayley)

        * Makefile-dist (proginstall, fileinstall): change names to
          `INSTALL' and `INSTALLDATA'.

        * Makefile-dist (RANLIB): new variable.
        (makeargs): pass it down.
        * mf/MFwindow/Makefile (window.a): unconditionally use RANLIB,
          since it will always be set.
        * common/Makefile: make a library out of the common files.
        * */Makefile (commono): reference the library.

        * fontutil/vftovp.ch: implement -verbose, -charcode-format, and
          output to stdout a la tftopl.
        * man/vftovp.man: document this.

        * texware/{pl,tf}to{tf,pl}: don't print the banner until after
          we've read the input file.

        * fontutil/vptovf.ch: implement -verbose a la pltotf.
        * man/vptovf.man: document this.

Mon Jul  8 10:52:26 1991  Karl Berry  (karl at hayley)

        * common/common.h (integer): move comment about changing
          fixwrites.c if integer changes here, from README.W2C.

        * texware/tftopl.ch: new option -charcode-format.
        (out_char): output the character code in the format requested.
        * man/tftopl.man: document this.
        * common/common.defines (vstrcat): new declaration.
        * web2c/fixwrites.c (main): add ASCIIall to the list of variable
          names who get output as characters.  What a crock.

        * tex/Makefile (*.fmt): don't print the \font definitions.

Thu Jul  4 07:16:39 1991  Karl Berry  (karl at hayley)

        * common/texmf.c: put the memory_word stuff back in `texmfmem.h',
          and redo the Makefiles; we can't include it before the types
          have been defined.

        * */Makefile (SITEDIR): change to ../config.

        * web2c/web2c.h (yytext) [!DECLARE_YYTEXT_TYPE]: new type definition.

        * web2c/web2c.yacc: lowercase `TRUE' and `FALSE'.

        * web2c/Makefile (web2cy.c): unconditionally move the new .h and
          .c files.

        * common/Makefile (endian.h, endian): remove these targets; this
          is now generated by configure.

        * Makefile-dist: rearrange so that configure can easily edit it.

Wed Jul  3 17:01:25 1991  Karl Berry  (karl at hayley)

        * common/texmf.c (input_line): don't throw away trailing form
          feeds on the line.

        * common/texmf.h (twohalves): throw in another two bytes of junk
          if we are BigTeX or BigMF.

Mon Jul  1 06:31:18 1991  Karl Berry  (karl at hayley)

        * common/getopt*: update to new versions.

        * */*.[ch]: rationalize includes.

        * site.h: move system stuff out; it will be determined by the
          configuration file.
        * defaults.h: remove; it, too, will be part of the configuration
          file.
        * common/extra.c [BSD]: conditionalize <dirent.h> on
          DIRENT_MISSING, instead.
        (PATH_DELIMITER): move to common.h.

Sun Jun 30 13:44:09 1991  Karl Berry  (karl at hayley)

        * web2c/symtab.h: fold into web2c.h.
        * web2c/Makefile (web2c*.o): remove dependency on symtab.h.

        * defaults.h [__HIGHC__]: move to common.h.
        (FILENAMESIZE): define to 512 if it isn't already defined.

        * common/common.h (index, rindex): conditionalize on
          `STRING_MISSING'.  Define to be str[r]chr.
        (getenv, atof): don't declare if we have <stdlib.h>.
        * */*.c: change uses of [r]index to str[r]chr.

        * {mf,tex}/c{mf,tex}big.ch: don't include "mfmem.h" or "texmem.h"
          after all.
        * common/texmf.h: include contents of memory_word structure.

        * common/common.h [!index]: declare `index' to be a routine
          returning a `char *'.
        * web2c/regfix.c: include common.h.
        (From wittig@gmdzi.gmd.de.)

        * common/extra.c (space_terminate): use xord, not xchr.
        * common/texmf.c (input_line): remove all space characters from
          the end of the input line, not just spaces and tabs.
        (topenin): use xord if NONASCII, and get rid of trailing
          whitespace.
        (These changes from raichle@azu.informatik.uni-stuttgart.de.

        * common/{main,texmf}.c [ATARI_ST]: define _stksize (from
          ridderbusch.pad@nixdorf.com).

        * Makefile (SITEDIR): make default be `pwd', to simplify things.
        * mf/MFwindow/Makefile (SITEDIR): lose the `..' in
          -I../$(SITEDIR).  (From S.P.Q.Rahtz@ecs.southampton.ac.uk.)

        * common/{fileio,texmf}.c [FUNNNY_CORE_DUMP}: don't do the funny
          core dump stuff if we're BibTeX (from elisabet@max.u.washington.edu).

        * {tex,mf}/small.diff: new file to replace the big patches.  Now
          big is the default.

        * bibtex/small.diff: new patch to go backwards from the big BibTeX
          to the small one.
        * README (Changing constants): document this.

        * common/extra.c (checked_fopen): return NULL at the end, even
          though we don't really return, to stop compiler warnings.  (from
          steele@ecn.purdue.edu).

        * common/extra.c (checked_fopen): before we hand the string to
          perror, make it into a C string (from
          kabal@aldebaran.insl.mcgill.ca).

        * tex/Makefile (latex.fmt): remove comment about hacked lplain
          (from kabal@aldebaran.insl.mcgill.ca).

        * web2c/Makefile (web2cy.c): Print a message about expected s/r
          conflicts.  Also use -v when invoking yacc.
        (clean): remove `y.output'.

        * Makefile (install-formats, install-bases): do `install dir1/file
          dir2/file' instead of `install dir1/file dir2', since Ultrix
          install is broken (in yet another way)  (from
          scole@doorstop.berkeley.edu).

        * man/{pktogf,pktype,vftovp,gftodvi,gftopk,gftype,tftopl}.man:
          document that we look in `.' first.

Sat Jun 29 08:14:12 1991  Karl Berry  (karl at hayley)

        * common/extra.c (cwdtestreadaccess): new routine to look in `.'
          before anything else.
        * common/extra.defines (cwdtestreadaccess): declare it for Pascal.
        * dviutil/dvicopy.ch (VF: Open |vf_file|...),
          fontutil/{pktogf.ch, pktype.ch, vftovp.ch},
          mfware/{gftodvi.ch,gftopk.ch,gftype.ch},
          texware/tftopl.ch: use it to open input files.

Fri Jun 28 16:40:10 1991  Karl Berry  (karl at hayley)

        * mf/convert: insert `volatile's to avoid MIPS C compiler bugs
          (from lgy@newton.phys.washington.edu).
        * defaults.h (volatile) [!__STDC__]: define to be the empty
          string.

        * common/texmf.c (get_date_and_time): use `time_t' instead of
          `long' for `time's return type.

        * bibtex/bibtex.ch: comment out hacks to do the setjmp/longjmp.
        * bibtex/convert: don't put in the setjmp/longjmp.

        * Makefile (CCLD): new command to do the link step (suggested by
          herber@fnalf.fnal.gov).  Change */Makefile to use it, and the
          makeargs variable to pass it down.

        * {mf,tex,mfware}/memory.h: rename this, to include conflicts with
          a system <memory.h>.  (from newton@gumby.cs.caltech.edu).
        * {mf,tex,mfware}/Makefile: rename memory.h here, too.

        * Makefile: replace all bare `if's with `-if' (from
          kmr@nada.kth.se).

        * defaults.h: (integer): move from site.h-dist.

        * common/texmf.c: always include <sys/types.h>.

        * common/texmf.c [HANDLE_INTERRUPTS]: remove this conditional,
          since we unconditionally defined it, anyway.

        * site.h-dist (schar) [ANSI]: change conditional to use __STDC__.

Sun Jun  9 12:27:01 1991  Karl Berry  (karl at hayley)

        * tex/ctex.ch: apply trie.diff; we'll always have a big
          hyphenation trie, instead of requiring the installer to patch
          it.

Wed May  8 07:31:19 1991  Karl Berry  (karl at hayley)

        * Makefile (stamp-{bases,formats}): make dependent on ini{mf,tex}.
        * {mf,tex}/Makefile ({*.base,*.fmt}): likewise.

        * mf/cmf.ch (max_strings): change default for small Metafont to
          3000: when modes.mf and plain are loaded, there is only room for
          250 user strings.
        (string_vacancies): change to 10000.

Fri May  3 06:46:05 1991  Karl Berry  (karl at hayley)

        * texware/{pl,tf}to{tf,pl}.ch, mfware/gftodvi.ch: declare verbose
          as an integer, not a boolean.

Wed May  1 17:04:03 1991  Karl Berry  (karl at hayley)

        * texware/pltotf.ch (Constants): increase some sizes some more.

Wed Apr 17 11:26:55 1991  Karl Berry  (karl at hayley)

        * man/Makefile (install): don't unconditionally do mkdir $(mandir).

Tue Apr 16 14:14:49 1991  Karl Berry  (karl at ra.cs.umb.edu)

        * Version 5.84b.

        * README.W2C: remove reference to bigbibtex.ch.

        * dviutil: new dvicopy.web and dvicopy.ch from
          xitikgun@ddathd21.bitnet.

Tue Apr  9 10:58:39 1991  Karl Berry  (karl at ra.cs.umb.edu)

        * common/texmf.c (do_undump) [REGFIX]: use a temporary so we can
          use the & operator.

        * MACHINES.W2C (Sun 4/470 and SunOS 4.1.1): from
          casterln@are.berkeley.edu.

        * Makefile (siteh): remove this.
        (stamp-common): remove dependency on it.

Tue Apr  2 16:23:02 1991  Karl Berry  (karl at ra.cs.umb.edu)

        * Version 5.84a.

        * web/tangleboot.c: bring up to date.

Tue Apr  2 13:28:35 1991  Karl Berry  (karl at churchy.gnu.ai.mit.edu)

        * common/endian.c: define the symbol `WEB2C_BIG_ENDIAN', since
          <sys/machine.h> . 
        * common/texmf.c (do_dump, do_undump): use that name.

Tue Apr  2 09:52:55 1991  Karl Berry  (karl at godwin)

        * bibtex/bibtex.ch: make `big' BibTeX the default.

        * common/extra.h (gargv): make declaration extern.

        * web2c/web2c.c (ii): remove second declaration.

        * web/tangle.ch, fontutil/vptovf.ch, mfware/gftype.ch,
          texware/pltotf.ch: change version numbers in banner.

Thu Mar 28 14:28:01 1991  Karl Berry  (karl at apple-gunkies)

        * mf/Makefile (run-trap): specify the current directory to find
          trap.tfm and trap.72270gf.

        * all Makefiles: add alloca.o to the common object files.

        * Makefile (triptrap): new dependency `stamp-common'.

        * common/Makefile (endian.h): use `./endian', not just `endian'.

Tue Mar 26 14:05:00 1991  Karl Berry  (karl at ds5000)

        * Makefile (install-formats, install-bases): don't quit if the
          mkdir fails on the installation directory.

        * tex/tex.web, fontutil/pktogf.web: new versions.
        * fontutil/pktogf.ch: change version number.

        * Makefile (web2c): define as just `web2c', and rename the
          directory.  All the scripts use that name.

Tue Mar 26 13:48:36 1991  Karl Berry  (karl at ra.cs.umb.edu)

        * common/texmf.c (time): remove this declaration, since different
          systems want a different return type.  (from bush@evax.uta.edu)

Mon Mar 25 08:25:36 1991  Karl Berry  (karl at hayley)

        * Makefile (stamp-web2c): remove all dependencies.
        * web2c: change directory name to include version number.
        (web2c): new variable to define the name of the web2c directory.

Fri Mar 22 10:40:22 1991  Karl Berry  (karl at hayley)

        * common/extra.c (setpaths): use a string version of the
          PATH_DELIMITER when concatenating paths.
        (PATH_DELIMITER_STR): new macro.

        * mf/MFwindow/x11-xt.c (mf_x11_updatescreen): remove redundant
          stuff after #endif.

        * web2c/{web2c.h,web2c.c}: remove redundant preprocessor definitions.

        * web2c/web2c.c (my_output); don't always output a space after
          every token.  [no, rescind that, some sed scripts depend on the
          existing form of output.]

        * common/extra.c (getwd): don't initialize the automatic
          structure; cc can't handle it.

        * Makefile, */Makefile: use LDFLAGS at the beginning of linking
          lines, and LOADLIBES at the end.

        * COPYING.W2C: new file necessary for getopt; refer to it in
          README.

Tue Mar 19 15:19:35 1991  Karl Berry  (karl at hayley)

        * mfware/gftopk.ch (open_pk_file): don't search backwards through
          garbage for a `/' (found by mackay@cs.washington.edu).
        * fontutil/pktogf.ch (open_gf_file): likewise.

Mon Mar 18 13:48:34 1991  Karl Berry  (karl at hayley)

        * {tex,mf}/Makefile ({tex,mf}-extra.o): remove the C file before
          creating the link.

Fri Mar 15 10:41:22 1991  Karl Berry  (karl at hayley)

        * site.h-dist (SPRINTF_RETURN_TYPE): remove this; it's caused
          about a zillion times more trouble than it's worth.

        * mfware/gftodvi.ch: change default extension to `2602gf',
          following dek's change for art.

        * tex/ctex.ch: we're now at version 3.14.
        (Also new versions of gftodvi.web and mf.web, but they don't
        require any changes to the change files.)

Sun Feb  3 11:22:13 1991  Karl Berry  (karl at hayley)

        * mfware/gftodvi.ch: only print final newline if verbose.

Sat Feb  2 09:54:14 1991  Karl Berry  (karl at hayley)

        * tex/Makefile (etex.fmt): create the aux file before running initex.

        These two changes from jmr@nada.kth.se make calling checked_fopen more
        than once with the same argument (as happens with weave patgen.web
        patgen.ch) work.
        * common/extra.c (checked_fopen): leave the arg as a Pascal string.
        * common/fileio.c (open_input): terminate the result that comes
          back from checked_fopen with a null.

        * common/texmf.h (dumpint): use do...while (0) to prevent syntax
          errors.

        * PROJECTS.W2C: remove the ones that have been implemented.

Sat Jan 19 15:44:26 1991  Karl Berry  (karl at hayley)

        * man/gftodvi.man: document the new options.

        * */Makefile (commonh): add common.h to the list.

        * common/common.h: include <math.h>.

        * mfware/gftodvi.ch: implement -overflow-label-offset.
        * common/extra.h (optiontable): another new abbreviation to help
          in arg parsing.
        * common/common.defines (strcmp, atof, optiontable): new
          declarations.

        * mfware/gftodvi.ch: changes to implement -verbose.

        * most .ch files: fix the \title.

Mon Jan 14 09:28:20 1991  Karl Berry  (karl at hayley)

        * mf/Makefile (inimf): don't depend on $(windowlib), and don't
          link with $(libs); it just wastes disk space.
        * common/texmf.c [INI]: undefine all window symbols.

        * man/dvitype.man: fix mismatched parentheses.

        * man/tftopl.man: document the new option and the path searching.

        * common/extra.c (make_c_string): replace spurious call to
          `space_terminate' with `null_terminate'.

        * texware/tftopl.ch: changes to implement -verbose; also write to
          stdout if no output file is specified; also call set_paths
          to do path searching for the TFM file.

        * texware/pltotf.ch (usage): remove; just print it inline.

Sun Jan 13 16:57:01 1991  Karl Berry  (karl at hayley)

        These changes from ken@csis.dit.csiro.au:
        * site.h: add TANDY as a possibility.
        * defaults.h (FILENAMESIZE) [TANDY]: define to be smaller.
        * common/extra.c (end_with_null, end_with_space): rename to
          `null_terminate' and `space_terminate'.
        * common/texmf.c (interrupt_handler): rename to `catch_interrupt'.
        * web/tangle.ch (web_file_name, change_file_name): rename to
          `web_name' and `chg_name'.
        * web2c/web2c.yacc (function_return_type): rename to
          `fn_return_type'.

Sun Jan  6 13:41:08 1991  Karl Berry  (karl at hayley)

        * site.h: remove HAVE_GETWD -- now we supply our own.

        * Makefile (x11lib): don't include -lXext.

        * common/main.c (argv): check if we're beyond the end of argv.

        * texware/pltotf.ch: changes for silent running unless `-verbose'
          is specified.

        * common/extra.h (address_of_int): rename to addressofint.

Fri Jan  4 15:38:40 1991  Karl Berry  (karl at hayley)

        * man/Makefile (sedscript): use _ in the patterns, so
          `TEXFONTS_SUBDIR' et al. work.  (from drl@vuse.vanderbilt.edu)

Sat Dec 29 13:52:41 1990  Karl Berry  (karl at hayley)

        * mfware/gftodvi.ch (Finish the \.{DVI}...): print a newline
          before exiting.

        * mfware/gftodvi.ch (Get ready to convert...): add only 1 inch
          before typesetting the overflow labels.

        * common/main.c (gargv): do not make static.
        * common/extra.h (gargv): declare.
        * common/extra.c (getwd, checked_{{open,ch}dir,{l,}stat): new
        routines to find the pathname of the current directory.

Wed Dec 26 09:21:56 1990  Karl Berry  (karl at hayley)

        * mfware/gftodvi.ch: put the progress report back in.

Mon Dec 17 09:35:24 1990  Karl Berry  (karl at hayley)

        * README.W2C (Online output from MF): we have two versions of the
          Suntools support now; mackay@cs.washington.edu sent one based on
          the Sunview definitions, instead of gfx_hs.

        * *.WEB2C: rename to *.W2C for compatibility with the Unix TeX
        distribution.

        * common/extra.c (getwd): new routine.
        * site.h-dist (HAVE_GETWD): remove this definition; now everybody
          has it.

        * site.h-dist (FUNNY_CORE_DUMP): new symbol to make core dumps for
          a preloaded TeX or MF by giving a strange filename.
        * common/{extra,fileio}.c: use FUNNY_CORE_DUMP, instead of BSD,
          for the condition.

Sat Dec  8 13:01:18 1990  Karl Berry  (karl at hayley)

        * {tex,mf}/Makefile ({tex,mf}-extra.o): make a link to $(extrac)
          and compile it, instead of compiling $(extrac), so that parallel
          computation work properly.

        * tex/Makefile (latex.fmt, slitex.fmt): the files are called
          `lplain' and `splain' again, instead of `lplain3' and `splain3'.

Thu Nov 29 10:54:55 1990  Karl Berry  (karl at hayley)

        * man/tex.man: don't put @TEXINPUTS@ at the beginning of a line,
          since it might start with `.' (from
          kabal@aldebaran.insl.mcgill.ca).

Tue Nov 20 10:21:43 1990  Karl Berry  (karl at hayley)

        * MACHINES: add info for ESIX on a 386, from uri@ibm.com.

Mon Nov 19 07:04:10 1990  Karl Berry  (karl at hayley)

        * texware/pltotf.ch (System-dependent changes): parse arguments
          using getopt.
        * common/common.defines (gargv, optind, getoptstruct,
          getoptlongonly, addressofint, name, hasarg, flag, val): new
          definitions.
        * common/extra.h (addressofint, hasarg, getoptlongonly): new
          definitions.

Sun Nov 18 08:22:18 1990  Karl Berry  (karl at hayley)

        * common/texmf.c (initscreen): use the MFTERM envvar, if set, to
          determine the user's desired display type.
        * man/mf.man: document this.

        * common/texmf.c (do_dump): swap the bytes in memory back again
          after dumping, since we use some of those values.

        * web2c/web2c.yacc (P_F_DEC_PART): allow this to be empty.

        * tex/ctex.ch (\input, \openin changes): allow names like
          `foo.bar.tex', and look for `foo' before `foo.tex'.

        * common/texmf.c (swap_items): new routine.
        (do_dump, do_undump): call it, instead of doing bit operations to
        pack and unpack the bytes.

        * common/endian.c: new file.
        * common/Makefile (endian.h): new target.
        (all): make endian.h.
        * tex/Makefile, mf/Makefile (extrah): add endian.h to the definition.

Tue Nov 13 07:29:45 1990  Karl Berry  (karl at hayley)

        * common/extra.c (setpaths): use PATH_DELIMITER instead of ":".

Wed Nov  7 06:44:01 1990  Karl Berry  (karl at hayley)

        * common/texmf.c (do_dump): handle dumping 8-byte and 2-byte items.
        (dump_four): new routine.

        * mf/cmf.ch (clear_terminal): define to do nothing.
        * tex/ctex.ch (clear_terminal): likewise.

Tue Nov  6 15:02:51 1990  Karl Berry  (karl at hayley)

        * common/texmf.h ((un)dumpthings): call new routines, do_(un)dump.
        * common/texmf.c (do_(un)dump): define them to always write and
          read BigEndian files.x

        * common/texmf.h (generic_(un)dump): call (un)dumpthings.

        These changes from rusty@belch.berkeley.edu:
        * web/Makefile (veryclean): remove tangle.h.

        * web2c/Makefile (clean): remove lex.yy.c.

        * Makefile (LN): new variable.
        (triptrap): pass LN down.
        * mf/Makefile, tex/Makefile: use $(LN) instead of `ln'.

        * site.h-dist (schar) [ANSI]: define to be signed char (from
          lgy@newton.phys.washington.edu).

Sun Nov  4 09:32:55 1990  Karl Berry  (karl at hayley)

        * README.WEB2C: Advertise TUG.

        * mf/Makefile (cmmf.base): input cmbase, not cm.

        * These changes suggested by chris@mimsy.umd.edu:
        * common/texmf.c (bsd_clear_terminal, bsd_wake_up_terminal):
          remove these, since the user should control the terminal.
        * common/texmf.h (same) [BSD]: remove ifdef's that used
          those routines.
        * tex/ctex.ch (clear_terminal): define to do nothing.

        * common/texmf.c: do not include <sys/fcntl.h>, since we don't
          use the fcntl system call.

Thu Nov  1 08:53:47 1990  Karl Berry  (karl at hayley)

        * bibtex/Makefile (bibtex.o): do -Dbswap=bswapp.

        * mfware/Makefile (mft.o): do -Dlink=link_array.

        * Makefile (INSTALL): use -c, for Ultrix's sake.
        * install: explicitly exit 0 if $(bindir) et al. exist  (from
          dick@sprite.stanford.edu).

Tue Oct 30 09:08:47 1990  Karl Berry  (karl at hayley)

        * tex/ctex.ch (@<Declare act...) (for \openin): try to open the
          file without the .tex extension.

        * tex/bigtrie.diff: new file (from jmr@nada.kth.se).

Thu Oct 25 08:56:19 1990  Karl Berry  (karl at hayley)

        * tex/trie.diff (trie): line got truncated at 80 characters (from
          piet@cs.ruu.nl).

Tue Oct 23 09:17:57 1990  Karl Berry  (karl at hayley)

        * common/texmf.c (input_line, calledit): break lines longer than
          80 characters.

Sat Oct 20 11:13:04 1990  Karl Berry  (karl at hayley)

        * common/texmf.c (initscreen) [!TRAP]: cosmetic changes.

        * common/extra.c (string_copy): declare in the old C style, not
          the new.

        * tex/trie.diff: update to new version.

Fri Oct 19 17:38:55 1990  Karl Berry  (karl at claude)

        * bibtex/convert: put the sed commands that change (pdstype) to
          (buftype) back.

        * bibtex/Makefile (bibtex.c): make it depend on `convert'.

        * Makefile (BibTeX): new target.

Fri Oct 12 13:03:58 1990  Karl Berry  (karl at spiff.ai.mit.edu)

        * Version 5.8a.

        * mf/fixcoerce.h: restore redefinition of tfmqqqq.

        * common/convert: set a variable to `basename $pascalfile .p`.

        * common/extra.c (do_subdir_path): assign result of expand_colon
          to dir_list, not temp.

        * web2c/fixwrites.c (main): fix output for pltotf.

Wed Oct 10 16:41:54 1990  Karl Berry  (karl at spiff.ai.mit.edu)

        * web2c/fixwrites.c [ANSI] (bare): give definition as a char.

Sun Oct  7 05:02:58 1990  Karl Berry  (karl at sprite)

        * common/extra.h (abs): cast the operands to integer, so the tests
        on quarterwords in Metafont work properly (it took three days to
        find this one...argh).

Wed Oct  3 14:17:32 1990  Karl Berry  (karl at sprite)

        * common/extra.c (S_ISDIR): define if it's not defined, instead of
        if we're not _POSIX_SOURCE.

        * web2c/fixwrites.c [ANSI] (bare): give prototype as a char.

Wed Oct  3 15:20:34 1990  Karl Berry  (karl at hal)

        * tex/Makefile (clean): remove .fmt and .aux files here.
        * mf/Makefile (clean): remove .base files here.

        * web/Makefile (tangle.p): add an extra sh -c for the sake of the
        broken AIX sh; also, add $(CFLAGS) to the tangleboot compilation.

Mon Oct  1 10:14:51 1990  Karl Berry  (karl at aten)

        * web2c/fixwrites.c: don't extern strcpy et al.

        * mfware/gftopk.ch: fix bobble in banner.

Wed Sep 26 05:56:36 1990  Karl Berry  (karl at hayley)

        * common/extra.c (S_ISDIR) [!_POSIX_SOURCE]: define S_ISDIR correctly.

        * common/extra.c (expand_colon): new routine.
        (do_path, do_subdir_path): call it.

Tue Sep 25 07:24:58 1990  Karl Berry  (karl at hayley)

        * common/extra.c (do_path): don't copy from temp if it's null.

        * Makefile (install, install-formats, install-formats): do test -d
        before running mkdir.

        * Makefile (web-dist, web2c-dist): use the name src-$(version) for
        the top-level directory.

        * tex/Makefile (run-trip), mf/Makefile (run-trap): throw away the
        output from the first run.

        * web2c/{web2c,splitup}.c: declare argc as an int.

        * new versions of the web files from DEK, and hence new versions
        of the change files.

Sun Sep 23 06:24:01 1990  Karl Berry  (karl at hayley)

        * bibtex/Makefile (bibtex); put LDFLAGS at the end.
        * mfware/Makefile (gftodvi): missing ).

Sat Sep 22 07:38:02 1990  Karl Berry  (karl at hayley)

        * common/extra.c (do_path): don't replace extra :'s in the middle
        of the paths.
        (insert_string): delete.

        * site.h (TEXFONTS_SUBDIR, ...): new symbols.
        * common/extra.c (setpaths): use them.
        (do_subdir_path): new routine.
        (do_path): remove subdirectory stuff.

        * common/fileio.c (open_output): test *f, not f, to see if the
        open succeeded.

        * common/texmf.c [HANDLE_INTERRUPTS]: include <sys/types.h>, if
        POSIX.

        * web2c/fixwrites.c: use FILENAMESIZE to define `filename'.

        * web/Makefile (tangle.p): missing a $.

        * common/extra.c (S_ISDIR): new macro.
        (is_dir): use it.

        * common/common.h: new file.
        * web2c/web2c.h: include it.
        * common/extra.h: include it.
        * web2c/fixwrites.c: include it.

        * web2c/Makefile (web2cl.c): prepend site.h before the lex output,
        so flex.skel will have the preprocessor symbols defined.

        * web2c/Makefile (fixwrites, splitup, regfix): use LDFLAGS in
        addition to CFLAGS.

        * Makefile (stamp-web2c): make this depend on the web2c
        executables, as well as the sources.

        * site.h: another possibility for the OS is POSIX.
        * web2c/web2c.h [ANSI]: don't declare sprintf if ANSI or
        _POSIX_SOURCE is defined.
        [FLEX]: change conditional symbol to FLEX_SCANNER.
        * web2c/Makefile (web2c): include LEXLIB, not -ll.
        * web2c/splitup.c: include web2c.h, instead of redefining TRUE,
        FALSE, sprintf, and the like.

        * common/extra.c (setpaths): use the symbol VFFONTS to initialize
        the envvar if it is defined.
        site.h: put in a prototype definition for VFFONTS.

Tue Sep 18 16:45:04 1990  Karl Berry  (karl at hayley)

        * Makefile (web-dist): make the directory of the tar file be
        web2c-<version>, not just `web2c'.

        * common/fileio.c (open_output): try to open the file in the dir
        specified by TEXMFOUTPUT, if opening it in the cwd fails
        (suggested by lgy@newton.phys.washington.edu).
        * man/{tex,mf,bibtex}.man: document this.

Sun Sep 16 07:50:08 1990  Karl Berry  (karl at hayley)

        * README, PROBLEMS, PROJECTS: rename with .WEB2C suffix, to be
        closer to what's on the Unix TeX tape.

Thu Sep 13 07:09:18 1990  Karl Berry  (karl at hayley)

        * Makefile (install-manpages): pass SITEDIR in.
        * man/Makefile (sedscript): remove dependency on
        $(SITEDIR)/Makefile.  (These changes from alien@essex.ac.uk.)

        * tex/bigtex.diff, mf/bigmf.diff: don't increase max_quarterword,
        thus perhaps saving some memory (from morgan@ics.uci.edu).

Tue Sep 11 06:42:43 1990  Karl Berry  (karl at hayley)

        * common/extra.c: don't give getcwd a prototype unless ANSI is
        defined (from maj@computer-lab.cambridge.ac.uk). 

Thu Sep  6 05:56:20 1990  Karl Berry  (karl at hayley)

        * Makefile (x11lib), mf/Makefile (x11lib): include Xext.

Tue Sep  4 09:45:54 1990  Karl Berry  (karl at hayley)

        * Makefile (install*): use $(proginstall) or $(fileinstall), as
        appropriate.
        (fileinstall, proginstall): new variables.

Sun Sep  2 15:51:35 1990  Karl Berry  (karl at hayley)

        * site.h-dist (HAVE_GETWD): new option for people who are
        fortunate enough to have this.
        * common/extra.c (getcwd) [HAVE_GETWD]: define this in terms of
        getwd (from morgan@ics.uci.edu).

Fri Aug 31 15:17:19 1990  Karl Berry  (karl at hayley)

        * These changes from andy@csvax.cs.caltech.edu.

        * mf/MFwindow/tek.c [SYSV]: define bzero and bcmp as memset and
        memcmp.

        * common/extra.c: always include <sys/types.h> and <sys/stat.h>,
        since is_dir needs them.

        * */Makefile (link commands): put $(LDFLAGS) at the end of the
        command, instead of the beginning.

        * web/Makefile (tangle.p): use an already-compiled tangle if
        possible, and include LDFLAGS instead of CFLAGS when making tangle
        from tangleboot.c.

        * site.h-dist (ANSI): say they must have sprintf declared if they
        defined this.

Thu Aug 30 15:58:05 1990  Karl Berry  (karl at hayley)

        * These changes from andy@csvax.cs.caltech.edu.

        * dviutil/dvicopy.ch: don't define cur_name to use text_char.

        * web2c/fixwrites.c: declare bare to take an int, not a char, and
        define it to return an int.

        * common/extra.h, web2c/web2c.h, web2c/splitup: only declare
        sprintf if ANSI is not defined, since a prototype with `...'
        doesn't match a function without a prototype.

Sun Aug 26 10:45:48 1990  Karl Berry  (karl at aten)

        * Version 5.0e.

        * Makefile (install-manpages): quote $(INSTALL).
        * man/Makefile (all, install): make dependent on stamp-manpages, so
        sed isn't invoked every time.
        (clean): remove stamp-manpages.

        * MACHINES: add info for the HP9000 machines from
        mark@comp.vuw.ac.nz.

Sat Aug 25 12:00:50 1990  Karl Berry  (karl at hayley)

        * Makefile (alldirs): add `dviutil'.
        (install): install dvicopy.

        * common/extra.c (do_path): add a null after the path delimiter.

        * dviutil/dvicopy.ch: restore lines truncated in transmission.
        * dviutil/Makefile: prepend `.' to suffix lines.

Thu Aug 23 06:44:28 1990  Karl Berry  (karl at claude)

        * {tex,mf}/Makefile (triptex, trapmf): make dependent on $(iobjs)
        and $(commono). 

        * common/extra.c (do_path): don't take strlen of an integer.

        * web2c/Makefile (veryclean): remove yacc.*.

Wed Aug 22 06:16:03 1990  Karl Berry  (karl at hayley)

        * Makefile (FORMATINSTALL): new variable; defines installation
        commands for .fmt's and .base's.

        * common/extra.c (do_path): use PATH_DELIMITER instead of ':'.

        * {tex,mf}/Makefile: use tex.fmt and mf.base when making other
        formats or bases.

        * Makefile (YACC, LEX): new variables.
        (stamp-web2c): pass them down when compiling web2c.

        * common/extra.c (do_path): do chdirs to the directories in the
        path.

        * common/extra.{c,h} (ztoint) [sequent]: remove this, since
        the Sequent compiler doesn't have the casting problem any more.

Thu Aug 16 15:24:02 1990  Karl Berry  (karl at apollo)

        * common/extra.c (do_path): don't look for subdirectories if we
        used the default value (sometimes).

        * common/extra.c (do_path): only look for subdirectories
        conditionally.
        (setpaths): don't look for subdirectories in all paths.

        * common/extra.c (do_path): don't clobber the path as we check for
        subdirectories.

        * tex/Makefile (run-trip), mf/Makefile (run-trap): remove
        trip.tex/trap.mf before linking

Wed Aug 15 08:45:28 1990  Karl Berry  (karl at hayley)

        * web/tangleboot.{pas,c}: update these.

        * Makefile (install-formats, install-bases, install): move the
        commands for the first two from the third.

        * mfware/mft.ch (open_input): use MF_INPUT_PATH to open the .mf
        file.
        * man/mft.man: document this.

        * site.h (MAXPATHLEN): remove this; we allocate the storage
        dynamically now.
        * man/{tex,mf}.man: don't refer to MAXPATHLEN.
        * common/extra.c (xmalloc, xrealloc): new routines.

        * common/extra.c (do_path): find all the subdirectories here, and
        add them to the path.
        (testreadaccess): remove the subdirectory checking here.

        * tex/ctex.ch (\S552): initialize bchar_label[null_font], et al.,
        to avoid arbitrary font_info data as being interpreted as lig/kern
        programs (from Chris Thompson).

        * common/extra.c (setpaths): take an argument saying which paths
        to initialize.
        * common/common.defines (setpaths): declare to be a procedure with
        parameters.
        * common/extra.h (...PATHBIT): new macros to define that argument.
        * common/common.defines (...PATHBIT): make them available to the
        change files.
        * bibtex/bibtex.ch (get_the_top_level_aux_file_name),
        fontutil/pktogf.ch (PK_to_GF), pktype.ch (PKtype), vftovp.ch
        (VFtoVP), mfware/gftodvi.ch (GFtoDVI), gftopk.ch (initialize),
        gftype.ch (initialize), mft.ch (scan_args), texware/dvitype.ch
        (DVItype), dviutil/dvicopy.ch (DVIcopy), mf/cmf.ch, tex/ctex.ch:
        change call to set_paths.

        * common/{extra.c, extra.h, common.defines): define another
        path-searching constant, VFFILEPATH, which uses the environment
        variable VFFONTS.
        * dviutil: new subdirectory to hold dvicopy, whose change file
        uses VFFILEPATH (from xitikgun@ddathd21.bitnet).
        * fontutil/vftovp.ch: use VFFILEPATH.
        * man/vftovp.man: document this.

        * common/{extra,fileio}.c (terminate_with_space,
        terminate_with_null): rename to `end_with_space' and
        `end_with_null', so brain-dead linkers that only look at the first
        16 characters don't break.

Tue Aug 14 11:32:35 1990  Karl Berry  (karl at aten)

        * common/extra.c (do_path): allocate an extra byte for the
        trailing null.

Mon Aug 13 14:45:06 1990  Karl Berry  (karl at aten)

        * Makefile (fmts): add picplus.
        * tex/Makefile (fmts): likewise.

        * man/Makefile (manfiles): remove trailing \ from last item in list.

        * {bibtex,mf,tex}/Makefile: remove form feeds.

Sun Aug 12 10:23:12 1990  Karl Berry  (karl at hayley)

        * web/tangle.ch (scan_args): if a `.' occurs before a `/' in a
        filename, don't count it as starting the extension.
        * web/weave.ch (scan_args): likewise.
        Probably other programs need to be fixed in the same way.

        * common/convert: pass the name of file being converted to
        fixwrites.
        * web2c/fixwrites.c: convert vptovf error messages properly.
        (These changes from rokicki@neon.stanford.edu.)

Fri Aug 10 09:02:31 1990  Karl Berry  (karl at hayley)

        * mf/cmf.ch: fix another casting problem (from
        xitikgun@ddathd21.bitnet).

Wed Aug  8 06:43:28 1990  Karl Berry  (karl at hayley)

        * common/extra.c (DO_PATH): replace this macro with a routine, and
        expand extra `:'s into the system default.
        (insert_string): new routine.
        * site.h: warn them not to put extra `:'s in the system default.
        * man/{almost everything}: document this.

        * mfware/gftodvi.ch, fontutil/vftovp.ch: break up huge case
        statement (from maj@computer-lab.cambridge.ac.uk).
        * PROBLEMS: remove old fix for the huge case statements.

Tue Aug  7 07:19:32 1990  Karl Berry  (karl at hayley)

        * mf/Makefile (run-trap): run `./trapmf', not just `trapmf'.
        * tex/Makefile (run-trip): analogously.
        * Makefile (web2c-dist): rename site.h to site.h-dist.
        (These changes from dorab@twinsun.com.)

Fri Aug  3 15:55:53 1990  Karl Berry  (karl at hayley)

        * Makefile (install): add links for plain.fmt and plain.base.

        * PROBLEMS: add patches for the 3b2 for the old TeX (from
        oc@vmp.com).

Tue Jul 31 11:43:38 1990  Karl Berry  (karl at hayley)

        * mf/Makefile: add missing quote (from dick@sprite.stanford.edu).

Fri Jul 13 06:48:15 1990  Karl Berry  (karl at hayley)

        * Makefile: remove ^L's.

Sun Jul  8 06:44:06 1990  Karl Berry  (karl at hayley)

        * common/extra.c (fprint_pascal_string): new routine.
        (printpascalstring): call it.
        (errprintpascalstring): new routine.
        * common/common.defines: declare errprintpascalstring.
        * texware/dvitype.ch: use it when printing the TFM file name.

        * common/extra.c (READABLE_FILE): new macro.
        (testreadaccess): use it, instead of using access(2) directly.

        * tex/trie.h: delete.
        * tex/trie.diff: new file with diffs for a larger trie size (from
        xitikgun@ddathd21.bitnet).
        * common/texmf.defines: remove trie definitions.

        * bibtex/bibtex32.diff: new file with diffs for a big BibTeX (from
        beebe@science.utah.edu).

        * mf/trapenv: define GFFONTS.

Mon Jun 18 08:37:41 1990  Karl Berry  (karl at hayley)

        * site.h (schar) [AIX]: define to be INT.
        * web2c/web2c.yacc (SIMPLE_TYPE): output UNSIGNED_SHORT_STRING
        instead of "unsigned short", and define the former to be "int" for
        AIX.

Thu May 31 14:14:18 1990  Karl Berry  (karl at aten)

        * common/fileio.c (open_input): don't call funny_core_dump if
        we're bibtex.

        * common/extra.c (is_dir): don't declare as static.

        * web2c/{fixwrites,regfix}.c (remove_newline): don't use
        ANSI-style declarations.

        * mf/MFwindow/x11-Xt.c: declare functions as static, if they're
        defined that way.

        * mf/MFwindow/x10.c (sprintf): don't declare it.

        * common/texmf.c (funny_core_dump): don't define as static.

        * web/tangle.ch: incorporate changes to only open the pool file if
        it's actually used (from xitigkun@ddathd21.bitnet).

Wed May 30 07:10:10 1990  Karl Berry  (karl at hayley)

        * common/extra.c (testreadaccess): initialize ok to zero, improve
        the loop logic.

Sun May 27 10:21:22 1990  Karl Berry  (karl at hayley)

        * common/extra.h, web2c/splitup.c, web2c/web2c.h: declare sprintf
        using SPRINTF_RETURN_TYPE.
        * site.h: define it.

Sat May 26 07:55:54 1990  Karl Berry  (karl at hayley)

        * common/texmf.c (input_line): do not worry about NONASCII or
        characters going out of range when we fill up `buffer'.

        * web2c/{fixwrites,regfix}.c: replace calls to gets(3) with calls
        to fgets(3).

        * tex/trie.h: new file to help implement larger hyphenation tries.
        * common/common.defines (trl, trc, tro, trb, trieentry): new
        fields and a type, for the same reason.
        (from xitikgun@ddathd21.bitnet, but the diff to ctex.ch has not
        been created yet).

        * common/texmf.c, mf/MFwindow/uniterm.c: merge Uniterm support
        from T. Hageman.

Tue May 22 09:56:01 1990  Karl Berry  (karl at hayley)

        * common/extra.c (testreadaccess): close the directories in the
        path after we search them for subdirectories.

        * tex/tex-extra.c (main): set up TEXformatdefault with the format
        from the program name, instead of the first line of input (from
        ramshaw@src.dec.com).

Sun May 20 12:03:12 1990  Karl Berry  (karl at hayley)

        * web/tangle.ch (<Get |web_file_name|...>): make sure the web name
        ends with a space.  Ditto for the change file.

Thu May 17 10:43:00 1990  Karl Berry  (karl at hayley)

        * web2c/web2c.c (initialize): check the result of the fopen (from
        lonhyn@gulag.nas.nasa.gov).

Mon May 14 07:16:47 1990  Karl Berry  (karl at hayley)

	* texware/dvitype.ch: use testreadaccess and other common
        routines; output to stdout.
        * web/{tangle,weave}.ch: use common routines.
        
	* fontutil/{extra.?, futil.defines, convert}: move to new
        subdirectory `common'.

	* tex/Makefile (run-trip): set the environment before running
        triptex.
        tripenv: new file.
        * mf/Makefile, mf/trapenv: analogously.

Sun May 13 10:09:02 1990  Karl Berry  (karl at hayley)

	* web2c/web2c.c (main): only print the number of symbols if
        `debug' is set.

	* texware/texware.h (unsignedcharargv): new macro for dvitype.

	* {texware/texware.h, mfware/mfware.h} (reset, rewrite): cast the
        filename argument to char *.

	* web2c/web2c.yacc (do_proc_args): add an & if we're generating
        ANSI code, and have a var parameter (from andy@csvax.caltech.edu).

	* defaults.h [High C on an IBM]: add pragma's (from bells@ibm.com).

	* tex/ctex.ch (a_open_in): try to open the input file without
        .tex, if opening with .tex fails (from Tom Hageman via
        vens@hgrrug5.bitnet).

	* {mf,tex}/extra.c (calledit) [NONASCII]: use xchr (from Tom
        Hageman via vens@hgrrug5.bitnet).

	* Makefile (run-triptrap): split up into two targets, run-trip and
        run-trap.

	* tex/Makefile (fmts): new target.
        (tex.fmt, et al.): run initex to make these.
        * mf/Makefile (bases): new target.
        (mf.base, cmmf.base): run inimf to make these.
        (From beebe@science.utah.edu.)

	* Makefile (manpages, install-manpages): new targets.
        man: new directory with the man pages
        (from ken@cs.rochester.edu).

	* mfware/gftodvi.ch (open_gf_file): don't bother defining
	packed_font_file_path, since we don't use it.
        * mfware/gftype.ch (open_gf_file): ditto.

Sun May  6 08:24:27 1990  Karl Berry  (karl at hayley)

	(All the following from andy@csvax.caltech.edu)
	* web2c/web2c.lex (input, unput): declare if they're not #defined.

	* web/weavext.c (strcpy, strcat): add `const'.

	* mfware/mfwarext.c (sprintf): declare differently for SYSV and ANSI.
        tex/extra.c, mf/extra.c, web/tanglext.c, texware/texwarext.c: ditto.

	* mfware/mfware.h (openf) [ANSI]: declare it.

	* fontutil/extra.c (testreadaccess): handle absolute path names
	correctly.

        * web/Makefile (tangle.p): do `./tangle' instead of `tangle',
	since not everyone has . in their path (from
	beebe@science.utah.edu).

Sat May  5 12:17:32 1990  Karl Berry  (karl at hayley)

	* texware/{pltotf,tftopl}.ch (main): don't print a newline at the
	end.

	* web2c/web2c.yacc (FUNCTION_HEAD): only print the function name
	if debug is true.

	* mfware/gftopk.ch (comment): increase array size by one, to leave
	room for the trailing null.

	* mfware/Makefile (CFLAGS): remove -Dlink=link_array.

Fri May  4 21:51:16 1990  Karl Berry  (karl at hayley)

	* mfware/gftodvi.ch (open_tfm_file): use tex_font_file_path, not
	generic_font_file_path (from morgan@ics.uci.edu).

Fri Apr 27 07:22:50 1990  Karl Berry  (karl at hayley)

	* Makefile (install): make work with install, not just cp (from
	grunwald@foobar.colorado.edu).

	* tex/ctex.ch: define hash_size and hash_prime, so that LaTeX
	works with the small TeX.

	* web2c/web2c.c [HP]: yytext is an unsigned char (from
	pfs@kc.abdn.ac.uk).

	* mf/extra.c (calledit): remove the xor with 0x80.

	* site.h: warn about bibtex and -DANSI not mixing.

Wed Apr 18 11:44:49 1990  Karl Berry  (karl at aten)

	* Version 5.0c. (5.0b was released by Tim.)

	* web/Makefile: (.ch.p): invoke ./tangle instead of `tangle'.

	* site.h: change default glueratio to `float'.

	* web/Makefile (tangle.p): put the ``until...done'' in an sh -c,
	for the sake of Ultrix (from maj@computer-lab.cambridge.ac.uk).

	* PROBLEMS: add patch for yacc problem (from justin@crim.ca).

Mon Apr 16 08:03:52 1990  Karl Berry  (karl at hayley)

	* site.h: do not unconditionally (un)define the symbols.

Thu Apr 12 21:33:41 1990  Karl Berry  (karl at hayley)

	* tex/extra.c (calledit): do not xor with 0x80 (from
	ekrell@ulysses.att.com).

Fri Apr  6 20:40:20 1990  Karl Berry  (karl at hayley)

	* {tex,mf}/extra.c (zinputln): have to test against 255, not 127.

	* web/Makefile: touch tangle.h (from colin@umist.ac.uk).

Wed Apr  4 16:10:03 1990  Karl Berry  (karl at aten)

	* PROBLEMS: cc and gftodvi/vftovp don't mix.

Thu Mar 29 07:50:15 1990  Karl Berry  (karl at mole.ai.mit.edu)

	* Version 5.0a (with ken's changes to the change files).

Tue Mar 27 08:01:20 1990  Karl Berry  (karl at hayley)

	* web2c/web2c.yacc (FUNCTION_HEAD): check for debug before
	printing out the function name.

	* texware/Makefile (pltotf): don't put this on two lines.

Fri Mar 23 18:46:49 1990  Karl Berry  (karl at aten)

	* Version 4.893c.

	* web2c/Makefile: do test ... instead of [ ... ].
        mf/MFwindow/Makefile: use $(SHELL) instead of /bin/sh.

Thu Mar 22 18:20:38 1990  Karl Berry  (karl at aten)

	* texware/dvitypext.c: declare packrealnameoffile to be void, even
	if ANSI is not defined, else Ultrix loses.

Fri Mar  9 08:38:56 1990  Karl Berry  (karl at hayley)

	* defaults.h, site.h: move ANSI from the former back to the
        latter, since some systems want it.

	* bibtex/bibtex.ch (int_to_ASCII): use `the_int' instead of `int'
        as the first parameter name; some cc's bomb with `int'.
        (from rusty@garnet.berkeley.edu)

	* texware/dvitypext.c (packrealnameoffile): return type is void.

	* */Makefile (veryclean): remove backup files, core files.
        */Makefile: use $(SHELL) ./<script> instead of ./<script>.
        web/Makefile: define SHELL.
        (mackay@cs.washington.edu supplied these changes.)

Fri Mar  2 17:27:22 1990  Karl Berry  (karl at hayley)

	* texware/dvitype.ch: make input be 8 bits, like the rest of the
	programs.

Sun Feb 25 20:36:19 1990  Karl Berry  (karl at hayley)

	* {mf,tex}/ini_to_tr[ai]p: save the .h file we're editing.

Thu Feb 22 21:06:49 1990  Karl Berry  (karl at hayley)

	* */Makefile: change $(RM) to rm.

	* texware/texware.h: do not cast the result of getc to char, for
	the sake of Ultrix.

Sat Feb 17 07:36:50 1990  Karl Berry  (karl at hayley)

	* README: Make the instructions for bootstrapping tangle correct.

	* Makefile (dist): tangleboot.pas is in web, not web2c.

	* {mfware,texware,web,web2c}/Makefile: remove $(CFLAGS) from the
	load lines.

	* bibtex/bibext.c: move conditional on BSD to after #include
	"site.h" (from bsuggs@hac.arpa.com).

	* web2c/Makefile (web2cy.c): do `-if', since one of the commands
	exits with bad status under Ultrix.

bibtex:
Mon Feb 21 14:49:52 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: srcdir changes from simon.

Wed Feb  2 11:00:09 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.1.

Mon Jan 24 07:33:17 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.0.

Sun Nov  7 14:26:23 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: Remove call to sync.

Fri Nov  5 15:50:55 1993  Karl Berry  (karl@cs.umb.edu)

	* bibtex.ch (option_index): Declare as int.

Tue Oct 12 14:07:15 1993  Karl Berry  (karl@cs.umb.edu)

	* bibtex.ch (verbose): Declare as int.

Sun Oct  3 12:41:46 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (cbibtex.ch): Don't chmod 444.
	(commonh): paths.h is in kpathsea.
	(commono): kpathsea.a has its own variable now.
	(*clean): Include standard targets.
        (program): New variable.

Sun May 23 06:17:53 1993  Karl Berry  (karl@cs.umb.edu)

	* bibtex.ch (max_bib_files): Increase to 1000.

Sun May  9 10:10:01 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Remove $(srcdir) for paths.h.
	(commono): Add kpathsea library.

Fri Apr 30 15:07:24 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Add paths.h.

Sat Apr 10 16:41:18 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: Don't sync unless /bin/sync exists.

Fri Apr  9 16:07:24 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Define as config.h.

Thu Mar 25 16:59:08 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (openinout.c): Remove the file before making the link.

Sat Mar 13 11:44:46 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

	* convert: Use cpascal.h instead of pascal.h.

Sun Feb 21 08:27:23 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.851d.

Fri Feb 19 13:21:01 1993  Karl Berry  (karl@cs.umb.edu)

	* small.sed (max_ent_strs): Restore to 3000.

Tue Feb 16 17:53:06 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-exec, install-data): New targets.

Mon Feb 15 12:06:14 1993  Karl Berry  (karl@cs.umb.edu)

	* bibtex.ch (27): Allow any character as input.

Tue Jan 26 17:09:10 1993  Karl Berry  (karl@cs.umb.edu)

	* bibtex.ch (banner): Use version_string.

Sun Jan  3 13:28:45 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (distclean): Remove Makefile.

Thu Dec 17 07:36:44 1992  Karl Berry  (karl@cs.umb.edu)

	* bibtex.ch (198): @d int == `the_int', instead of doing the
	substitution ourselves.

	* bibtex.ch: Move command-line processing to the existing section
	that handles it.

	* Makefile.in (libs): $(fileio) => $(fileioo).

Wed Dec 16 18:03:32 1992  Karl Berry  (karl@cs.umb.edu)

	* bibtex.ch: Put in option parsing; make min_crossrefs a variable,
	instead of a constant.

Sun Dec 13 14:24:35 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (c-sources): New target.

Sat Dec 12 14:07:37 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Rewrite from Makefile.

	* small.sed: New file to replace small.diff.

Mon Nov 16 08:09:07 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile (cbibtex.ch): New target.  (Copy from bibtex.ch.)

	* bibtex.ch (lex_class): Make RET be white_space.

Sun Nov  1 16:20:05 1992  Kathy Hargreaves  (letters@red.cs.umb.edu)

	* bibtex.ch (max_bib_files): increase to 100.

Thu Sep 24 11:04:03 1992  Karl Berry  (karl@cs.umb.edu)

        * Makefile (openinout.c): avoid use of $<.

Fri Sep  4 08:58:58 1992  Karl Berry  (karl@hayley)

        * Makefile (extraclean): new target.
        (distclean): don't remove backup files etc. here.

Wed Aug 19 08:39:55 1992  Karl Berry  (karl@hayley)

        * Makefile (openinout.c): new target.
        (clean): remove it.

Wed Aug 12 16:16:28 1992  Karl Berry  (karl@hayley)

        * Makefile (fileioo): use the default compilation rule.

Wed Jul 15 11:52:40 1992  Karl Berry  (karl@hayley)

        * bibtex.ch, small.diff: don't change the value of min_crossrefs.

Sun Jul  5 07:23:23 1992  Karl Berry  (karl@hayley)

        * convert (sed): change `/bin/sed' to `sed'.

        * bibtex.ch: avoid lines >= 80 chars.

Fri Jul  3 11:59:50 1992  Karl Berry  (karl@hayley)

        * Makefile (bibtex.p): depend on cbibtex.ch, not bibtex.ch.

Thu Jul  2 16:04:37 1992  Karl Berry  (karl@hayley)

        * Makefile (CPPFLAGS): new variable
        (.c.o): use it.
        (cflags): change to CFLAGS.

Thu May 14 19:21:10 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Sat Apr 25 09:18:17 1992  Karl Berry  (karl@hayley)

        * convert: sync after the pipe.

        * Makefile (libs): new var to abbreviate `../libs.a $(LIBS)'.
        (bibtex): use it.

        * Makefile (distclean): new target.

Thu Apr 23 12:07:32 1992  Karl Berry  (karl@hayley)

        * Makefile: fix clean targets (from Andreas).

Thu Apr 16 13:49:36 1992  Karl Berry  (karl@ra.cs.umb.edu)

        * Version 5.851b.

Sun Apr 12 11:46:24 1992  Karl Berry  (karl@hayley)

        * bibtex.ch: use BSTINPUTS to look for the BST file instead of
          TEXINPUTS.

Sat Apr 11 10:31:57 1992  Karl Berry  (karl@hayley)

        * bibtex.ch (388): remove mutually exclusive test, instead of
          fixing it.

Fri Apr 10 17:26:30 1992  Karl Berry  (karl@hayley)

        * small.diff: remake this so it works properly.

        * Makefile (mostlyclean): remove cbibtex.ch.
        (.ch.p): tangle with cbibtex.ch.

Fri Apr  3 09:53:25 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Mon Mar 30 11:20:11 1992  Karl Berry  (karl at hayley)

        * bibtex.ch (388): fix mutually exclusive tests.

Fri Mar 20 16:14:05 1992  Karl Berry  (karl at hayley)

        * Makefile (mostlyclean): new name for `clean'.
        (clean): what `realclean' used to be.
        (realclean): nothing to do anymore.
        (install): install the program.

Fri Jan 24 09:08:31 1992  Karl Berry  (karl at hayley)

        * Makefile (cflags): don't include -I../config.

        * bibtex.ch (max_ent_strs): reduce to 10000, as the previous value
          allocated 2.5MB (even this allocates 1MB).

Sun Jan 12 09:16:54 1992  Karl Berry  (karl at hayley)

        * Makefile (bibtex.o): remove -Dbswap=bswapp.  Why did I do this?

        * Makefile (fileioh): no longer exists.

        * convert (../common): now ../lib.

Sat Jan 11 16:53:05 1992  Karl Berry  (karl at hayley)

        * bibtex.ch (FILENAMESIZE): rename to `PATH_MAX'.

        * Makefile: redo for new configuration.

Tue Jan  7 16:09:55 1992  Karl Berry  (karl at hayley)

        * bibtex.ch (10/main program): exit with bad status if history >
          warning_message.
Mon Feb 21 14:50:08 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: srcdir changes from simon.

Thu Feb 10 10:00:49 1994  Karl Berry  (karl@cs.umb.edu)

        * dvicopy.ch: Don't print fontname twice when it can't be opened.
        Increase table sizes.

dviutil:
Wed Feb  2 11:00:09 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.1.

Mon Jan 24 07:33:33 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.0.

Tue Oct 12 13:35:28 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Simplify kpathsea references.

Sun Oct  3 12:56:06 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): paths.h is in kpathsea.
	(commono): kpathsea.a has its own variable now.
	(*clean): Include standard targets.
	(program): New variable.
	(install): Use it.

Fri May 21 14:08:08 1993  Karl Berry  (karl@cs.umb.edu)

	* dvitype.ch (open_{dvi,tfm}_file): Don't declare unused variable i.

Sun May  9 10:10:48 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Remove $(srcdir) for paths.h.
	(commono): Add kpathsea library.

Fri Apr 30 15:07:41 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Add paths.h.

Fri Apr  9 16:07:39 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Define as config.h.

Sat Mar 13 12:10:31 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

Sun Feb 21 08:27:57 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.851d.

Tue Feb 16 17:53:43 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-exec, install-data): New targets.

Tue Jan 26 16:38:05 1993  Karl Berry  (karl@cs.umb.edu)

	* *.ch (banner): Use version_string.

	* Makefile.in: Merge dvitype from texware.
        
Sun Jan  3 13:29:30 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (distclean): Remove Makefile.

Sun Dec 13 14:25:12 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (c-sources): New target.

Sat Dec 12 14:52:23 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Rewrite from Makefile.

Fri Sep  4 09:00:58 1992  Karl Berry  (karl@hayley)

        * Makefile (extraclean): new target.
        (distclean): don't remove backup files etc. here.

Thu Jul  2 16:06:12 1992  Karl Berry  (karl@hayley)

        * Makefile (CPPFLAGS): new variable
        (.c.o): use it.
        (cflags): change to CFLAGS.

Thu May 14 19:21:26 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Thu Apr 16 13:49:36 1992  Karl Berry  (karl@ra.cs.umb.edu)

        * Version 5.851b.

Fri Apr  3 09:54:34 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Fri Mar 20 16:21:18 1992  Karl Berry  (karl at hayley)

        * Makefile (mostlyclean): new name for `clean'.
        (clean): what `realclean' used to be.
        (realclean): nothing to do anymore.
        (install): install the program.

Fri Jan 24 09:21:22 1992  Karl Berry  (karl at hayley)

        * Makefile (cflags): don't include -I../config.

Sun Jan 12 08:49:00 1992  Karl Berry  (karl at hayley)

        * dvicopy.ch: `cwd_test_read_access' is gone.

Following is the ChangeLog from texware, before I merged the contents
of that directory with the others.  (26 January 1993)

Sat Jan 23 10:23:08 1993  Karl Berry  (karl@cs.umb.edu)

	* tftopl.ch: Output error messages to stderr.

Sun Jan  3 13:33:35 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (distclean): Remove Makefile.

Fri Dec 18 13:16:08 1992  Karl Berry  (karl@cs.umb.edu)

	* tftopl.c (Set init...): Extend `tfm_name' with ".tfm" if necessary.

Sun Dec 13 14:28:24 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (c-sources): New target.

Sat Dec 12 15:23:14 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Rewrite from Makefile.

Fri Sep  4 09:04:31 1992  Karl Berry  (karl@hayley)

        * Makefile (extraclean): new target.
        (distclean): don't remove backup files etc. here.

Wed Aug 19 08:27:16 1992  Karl Berry  (karl@hayley)

        * Makefile (tftopl.o): use default compilation rule.

        * pltotf.ch: rename `index' to `index_var'.

Wed Aug 12 16:34:13 1992  Karl Berry  (karl@hayley)

        * Makefile (pltotf.o): use default compilation rule.

Thu Jul  2 16:09:37 1992  Karl Berry  (karl@hayley)

        * Makefile (CPPFLAGS): new variable
        (.c.o): use it.
        (cflags): change to CFLAGS.

Thu Jun  4 08:18:28 1992  Karl Berry  (karl@hayley)

        * {tftopl,pltotf}.ch: rename `class' to `class_var' because of AIX
          brain-damage.

Thu May 14 19:22:33 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Sat Apr 25 09:38:16 1992  Karl Berry  (karl@hayley)

        * Makefile (distclean): new target.

Thu Apr 16 13:49:36 1992  Karl Berry  (karl@ra.cs.umb.edu)

        * Version 5.851b.

Fri Apr  3 09:56:04 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Sat Mar 21 11:40:36 1992  Karl Berry  (karl at hayley)

        * Makefile (patgen): use patgen2.
        * patgen2.{web,ch}: new files.

Fri Mar 20 16:29:58 1992  Karl Berry  (karl at hayley)

        * Makefile (mostlyclean): new name for `clean'.
        (clean): what `realclean' used to be.
        (realclean): nothing to do anymore.
        (install): install the program.

Wed Mar 18 09:09:54 1992  Karl Berry  (karl at hayley)

        * dvitype.ch (max_widths): increase to 25000.

Sun Feb  2 07:54:09 1992  Karl Berry  (karl at hayley)

        * tftopl.ch (argument_is): change `option_table' to
          `long_options', for the new getopt.

Fri Jan 24 09:20:36 1992  Karl Berry  (karl at hayley)

        * Makefile (cflags): don't include -I../config.

Sun Jan 12 07:49:54 1992  Karl Berry  (karl at hayley)

        * tftopl.ch: `cwd_test_read_access' is gone.

        * Makefile (vftovp.o, vptovf.o): remove the -Dlink, as it is now
          in common.h.

Wed Jan  8 07:43:23 1992  Karl Berry  (karl at hayley)

        * tftopl.ch (cast_to_pointer_to_byte): the name seems to be
          `cast_to_byte_pointer'.

fontutil:
Mon Feb 21 14:30:23 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: srcdir changes from simon.

        * gftodmem.h: Move to ../lib.

Wed Feb  2 11:00:09 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.1.

Mon Jan 24 07:33:41 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.0.

Sat Nov  6 13:46:52 1993  Karl Berry  (karl@cs.umb.edu)

	* vftovp.ch (out_char): Don't offset index into xchr by 31.  From
	dak@pool.informatik.rwth-aachen.de.

	* tftopl.ch (Usage): Squeeze onto one line.

Fri Nov  5 15:49:15 1993  Karl Berry  (karl@cs.umb.edu)

	* {gftodvi,vftovp,vptovf,pltotf,tftopl}.ch (option_index): Declare
	as int.

Tue Oct 12 14:07:42 1993  Karl Berry  (karl@cs.umb.edu)

	* gftodvi.ch (verbose): Declare as int.
	* {pl,tf}to{tf,pl}.ch: Likewise.
	* {vf,vp}to{vp,vf}.ch: Likewise.

Sun Oct  3 13:00:05 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): paths.h is in kpathsea.
	(commono): kpathsea.a has its own variable now.
	(*clean): Include standard targets.
	(program): New variable.
	(install): Use it.

Fri May 21 14:09:13 1993  Karl Berry  (karl@cs.umb.edu)

	* gf{type,topk}.ch (open_gf_file): Remove unused var j.
	* pk{type,togf}.ch (open_pk_file): Likewise.

Fri May 14 14:36:50 1993  Karl Berry  (karl@cs.umb.edu)

	* tftopl.ch (index_var): Oops, that's a type, not a variable.

Sun May  9 10:10:51 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Remove $(srcdir) for paths.h.
	(commono): Add kpathsea library.

Thu May  6 16:04:32 1993  Karl Berry  (karl@cs.umb.edu)

	* pktype.ch (53): Expand out writeln statement to avoid undefined
	evaluation order problem.

Fri Apr 30 15:07:43 1993  Karl Berry  (karl@cs.umb.edu)

	* vptovf.ch, vftovp.ch, mft.ch (class): Rename to `class_var'.

	* Makefile.in (commonh): Add paths.h.

Fri Apr  9 16:07:42 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Define as config.h.

Sat Mar 13 11:24:09 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

	* pktogf.ch (37): Do addition of 2 2^31's in two assignments, to
	avoid compiler rearrangements.

Sun Feb 21 08:27:39 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.851d.

Tue Feb 16 17:53:48 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-exec, install-data): New targets.

Tue Jan 26 16:19:58 1993  Karl Berry  (karl@cs.umb.edu)

	* *.ch (banner): Use version_string.

	* Merge mfware and tftopl/pltotf.

Sun Dec 13 14:26:16 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (c-sources): New target.

Sun Jan 10 16:07:32 1993  Karl Berry  (karl@cs.umb.edu)

	* gftopk.ch (max_row): Increase to 100,000.  (From Wayne Sullivan.)

Sun Jan  3 13:32:20 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (distclean): Remove Makefile.

Sun Dec 13 14:27:45 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (c-sources): New target.

Sat Dec 12 14:59:21 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Rewrite from Makefile.

Fri Sep  4 09:01:36 1992  Karl Berry  (karl@hayley)

        * Makefile (extraclean): new target.
        (distclean): don't remove backup files etc. here.

Wed Aug 12 16:17:10 1992  Karl Berry  (karl@hayley)

        * {vf,vp}to{vp,vf}.ch (index): @d to be `index_type'.
        * Makefile ({vf,vp}to{vp,vf}.o): use default compilation rule.

        * Makefile (CPPFLAGS): new variable
        (.c.o): use it.
        (cflags): change to CFLAGS.

Sun Jun 21 09:20:35 1992  Karl Berry  (karl@io)

        * vftovp.ch: don't compare o to set_char_0, since that's always true.

Thu May 14 19:21:32 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Thu Apr 16 13:49:36 1992  Karl Berry  (karl@ra.cs.umb.edu)

        * Version 5.851b.

Fri Apr 10 15:13:27 1992  Karl Berry  (karl@hayley)

        * gftopk.ch (81--83): don't add anything to the font comment.

Fri Apr  3 09:54:48 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Thu Mar 26 07:00:04 1992  Karl Berry  (karl at hayley)

        * Makefile (clean): don't remove *.h, as gftodmem.h goes away.

Fri Mar 20 16:23:32 1992  Karl Berry  (karl at hayley)

        * Makefile (mostlyclean): new name for `clean'.
        (clean): what `realclean' used to be.
        (realclean): nothing to do anymore.
        (install): install the program.

Sun Feb  2 08:01:42 1992  Karl Berry  (karl at hayley)

        * vftovp.ch (argument_is): use `long_options', not `option_table'.

        * gftodvi.ch (argument_is): use `long_options' instead of
          `option_table'.

Fri Jan 24 09:21:12 1992  Karl Berry  (karl at hayley)

        * Makefile (cflags): don't include -I../config.

Sun Jan 12 07:49:14 1992  Karl Berry  (karl at hayley)

        * pktype.ch, pktogf.ch, vftovp.ch: `cwd_test_read_access' is gone.

        * Makefile (vftovp.o, vptovf.o): remove the -Dlink, as it is now
          in common.h.

        * gftopk.ch, gftype.ch: `cwd_test_read_access' is gone.

mf:
Mon Feb 21 13:24:21 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: srcdir changes from simon.

Wed Feb  2 11:01:01 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.1.

Tue Feb  1 18:01:19 1994  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (extrah): Include mfd.h and texmfmem.h here.
	(commonh): No texmfmem.h here.
	
Mon Jan 24 07:34:01 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.0.

Mon Jan 17 14:30:09 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (iextra.o): Depend on mfd.h.

Sat Dec 11 13:23:35 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: coerce.fix has been renamed coerce.add.

Sun Dec  5 15:22:43 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (windowlibs): Put x_extra_libs here.
	(LIBS): Not here.

Sat Dec  4 16:51:57 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (*objs): Depend on $(extrah) and $(commonh).
	(mf?.o): Depend only on mf?.c.

Thu Nov 11 11:18:06 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (x_{include,lib}_flags): Renamed from x{include,lib}dir.

Sun Nov  7 14:26:10 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: Remove call to sync.
	* Makefile.in (mfd.h): Instead, touch mfd.h after it finishes
	running, to ensure the timestamp will be later.

Tue Nov  2 16:00:16 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (objs): Add mf10.o.

Tue Oct 12 13:34:00 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Simplify kpathsea references.

Sun Oct  3 13:11:05 1993  Karl Berry  (karl@cs.umb.edu)

	* fixcoerce.h: Rename to coerce.add.
	* convert: Similarly.

	* Makefile.in (commonh): paths.h is in kpathsea.
	(commono): kpathsea.a has its own variable now.
	(*clean): Include standard targets.
	(program): New variable.
	(install): Use it.

Tue May 18 14:05:03 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): mkdirchain on install dirs.

Sun May  9 10:10:53 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Remove $(srcdir) for paths.h.
	(commono): Add kpathsea library.

Fri Apr 30 15:07:45 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Add paths.h.

Fri Apr 23 10:41:11 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: Remove volatile's for the MIPS compiler, as they no
	longer have any effect.

Fri Apr 16 08:01:53 1993  Karl Berry  (karl@cs.umb.edu)

	* mf.ch: Doc fix.

Sat Apr 10 16:42:43 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: Don't sync unless /bin/sync exists.

Fri Apr  9 16:07:46 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Define as config.h.

Thu Mar 25 16:58:34 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (openinout.c): Remove the file before making the link.

Sat Mar 13 12:10:46 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

Sun Feb 28 10:51:08 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (clean-trap): Don't install mfd.h.bak if it has the
	trap constants.

Sun Feb 21 08:28:22 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.851d.

Tue Feb 16 17:54:50 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-exec, install-data): New targets.

Sun Feb 14 11:25:51 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (iobjs, vobjs): Don't include $(objs), and depend on
	mfd.h.
        (inimf, virmf): Include $(objs.)

Fri Feb 12 07:36:49 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (clean): Remove iextra.c.
        (mostlyclean): Remove trap.mf.

Wed Jan 27 07:14:55 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (run-trap): {mf,tex}ware => {dvi,font}util.

Tue Jan 26 11:44:29 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Change `exit 0' to true.

	* Makefile.in (iextra.c, inimf.c): New targets.
        (iextra.o, initex.o): Just do the compilation.

Mon Jan 25 10:38:57 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (clean-trap): Remove trapmf and stamp-trap.

	* Makefile.in (CPPFLAGS): Don't need -I. any more.

Sun Jan 24 11:35:16 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (iextra.o): $(LN) to $(extrac), instead of compiling
	directly.

	* Makefile.in (mf-extra): Rename to vextra.

	* Makefile.in (cmf.ch): Don't use $@.

	* Makefile.in (run-trap): Depend on trapmf.

	* Makefile.in (mostlyclean): Remove trap files explicitly, as we
	don't want to remove trap.sed.

	* Makefile.in (mfsrcdir): Define with `mf', not `tex'!

Sat Jan 16 08:46:33 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (mfsrcdir): New variable; use it in various rules.

Thu Jan 14 08:04:47 1993  Karl Berry  (karl@cs.umb.edu)

	* small.sed (pool_size): Increase to 36000.  From tim@maths.tcd.ie.

Sun Jan  3 13:16:32 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (distclean): Remove Makefile.

	* Makefile.in (check): New target, synonym for run-trap.

Sun Dec 13 09:45:53 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (clean-trap, c-sources): New targets.

	* Makefile.in (stamp-trap): Use sed instead of ini_to_trap.

Sat Dec 12 13:15:03 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Rewrite from Makefile.

	* small.sed: New file.

	* Makefile (stamp-trap): Change dependency to `stamp-convert'.

Mon Nov 16 08:16:51 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile (cmf.ch): New target.

Sun Oct 11 11:23:26 1992  Karl Berry  (karl@cs.umb.edu)

	* convert (sed): Don't use /bin/sed, as GNU sed works as of 1.10.

Thu Sep 24 11:03:39 1992  Karl Berry  (karl@cs.umb.edu)

        * Makefile (openinout.c): avoid use of $<.

Thu Sep 17 08:41:26 1992  Karl Berry  (karl@hayley)

        * Makefile (install): use filename in install target names.

Fri Sep  4 09:02:57 1992  Karl Berry  (karl@hayley)

        * Makefile (extraclean): new target.
        (distclean): don't remove backup files etc. here.

Wed Aug 19 08:22:57 1992  Karl Berry  (karl@hayley)

        * Makefile (openinout.c): new target.
        (clean): remove it.

        * Makefile (CPPFLAGS): we need -I. for mfd.h.

Wed Aug 12 16:28:18 1992  Karl Berry  (karl@hayley)

        * Makefile (iextra.o): include $(CPPFLAGS); remove `-I.'.
        (inimf.o): likewise.
        (mf-extra.c): new target.
        (mf-extra.o); depend on it (and use default compilation rule).
        (fileioo): use default compilation rule.

Sat Jul 25 17:51:03 1992  Karl Berry  (karl@hayley)

        * Makefile (makeargs): pass CFLAGS, not cflags.

Sun Jul  5 07:28:13 1992  Karl Berry  (karl@hayley)

        * Makefile (clean): remove inimf.c, trap.*, mf-extra.c here.

Thu Jul  2 16:08:00 1992  Karl Berry  (karl@hayley)

        * Makefile (CPPFLAGS): new variable
        (.c.o): use it.
        (cflags): change to CFLAGS.

Tue Jun 23 10:19:45 1992  Karl Berry  (karl@hayley)

        * Makefile (CC): change default to `gcc -posix'.

Thu May 14 19:21:57 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Sat Apr 25 09:36:23 1992  Karl Berry  (karl@hayley)

        * Makefile (distclean): new target.

        * convert: sync after the pipeline.

Thu Apr 23 12:05:51 1992  Karl Berry  (karl@hayley)

        * Makefile: fix clean targets, fix inimf/virmf/etc. to reflect
          reality.  From Andreas.

Thu Apr 16 13:49:36 1992  Karl Berry  (karl@ra.cs.umb.edu)

        * Version 5.851b.

Sat Apr 11 09:18:59 1992  Karl Berry  (karl@hayley)

        * mf.ch (pack_file_name, pack_buffered_name): don't fill the
          name_of_file array completely.

Fri Apr 10 17:25:07 1992  Karl Berry  (karl@hayley)

        * mf.ch: new file for configure to make cmf.ch from.
        * Makefile (mostlyclean): remove cmf.ch.

Fri Apr  3 09:55:30 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Mon Mar 30 07:57:08 1992  Karl Berry  (karl at hayley)

        * Makefile (clean, mostlyclean, windowlib, trapmf): use $(MAKE),
          not `make'.

Sun Mar 29 17:06:04 1992  Karl Berry  (karl at hayley)

        * ini_to_trap: change some more constants.

        * mf.web: new verion from dek.
        * cmf.ch: update version number.

Sun Mar 22 06:33:42 1992  Karl Berry  (karl at fosse)

        * Makefile (makeargs): don't bother to pass variables for linking.

Sat Mar 21 10:40:57 1992  Karl Berry  (karl at hayley)

        * cmf.ch (38.789): check for the extension being irrelevant.

Fri Mar 20 15:30:00 1992  Karl Berry  (karl at hayley)

        * Makefile (mostlyclean): new name for `clean'.
        (clean): what `realclean' used to be.
        (realclean): nothing to do anymore.
        (install): install the program.

        * cmf.ch (4.51): set name_length to strlen pool_name.

Fri Jan 24 09:21:17 1992  Karl Berry  (karl at hayley)

        * Makefile (cflags): don't include -I../config.

Wed Jan 15 12:59:29 1992  Karl Berry  (karl at hayley)

        * cmf.ch (input): same changes as in TeX.

Sun Jan 12 09:18:03 1992  Karl Berry  (karl at hayley)

        * cmf.ch (memory structure): include "texmfmem.h", omitting the
          ../common.

        * Makefile (fileioh): no longer exists.

Tue Jan  7 15:52:24 1992  Karl Berry  (karl at hayley)

        * ctex.ch (opening input files): do `name_length + 5 <
          file_name_size', not `name_length < file_name_size + 5'.  From
          tony@marcam.dsir.govt.nz.

mp:
Wed Apr 12 18:50:13 1995  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* mp.ch: complete rewrite, merging material from ../mf/mf.ch
	and the original mp.ch.

Tue Apr 11 17:53:15 1995  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* Makefile: discarded, will be regenerated from Makefile.in 
	during configure run.

	* Makefile.in: complete rewrite, based on ../mf/Makefile.in.

	* convert: replaced by modified version of ../mf/convert script.  
	Removed execute permission, using sh -c in the Makefile instead.

	* mp.def: discarded, using ../lib/texmf.defines instead.

	* mp.h: discarded, using the web2c header files from ../lib.
	(Actually moved to MPtime subdirectory for use in timing test.)

	* mpext.c: discarded, using routines from ../lib/lib.a instead.
	Moved code for callmakempx() to file ../lib/openinout.c.

	* mpmath.c: preserved without changes. Ccomments refererring to 
	site.h are no longer applicable when using ../lib/c-auto.h instead.

	* pathexp.c: moved to ../mpware as only DMP uses the pathexpand() 
	function. MetaPost and DVItoMP use Kpathsea routines instead.

	* fixcoerce.h: discarded, using ../mf/coerce.add instead.

	* fix.lex: discarded, apparently no longer needed in web2c-6.1.

	* ini_to_trap: discarded, using sed script trap.sed instead of
        shell script that invokes ed. Also added sed script small.sed.

	* trapdir: renamed to MPtrap, for consistency with ../mf/MFtrap.

	* trapmp: replaced by modified version of ../mp/trapenv script.
	Removed execute permission, using sh -c in the Makefile instead.
	Also rename etrapmp target to trapmp in the Makefile.

Mon Apr 11 18:32:00 1995  Ulrik Vieth  <vieth@thphy.uni-duesseldorf.de>

	* created subdirectory MPtime for timing test files not needed
	for production version of MetaPost. 

	* mp.h, test_mpd.h, mathtest.c, time.c, pmath.c: moved to MPtime.

	* mpmath.c: copied to MPtime and renamed to cmath.c for use in 
	timing test. Changed #include "mpd.h" to include "test_mpd.h".

	* site.h, defaults.h: copied from top-level directory to MPtime.
	Renamed site.h to site.h.orig and copied to site.h.{system-type}.

tex:
Thu Feb 24 06:02:39 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (tex.p): Use a tab, not eight spaces, in the
        commented-out mltex lines. From Eric.Picheral@univ-rennes1.fr.

Mon Feb 21 13:25:52 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: srcdir changes from simon.

Wed Feb  2 11:01:18 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.1.

Tue Feb  1 13:26:25 1994  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (extrah): Include texd.h and texmfmem.h here.
	(commonh): No texmfmem.h here.
	
        * Makefile.in (tex.p): Add commented out additions for MLTeX.

Mon Jan 24 07:34:13 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.0.

Mon Jan 17 14:29:27 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (iextra.o): Depend on texd.h.

Wed Dec 15 06:29:41 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (formats): Rename to fmts.

Tue Dec  7 13:45:05 1993  Karl Berry  (karl@cs.umb.edu)

	* tex.ch: Invoke MakeTeXTeX for \openin.
	From carlisle@cs.man.ac.uk.

	* patgen.ch: Doc fix.

Sat Dec  4 16:28:27 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (*objs): Depend on $(extrah) and $(commonh).
	(tex?.o): Depend only on tex?.c.

Fri Dec  3 08:58:50 1993  Karl Berry  (karl@cs.umb.edu)

	* patgen.ch (filnam): Add a trailing space to filnam, and declare
	it to be one character larger. From jmr.

Sun Nov 14 11:58:13 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install*): texfontdir => fontdir.

Sun Nov  7 14:25:54 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: Remove call to sync.
	* Makefile.in (mfd.h): Instead, touch mfd.h after it finishes
	running, to ensure the timestamp will be later.

Tue Nov  2 13:33:41 1993  Karl Berry  (karl@cs.umb.edu)

	* tex.ch (banner): At version 3.1415 now.
	* tex.web: Update from Knuth.

	* Makefile.in (objs): Add tex9.o and rename $(tex9_o) to extra_tex_obj.

	* openinout.c (make_tex_file): Return a boolean, not a string.

Tue Oct 12 13:33:02 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Simplify kpathsea references.

Sun Oct  3 13:18:18 1993  Karl Berry  (karl@cs.umb.edu)

	* fixcoerce.h: Rename to coerce.add.
	* convert: Similarly.

	* Makefile.in (commonh): paths.h is in kpathsea.
	(commono): kpathsea.a has its own variable now.
	(*clean): Include standard targets.
	(program): New variable.
	(install): Use it.

Tue Jun 29 16:22:54 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Doc fix.

Mon May 31 08:19:11 1993  Karl Berry  (karl@cs.umb.edu)

	* trip.sed (negtrieopsize): Change to -500.

Tue May 18 14:04:07 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-*): mkdirchain on install dirs.

Sun May  9 10:10:54 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Remove $(srcdir) for paths.h.
	(commono): Add kpathsea library.

Tue May  4 10:24:29 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (extraclean): Do not depend on distclean; remove
	CONTENTS.tex and tex.tex.

Fri Apr 30 15:08:01 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (patgen2): Rename to patgen throughout.

	* Makefile.in (commonh): Add paths.h.

Fri Apr 16 07:27:03 1993  Karl Berry  (karl@cs.umb.edu)

	* tex.ch: Doc fix.

Sat Apr 10 16:42:35 1993  Karl Berry  (karl@cs.umb.edu)

	* convert: Don't sync unless /bin/sync exists.

Fri Apr  9 16:07:52 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Define as config.h.

Sat Mar 13 12:10:53 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

Fri Mar 12 15:48:57 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (tex9.o): Depend on tex9.c, not tex8.c!

Sun Feb 28 10:47:06 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (clean-trip): Don't reinstall texd.h if it has the
	trip constants.

	* Makefile.in (clean-trip): Remove triptex, not tripmf.

Sun Feb 21 08:28:26 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.851d.

Tue Feb 16 17:56:03 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-exec, install-data): New targets.

Mon Feb 15 10:19:12 1993  Karl Berry  (karl@cs.umb.edu)

	* tex.ch (563): Call make_tex_tfm if the first open fails.

	* tex.ch: Only call a_open_in without the .tex if we actually
	changed anything; call make_tex_tex if everything before fails,
	and if that succeeds, call a_open_in again.

	* tex.ch: Comment out term_offset thing.

Sun Feb 14 11:24:37 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (iobjs, vobjs): Don't include $(objs), and depend on
	texd.h.
        (initex, virtex): Include $(objs).

Sun Feb  7 10:22:45 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Fix logic for overwriting texfonts.map.

	* Makefile.in (.p.c, .ch.p): New suffix rules for patgen.

Sat Jan 30 10:31:01 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install): Correct texfonts.map installation.

Wed Jan 27 07:14:28 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (run-trip): {mf,tex}ware => {dvi,font}util.

Tue Jan 26 11:44:45 1993  Karl Berry  (karl@cs.umb.edu)

	* *.ch (banner): Use version_string.

	* Makefile.in: Merge in patgen.

	* Makefile.in (install): Change `exit 0' to true.

	* Makefile.in (install): Install texfonts.map.

	* Makefile.in (iextra.c, initex.c): New targets.
        (iextra.o, initex.o): Just do the compilation.

Mon Jan 25 10:39:13 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (clean-trip): Remove tripmf and stamp-trip.

	* Makefile.in (CPPFLAGS): Don't need -I now.

Sun Jan 24 11:34:27 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (tex-extra): Rename to vextra.

	* Makefile.in (iextra.o): $(LN) to $(extrac), instead of compiling
	it directly.

	* Makefile.in (ctex.ch): Don't use $@.

	* Makefile.in (mostlyclean): Remove trip files explicitly, to
	avoid removing trip.sed.

	* Makefile.in (stamp-trip): Depend on trip.sed in $(texsrcdir).

Sat Jan 16 09:00:49 1993  Karl Berry  (karl@cs.umb.edu)

	* tex.ch (trie_size): Increase to 30,000 for
	English/German/Portuguese.

Thu Jan 14 08:02:01 1993  Karl Berry  (karl@cs.umb.edu)

	* small.sed (font_mem_size, hash_size, pool_size, max_strings,
	string_vacancies): Increase the small sizes somewhat.  The result
	still runs on a 3b1, so I suspect it will run on anything.  From
	andy@scp.caltech.edu.

Sun Jan  3 13:14:39 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (distclean): Remove Makefile.

	* Makefile.in (DIFF, DIFFFLAGS): New variables.
        (run-trip): Use them (in appropriate places) instead of `diff', so
        spiff can be used if it's available (and desired).
        (check): New target, synonym for run-trip.

Sun Dec 13 14:13:02 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (clean-trip, c-sources): New targets.

Sat Dec 12 14:08:07 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Rewrite from Makefile.

	* small.sed: New file.

Mon Nov 16 08:16:33 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile (ctex.ch): New target.

Sat Nov 14 18:50:20 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile (run-trip): Run tftopl on the trip.tfm we create, and
	diff the result with the original PL file.

Tue Oct 27 08:15:12 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile (objs): Use $(tex9_o), which is empty by default.

	* tex.ch (mem_top): Improve comment.

Sun Oct 18 13:55:54 1992  Karl Berry  (karl@cs.umb.edu)

	* tex.ch (trie_op_size): Define as 751, since that's prime.

	* tex.ch (neg_trie_op_size): Improve comments, and use it in
	[43.944] where useful.

Thu Sep 24 11:03:02 1992  Karl Berry  (karl@cs.umb.edu)

        * Makefile (openinout.c): avoid use of $<.

Thu Sep 17 08:42:01 1992  Karl Berry  (karl@hayley)

        * Makefile (install): use filename in install target names.

Fri Sep  4 09:04:06 1992  Karl Berry  (karl@hayley)

        * Makefile (extraclean): new target.
        (distclean): don't remove backup files etc. here.

Wed Aug 19 08:22:27 1992  Karl Berry  (karl@hayley)

        * Makefile (openinout.c): new target.
        (clean): remove it.

        * Makefile (CPPFLAGS): we need -I. for texd.h.

Wed Aug 12 16:28:18 1992  Karl Berry  (karl@hayley)

        * Makefile (iextra.o): include $(CPPFLAGS); remove `-I.'.
        (initex.o): likewise.
        (tex-extra.c): new target.
        (tex-extra.o); depend on it (and use default compilation rule).
        (fileioo): use default compilation rule.

Sat Jul 25 17:51:18 1992  Karl Berry  (karl@hayley)

        * Makefile (amstex.fmt): don't bother with \dump on the command
          line, since amstex.ini includes it.

        * Makefile (makeargs): pass CFLAGS, not cflags.

Sun Jul  5 07:28:40 1992  Karl Berry  (karl@hayley)

        * Makefile (clean): remove trip.*, initex.c, tex-extra.c here.

Fri Jul  3 11:50:49 1992  Karl Berry  (karl@hayley)

        * small.diff (hash_size, hash_prime): increase to 3500 and 2981
          for LaTeX.  (From bernd.)

Thu Jul  2 16:09:45 1992  Karl Berry  (karl@hayley)

        * Makefile (CPPFLAGS): new variable
        (.c.o): use it.
        (cflags): change to CFLAGS.

Thu May 21 09:22:33 1992  Karl Berry  (karl@hayley)

        * tex.ch: warn that increasing max_quarterword makes texmfmem.h
          break.

Thu May 14 19:22:23 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Thu May  7 07:29:59 1992  Karl Berry  (karl@hayley)

        * Makefile (tex9.[co]): new targets (not used in our dist).
        
Sat Apr 25 08:56:54 1992  Karl Berry  (karl@hayley)

        * convert: sync after the pipeline.

        * Makefile (distclean): new target.

        * Makefile (amstex.fmt): don't use &./tex.
        (amslatex.fmt): be more explicit about AMSLaTeX's horrible
        installation scheme.

Thu Apr 23 12:04:49 1992  Karl Berry  (karl@hayley)

        * Makefile (initex, virtex): changes from Andreas to reflect
          reality; fix clean targets.

Thu Apr 16 13:49:36 1992  Karl Berry  (karl@ra.cs.umb.edu)

        * Version 5.851b.

Sat Apr 11 09:19:41 1992  Karl Berry  (karl@hayley)

        * tex.ch (pack_file_name, pack_buffered_name): don't fill the
          name_of_file array completely.

Fri Apr 10 17:03:41 1992  Karl Berry  (karl@hayley)

        * tex.ch: new file for configure to make ctex.ch from.
        * Makefile (mostlyclean): remove ctex.ch.

        * Makefile (default): make it `all'.

Fri Apr  3 09:55:55 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Mon Mar 30 07:59:29 1992  Karl Berry  (karl at hayley)

        * Makefile (triptex): use $(MAKE), not make.

Sun Mar 29 15:44:30 1992  Karl Berry  (karl at hayley)

        * ini_to_trip: change additional constants.

        * tex.web: new version from dek.
        * tex.ch: update version number.

Sat Mar 21 11:09:06 1992  Karl Berry  (karl at hayley)

        * ctex.ch (pool_name): define to be `TEX_POOL_NAME', instead of
          hardwiring `tex.pool'.

Fri Mar 20 15:29:22 1992  Karl Berry  (karl at hayley)

        * Makefile (mostlyclean): new name for `clean'.
        (clean): what `realclean' used to be.
        (realclean): nothing to do anymore.
        (install): install the program.

        * ctex.ch (4.51): set name_length to the strlen of pool_name.

Sun Mar  1 07:09:28 1992  Karl Berry  (karl at hayley)

        * ctex.ch (font_mem_size): increase to 100,000.

Fri Jan 24 07:41:25 1992  Karl Berry  (karl at hayley)

        * Makefile (cflags): don't include -I../config.

        * ctex.ch (\input, \openin): don't try .tex if the filename is
          already the maximal length; otherwise foo.aux gets found
          as foo.aux.tex under system V, when foo is 14 characters long.

Tue Jan 21 17:20:17 1992  Karl Berry  (karl at hayley)

        * ctex.ch (pool_size): increase to 124,000.
        (string_vacancies): to 100,000.

Wed Jan 15 10:12:30 1992  Karl Berry  (karl at hayley)

        * ctex.ch (\input, \openin): if cur_ext=".tex", don't append .tex,
          and reset it before trying without suffix.

        * ctex.ch (max_strings): increase to 15000.

Tue Jan 14 08:52:24 1992  Karl Berry  (karl at hayley)

        * ctex.ch (\input, \openin): try to find foo.tex before foo.
          (From bent@ragged.dartmouth.edu.)

        * Makefile (*.fmt): do not remove the \font lines from the output
          via grep, as then prompts do not appear.

Sun Jan 12 09:17:40 1992  Karl Berry  (karl at hayley)

        * ctex.ch (memory structure): include "texmfmem.h", omitting the
          ../common.

        * Makefile (fileioh): no longer exists.

Tue Jan  7 15:51:28 1992  Karl Berry  (karl at hayley)

        * ctex.ch (opening input files): do `name_length + 5 <
          file_name_size', not `name_length < file_name_size + 5'.  From
          tony@marcam.dsir.govt.nz.

web:
Mon Feb 21 14:51:24 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in: srcdir changes from simon.

Wed Feb  2 11:00:09 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.1.

Mon Jan 24 07:27:36 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 6.0.

Sun Jan 23 16:56:45 1994  Karl Berry  (karl@cs.umb.edu)

        * Makefile.in (mostlyclean): Remove tangleboot.

Tue Nov 30 16:19:06 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (tangle.web): Exit 1 if we get here.

Sun Nov  7 14:52:11 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (tangle.web): New target, telling people to retrieve
	web.tar.gz.

Tue Oct 12 13:32:07 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Simplify kpathsea references.

Sun May  9 10:10:56 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Remove $(srcdir) for paths.h.
	(commono): Add kpathsea library.

Fri Apr 30 15:08:11 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Add paths.h.

Fri Apr  9 16:07:56 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (commonh): Define as config.h.

Sat Mar 13 12:10:56 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (CPPFLAGS): Add @DEFS@, for -DHAVE_CONFIG_H.

Sun Feb 21 08:28:31 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 5.851d.

Tue Feb 16 17:58:10 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (install-exec, install-data): New targets.

Fri Feb 12 07:37:51 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (mostlyclean): Remove pooltype.

Sun Feb  7 20:10:46 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (tangleboot.c): Use $(MAKE), not make.

Tue Jan 26 16:36:45 1993  Karl Berry  (karl@cs.umb.edu)

	* *.ch (banner): Use version_string.

	* Makefile.in: Merge pooltype from texware.

Sun Jan  3 13:34:00 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (distclean): Remove Makefile.

Sun Dec 13 14:28:37 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (c-sources): New target.

Sat Dec 12 14:19:16 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in: Rewrite from Makefile.

Fri Sep  4 09:05:12 1992  Karl Berry  (karl@hayley)

        * Makefile (extraclean): new target.
        (distclean): don't remove backup files etc. here.

Wed Aug 19 08:35:14 1992  Karl Berry  (karl@hayley)

        * Makefile (tangleboot): use tangleboot.o as arg, not tangleboot.c.

Sat Jul 25 17:52:34 1992  Karl Berry  (karl@hayley)

        * Makefile (tangleboot): depend on tangleboot.o.
        (tangleboot.o): new target.

Thu Jul  2 16:10:15 1992  Karl Berry  (karl@hayley)

        * Makefile (CPPFLAGS): new variable
        (.c.o): use it.
        (cflags): change to CFLAGS.

Tue Jun 23 10:14:23 1992  Karl Berry  (karl@hayley)

        * Makefile (tangleboot.c): make all in lib and web2c before trying
          to `convert'.

Sun Jun 21 16:42:00 1992  Karl Berry  (karl@io)

        * Makefile (realclean): don't remove tangleboot after all.

Thu May 14 19:22:40 1992  Karl Berry  (karl@claude.cs.umb.edu)

        * Version 5.851c.

Wed May 13 10:52:36 1992  Karl Berry  (karl@hayley)

        * Makefile (clean): can't remove *.[pch], since tangleboot goes away.

Sat Apr 25 09:40:18 1992  Karl Berry  (karl@hayley)

        * Makefile (libs): new var.
        (distclean): new target.

Thu Apr 16 13:49:36 1992  Karl Berry  (karl@ra.cs.umb.edu)

        * Version 5.851b.

Wed Apr 15 03:59:25 1992  Karl Berry  (karl@fosse)

        * Makefile (mostlyclean): remove tangleboot.

Tue Apr 14 17:25:29 1992  Karl Berry  (karl@hayley)

        * Makefile (tangleboot.[ch]): new targets.
        (tangleboot): depend on tangleboot.h, not tangle.h.
        (clean): remove tangle.h.

Mon Apr 13 09:10:07 1992  Karl Berry  (karl@hayley)

        * Makefile (tangle.p): depend on tangleboot; remove the loop.
        (tangleboot): new target.

Fri Apr  3 09:56:16 1992  Karl Berry  (karl at hayley)

        * Version 5.851a.

Thu Apr  2 13:48:21 1992  Karl Berry  (karl at ds1.cs.umb.edu)

        * Makefile (clean): don't remove *.c; we need tangleboot.

Sun Mar 29 15:24:51 1992  Karl Berry  (karl at hayley)

        * {tangle,weave}.web: new versions from dek.
        * {tangle,weave}.ch: update version numbers.

Fri Jan 24 09:20:20 1992  Karl Berry  (karl at hayley)

        * Makefile (cflags): don't include -I../config.

Tue Jan  7 16:29:30 1992  Karl Berry  (karl at hayley)

        * Makefile (tangle.p): use quotes instead of \'s, for ptx.  (From
          maddog@sequent.com.)
